<?php
if ( defined( 'ABSPATH' ) && ! defined( 'RWMB_VER' ) ) {
	require_once dirname( __FILE__ ) . '/inc/loader.php';
	$loader = new RWMB_Loader();
	$loader->init();
}

/**
 * Registering meta boxes
 *
 * All the definitions of meta boxes are listed below with comments.
 * Please read them CAREFULLY.
 *
 * You also should read the changelog to know what has been changed before updating.
 *
 * For more information, please visit:
 * @link http://www.deluxeblogtips.com/meta-box/docs/define-meta-boxes
 */

/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
// Better has an underscore as last sign




function metaboxes_container(){
	$prefix = 'mow_fn_';
	global $meta_boxes, $mow_fn_option;
	$meta_boxes = array();

	/* ----------------------------------------------------- */
	//  Page Options
	/* ----------------------------------------------------- */
	$meta_boxes[] = array(
		'id' => 'page_main_options',
		'title' => esc_html__('Page Options', MOW_TEXT_DOMAIN),
		'pages' => array( 'page' ),
		'context' => 'normal',	
		'priority' => 'high',

		// List of meta fields
		'fields' => array(

			array(
				'name'		=> esc_html__('Page Options', MOW_TEXT_DOMAIN),
				'type'		=> 'heading',
			),
			array(
				'name'		=> esc_html__('Page Style', MOW_TEXT_DOMAIN),
				'id'		=> $prefix . "page_style",
				'type'		=> 'select',
				'options'	=> array(
					'full'			=> esc_html__('Full Width', MOW_TEXT_DOMAIN),
					'contained'		=> esc_html__('Contained', MOW_TEXT_DOMAIN),
				),
				'multiple'	=> false,
				'std'		=> array( 'contained' )
			),
			array(
				'name'			=> esc_html__('Page Title', MOW_TEXT_DOMAIN),
				'id'			=> $prefix . "page_title",
				'type'			=> 'select',
				'options'		=> array(
					'enable'	=> esc_html__('Enable', MOW_TEXT_DOMAIN),
					'disable'	=> esc_html__('Disable', MOW_TEXT_DOMAIN),

				),
				'multiple'	=> false,
				'std'		=> array( 'enable' )
			),
			
			array(
				'name'		=> esc_html__('Blog Page Options', MOW_TEXT_DOMAIN),
				'type'		=> 'heading',
			),
			array(
				'name'		=> esc_html__('Blog Main Sidebar', MOW_TEXT_DOMAIN),
				'id'		=> $prefix . "blogpage_main_sidebar",
				'type'		=> 'select',
				'options'	=> array(
					'wsl'			=> esc_html__('Left Sidebar', MOW_TEXT_DOMAIN),
					'wsr'			=> esc_html__('Right Sidebar', MOW_TEXT_DOMAIN),
					'full'			=> esc_html__('Disabled', MOW_TEXT_DOMAIN),
				),
				'multiple'	=> false,
				'std'		=> array( 'wsr' )
			),
			array(
				'name'		=> esc_html__('Blog Secondary Sidebar', MOW_TEXT_DOMAIN),
				'id'		=> $prefix . "blogpage_secondary_sidebar",
				'type'		=> 'select',
				'options'	=> array(
					'wsl'			=> esc_html__('Left Sidebar', MOW_TEXT_DOMAIN),
					'wsr'			=> esc_html__('Right Sidebar', MOW_TEXT_DOMAIN),
					'disable'		=> esc_html__('Disabled', MOW_TEXT_DOMAIN),

				),
				'multiple'	=> false,
				'std'		=> array( 'disable' )
			),
			array(
				'name'		=> esc_html__('Blog Layout', MOW_TEXT_DOMAIN),
				'id'		=> $prefix . "blogpage_layout",
				'type'		=> 'select',
				'options'	=> array(
					'default'		=> esc_html__( 'Default (from theme options)', MOW_TEXT_DOMAIN),
					'classic'		=> esc_html__( 'Classic', MOW_TEXT_DOMAIN),
					'masonry'		=> esc_html__( 'Masonry', MOW_TEXT_DOMAIN),
					'list'			=> esc_html__( 'List', MOW_TEXT_DOMAIN),
					'mixed'			=> esc_html__( 'Mixed', MOW_TEXT_DOMAIN),
					'simple_text' 	=> esc_html__( 'Simple text', MOW_TEXT_DOMAIN ),
					'small_list' 	=> esc_html__( 'Small List #1', MOW_TEXT_DOMAIN ),
					'small_list_2' 	=> esc_html__( 'Small List #2', MOW_TEXT_DOMAIN ),
				),
				'multiple'	=> false,
				'std'		=> array( 'default' )
			),
		)
	);
	
	
	/* ----------------------------------------------------- */
	//  Coming Soon Options
	/* ----------------------------------------------------- */
	$meta_boxes[] = array(
		'id' 		=> 'coming_soon_options',
		'title' 	=> esc_html__('Coming Soon Options', MOW_TEXT_DOMAIN),
		'pages' 	=> array( 'page'),
		'context' 	=> 'normal',
		'priority' 	=> 'default',
		'fields' 	=> array(
			array(
				"name"       => esc_html__('Expiration Date', MOW_TEXT_DOMAIN),
				"desc"       => esc_html__('year-month-date hh:mm', MOW_TEXT_DOMAIN),
				"id"         => $prefix. 'coming_time',
				"type"       => 'datetime',
				'js_options' => [
					'stepMinute'      => 1,
					'showTimepicker'  => true,
					'controlType'     => 'select',
					'showButtonPanel' => false,
					'oneLine'         => true,
				],
				'inline'     => false,
				'timestamp'  => false,
			),
			array(
				"name" 		=> esc_html__('Title', MOW_TEXT_DOMAIN),
				"std" 		=> esc_html__('Building Tomorrow, Today', MOW_TEXT_DOMAIN),
				'type'      => 'textarea',
				'id'        => $prefix. 'coming_title',
			),
			array(
				"name" 		=> esc_html__('Description', MOW_TEXT_DOMAIN),
				"std" 		=> esc_html__('We are crafting a new vision that blends innovation, quality, and design. Stay tuned for the big reveal. Your dream space is about to become a reality. Countdown with us!', MOW_TEXT_DOMAIN),
				'type'      => 'textarea',
				'id'        => $prefix. 'coming_desc',
			),
		)
	);
	
	
	

	

/* ----------------------------------------------------- */
//  Video Settings (FOR POSTS)
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'frenify-meta-post-video',
	'title' => esc_html__('Video Options', MOW_TEXT_DOMAIN),
	'pages' => array( 'post' ),
	'context' => 'normal',
	'priority' => 'high',

	// List of meta fields
	'fields' => array(
		
		array( 
				"name" 		=> esc_html__('Video URL', MOW_TEXT_DOMAIN),
				"desc" 		=> esc_html__('Youtube or Local video', MOW_TEXT_DOMAIN),
				"id" 		=> "frenify_fn_video_url",
				"type"		=> "textarea",
				"std" 		=> ''
			),
	)
);


/* ----------------------------------------------------- */
//  Gallery Settings (FOR POSTS)
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'frenify-meta-post-gallery',
	'title' => esc_html__('Gallery Options', MOW_TEXT_DOMAIN),
	'pages' => array( 'post' ),
	'context' => 'normal',
	'priority' => 'high',

	// List of meta fields
	'fields' => array(
		array(
			'name'		=> esc_html__('Gallery Images', MOW_TEXT_DOMAIN),
			'desc'		=> esc_html__('Upload images. In order to upload more images, use "Ctrl + Click"', MOW_TEXT_DOMAIN),
			'id'		=> 'frenify_fn_postgallery',
			'type'		=> 'image_advanced',
			'max_file_uploads' => 100,
		),
	)
);


$meta_boxes[] = array(
	'id' => 'frenify-meta-post-option',
	'title' => esc_html__('Post Options', MOW_TEXT_DOMAIN),
	'pages' => array( 'post' ),
	'context' => 'normal',
	'priority' => 'high',

	// List of meta fields
	'fields' => array(
		array(
			'name'		=> esc_html__('Post Header', MOW_TEXT_DOMAIN),
			'id'		=> $prefix . "post_header",
			'type'		=> 'select',
			'options'	=> array(
				'default'			=> esc_html__( 'Default (from theme options)', MOW_TEXT_DOMAIN ),
				'standard' 			=> esc_html__( 'Standard', 'redux-framework-demo' ),
				'featured' 			=> esc_html__( 'Featured', 'redux-framework-demo' ),
				'spotlight' 		=> esc_html__( 'Spotlight Headline', 'redux-framework-demo' ),
				'overlay_title' 	=> esc_html__( 'Overlay Title', 'redux-framework-demo' ),
				'large_image' 		=> esc_html__( 'Large Image', 'redux-framework-demo' ),
				'overlay_content'	=> esc_html__( 'Overlay Content', 'redux-framework-demo' ),

			),
			'multiple'	=> false,
			'std'		=> array( 'default' )
		),
		
		array(
			'name'		=> esc_html__('Post Sidebar Local', MOW_TEXT_DOMAIN),
			'id'		=> $prefix . "post_sidebar",
			'type'		=> 'select',
			'options'	=> array(
				'wsl'			=> esc_html__('Left Sidebar', MOW_TEXT_DOMAIN),
				'wsr'			=> esc_html__('Right Sidebar', MOW_TEXT_DOMAIN),
				'full'			=> esc_html__('Disabled', MOW_TEXT_DOMAIN),
			),
			'multiple'	=> false,
			'std'		=> array( 'wsr' )
		),
	)
);




	
	
	return $meta_boxes;
}


/**************************************************************************/
/*********************								***********************/
/********************* 		META BOX REGISTERING 	***********************/
/*********************								***********************/
/**************************************************************************/

/**
 * Register meta boxes
 *
 * @return void
 */
function mow_fn_register_meta_boxes()
{
	$meta_boxes = metaboxes_container();

	// Make sure there's no errors when the plugin is deactivated or during upgrade
	if ( class_exists( 'RW_Meta_Box' ) )
	{
		foreach ( $meta_boxes as $meta_box )
		{
			new RW_Meta_Box( $meta_box );
		}
	}
}
// Hook to 'admin_init' to make sure the meta box class is loaded before
// (in case using the meta box class in another plugin)
// This is also helpful for some conditionals like checking page template, categories, etc.
add_action( 'admin_init', 'mow_fn_register_meta_boxes' );