<?php if ( ! defined( 'ABSPATH' ) ) {
	die; } // Cannot access directly.

//
// Metabox of the POST
// Set a unique slug-like ID
//
$fers_prefix_post_opts = '_fers_prefix_post_options';

//
// Create a metabox
//
FERS::createMetabox(
	$fers_prefix_post_opts,
	array(
		'title'        => __( 'Frenify Rating', MOW_TEXT_DOMAIN ),
		'post_type'    => 'post',
		'show_restore' => false,
		'class'        => 'wpgper--metabox-wrap',
	)
);

//
// Create a section
//
FERS::createSection(
	$fers_prefix_post_opts,
	array(
		'fields' => array(

			array(
				'id'       => 'fers-score-shows',
				'type'     => 'switcher',
				'title'    => __( 'Enable/Disable', MOW_TEXT_DOMAIN ),
				'subtitle' => __( 'Enable or disable rating on this post.', MOW_TEXT_DOMAIN ),
				'default'  => false,
			),

			array(
				'id'         => 'fers-score-title',
				'type'       => 'text',
				'title'      => __( 'Title / Product Name', MOW_TEXT_DOMAIN ),
				'subtitle'   => __( 'Set an editorial rating title for this post.', MOW_TEXT_DOMAIN ),
				'default'    => '',
				'dependency' => array( 'fers-score-shows', '==', 1 ),
			),

			array(
				'id'         => 'fers-score-heading',
				'type'       => 'text',
				'title'      => __( 'Heading', MOW_TEXT_DOMAIN ),
				'subtitle'   => __( 'Set an editorial rating heading for this post (above the overview).', MOW_TEXT_DOMAIN ),
				'default'    => __( 'The Summary', MOW_TEXT_DOMAIN ),
				'dependency' => array( 'fers-score-shows', '==', 1 ),
			),

			array(
				'id'         => 'fers-score-overview',
				'type'       => 'wp_editor',
				'title'      => __( 'Overview', MOW_TEXT_DOMAIN ),
				'subtitle'   => __( 'Give a general review or summary of the product.', MOW_TEXT_DOMAIN ),
				'dependency' => array( 'fers-score-shows', '==', 1 ),
			),

			array(
				'type'       => 'heading',
				'content'    => __( 'Categories', MOW_TEXT_DOMAIN ),
				'dependency' => array( 'fers-score-shows', '==', 1 ),
			),

			array(
				'id'       => 'fers-editorial-shows',
				'type'     => 'switcher',
				'title'    => __( 'Enable/Disable', MOW_TEXT_DOMAIN ),
				'subtitle' => __( 'On: All review categories will be displayed on the front-end. Off: Only the summary percentage will be displayed.', MOW_TEXT_DOMAIN ),
				'default'  => true,
			),

			array(
				'id'         => 'fers-score-overall',
				'type'       => 'text',
				'title'      => __( 'Overall Text', MOW_TEXT_DOMAIN ),
				'subtitle'   => __( 'Set an editorial rating overall text for this post.', MOW_TEXT_DOMAIN ),
				'default'    => __( 'Overall', MOW_TEXT_DOMAIN ),
				'dependency' => array( 
					'fers-editorial-shows', '==', 1 
				),
			),

			array(
				'id'           => 'fers-editorial-rating',
				'type'         => 'repeater',
				'title'        => __( 'Editorial Rating', MOW_TEXT_DOMAIN ),
				'subtitle'     => __( 'Set your product rating category & rate for this post. Use \'Add More\' button to create more.<br>Score Calculation: Total sum of each point / total rating category.', MOW_TEXT_DOMAIN ),
				'button_title' => 'Add More',
				'fields'       => array(

					array(
						'id'    => 'fers-editorial-rating-category-name',
						'title' => __( 'Option Name', MOW_TEXT_DOMAIN ),
						'type'  => 'text',
					),
					array(
						'id'    => 'fers-editorial-rating-category-rate',
						'title' => __( 'Option Rate', MOW_TEXT_DOMAIN ),
						'type'  => 'slider',
						'min'   => 0,
						'max'   => 100,
					),

				),
				'default'      => array(
					array(
						'fers-editorial-rating-category-name' => 'Option Name',
						'fers-editorial-rating-category-rate' => 100,
					),
				),
				'dependency'   => array( 'fers-score-shows', '==', 1 ),
			),
	
			array(
				'type'       => 'heading',
				'content'    => __( 'PROS & CONS', MOW_TEXT_DOMAIN ),
				'dependency' => array( 'fers-score-shows', '==', 1 ),
			),

			array(
				'id'         => 'fers-pros-cons-shows',
				'type'       => 'switcher',
				'title'      => __( 'Show/Hide Pros-Cons On This Post.', MOW_TEXT_DOMAIN ),
				'subtitle'   => __( 'Show or hide Pros-Cons on this post.', MOW_TEXT_DOMAIN ),
				'default'    => true,
				'dependency' => array( 'fers-score-shows', '==', 1 ),
			),

			array(
				'id'           => 'fers-pros',
				'type'         => 'repeater',
				'title'        => __( 'Advantages List (Pros)', MOW_TEXT_DOMAIN ),
				'subtitle'     => __( 'Set advantage list for this post. Use \'Add More\' button to create more.', MOW_TEXT_DOMAIN ),
				'button_title' => 'Add More',
				'fields'       => array(

					array(
						'id'   => 'fers-pros-list',
						'type' => 'text',
					),

				),
				'default'      => array(
					array(
						'fers-pros-list' => 'Advantage Sample 1',
					),
				),
				'dependency'   => array( 'fers-score-shows|fers-pros-cons-shows', '==|==', 'true|true' ),
			),

			array(
				'id'           => 'fers-cons',
				'type'         => 'repeater',
				'title'        => __( 'Disadvantages List (Cons)', MOW_TEXT_DOMAIN ),
				'subtitle'     => __( 'Set disadvantages list for this post. Use \'Add More\' button to create more.', MOW_TEXT_DOMAIN ),
				'button_title' => 'Add More',
				'fields'       => array(

					array(
						'id'   => 'fers-cons-list',
						'type' => 'text',
					),

				),
				'default'      => array(
					array(
						'fers-cons-list' => 'Disadvantage Sample 1',
					),
				),
				'dependency'   => array( 'fers-score-shows|fers-pros-cons-shows', '==|==', 'true|true' ),
			),

			array(
				'type'       => 'heading',
				'content'    => __( 'Shortcode', MOW_TEXT_DOMAIN ),
				'dependency' => array( 'fers-score-shows', '==', 'true' ),
			),

			array(
				'type'       => 'shortcode',
				'title'      => 'Shortcode',
				'class'      => 'wpgp--shortcode-field',
				'dependency' => array( 'fers-score-shows', '==', 'true' ),
			),

		),
	)
);
