<?php

/**
 * Plugin Name: Socail Widget
 * Description: A widget that show social icons
 * Version: 1.0
 * Author: Frenify
 * Author URI: http://themeforest.net/user/frenify
 *
 */


/**
 * Example Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 * @since 0.1
 */
class Mow_Social extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function __construct() {
		parent::__construct(
			'mow_social', // Base ID
			esc_html__( 'Frenify Social', MOW_TEXT_DOMAIN ), // Name
			array( 'description' => esc_html__( 'Social Icons', MOW_TEXT_DOMAIN ), ) // Args
		);
		
		add_action( 'widgets_init', function() {
            register_widget( 'Mow_Social' );
        });
	}
	

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		global $post;
		
		$title				= '';
		
		$facebook			= '';
		$twitter			= '';
		$pinterest			= '';
		$linkedin			= '';
		$behance			= '';
		$vimeo				= '';
		$google				= '';
		$youtube			= '';
		$instagram			= '';
		$github				= '';
		$flickr				= '';
		$dribbble			= '';
		$dropbox			= '';
		$paypal				= '';
		$picasa				= '';
		$soundcloud			= '';
		$whatsapp			= '';
		$skype				= '';
		$slack				= '';
		$wechat				= '';
		$icq				= '';
		$rocketchat			= '';
		$telegram			= '';
		$vkontakte			= '';
		$rss				= '';
				
		
		/* Our variables from the widget settings. */
		if ( !empty( $instance[ 'title' ] ) ) { 
			$title 			= $instance[ 'title' ];
		}
		$title 		= apply_filters(esc_html__('Subscribe & Follow', MOW_TEXT_DOMAIN), $title );
		
		
		if ( !empty( $instance[ 'facebook' ] ) ) {$facebook 		= $instance[ 'facebook' ];}
		if ( !empty( $instance[ 'twitter' ] ) ) {$twitter 			= $instance[ 'twitter' ];}
		if ( !empty( $instance[ 'pinterest' ] ) ) {$pinterest 		= $instance[ 'pinterest' ];}
		if ( !empty( $instance[ 'linkedin' ] ) ) {$linkedin 		= $instance[ 'linkedin' ];}
		if ( !empty( $instance[ 'behance' ] ) ) {$behance 			= $instance[ 'behance' ];}
		if ( !empty( $instance[ 'vimeo' ] ) ) {$vimeo 				= $instance[ 'vimeo' ];}
		if ( !empty( $instance[ 'google' ] ) ) {$google 			= $instance[ 'google' ];}
		if ( !empty( $instance[ 'youtube' ] ) ) {$youtube 			= $instance[ 'youtube' ];}
		if ( !empty( $instance[ 'instagram' ] ) ) {$instagram 		= $instance[ 'instagram' ];}
		if ( !empty( $instance[ 'github' ] ) ) {$github 			= $instance[ 'github' ];}
		if ( !empty( $instance[ 'flickr' ] ) ) {$flickr 			= $instance[ 'flickr' ];}
		if ( !empty( $instance[ 'dribbble' ] ) ) {$dribbble 		= $instance[ 'dribbble' ];}
		if ( !empty( $instance[ 'dropbox' ] ) ) {$dropbox 			= $instance[ 'dropbox' ];}
		if ( !empty( $instance[ 'paypal' ] ) ) {$paypal 			= $instance[ 'paypal' ];}
		if ( !empty( $instance[ 'picasa' ] ) ) {$picasa 			= $instance[ 'picasa' ];}
		if ( !empty( $instance[ 'soundcloud' ] ) ) {$soundcloud 	= $instance[ 'soundcloud' ];}
		if ( !empty( $instance[ 'whatsapp' ] ) ) {$whatsapp 		= $instance[ 'whatsapp' ];}
		if ( !empty( $instance[ 'skype' ] ) ) {$skype 				= $instance[ 'skype' ];}
		if ( !empty( $instance[ 'slack' ] ) ) {$slack 				= $instance[ 'slack' ];}
		if ( !empty( $instance[ 'wechat' ] ) ) {$wechat 			= $instance[ 'wechat' ];}
		if ( !empty( $instance[ 'icq' ] ) ) {$icq 					= $instance[ 'icq' ];}
		if ( !empty( $instance[ 'rocketchat' ] ) ) {$rocketchat 	= $instance[ 'rocketchat' ];}
		if ( !empty( $instance[ 'telegram' ] ) ) {$telegram 		= $instance[ 'telegram' ];}
		if ( !empty( $instance[ 'vkontakte' ] ) ) {$vkontakte 		= $instance[ 'vkontakte' ];}
		if ( !empty( $instance[ 'rss' ] ) ) {$rss 					= $instance[ 'rss' ];}
		
		$facebook_icon      = mow_fn_svg('facebook');
		$twitter_icon       = mow_fn_svg('twitter');
		$pinterest_icon     = mow_fn_svg('pinterest');
		$linkedin_icon      = mow_fn_svg('linkedin');
		$behance_icon       = mow_fn_svg('behance');
		$vimeo_icon         = mow_fn_svg('vimeo');
		$google_icon        = mow_fn_svg('google');
		$youtube_icon       = mow_fn_svg('youtube');
		$instagram_icon     = mow_fn_svg('instagram');
		$github_icon        = mow_fn_svg('github');
		$flickr_icon        = mow_fn_svg('flickr');
		$dribbble_icon      = mow_fn_svg('dribbble');
		$dropbox_icon       = mow_fn_svg('dropbox');
		$paypal_icon        = mow_fn_svg('paypal');
		$picasa_icon        = mow_fn_svg('picasa');
		$soundcloud_icon    = mow_fn_svg('soundcloud');
		$whatsapp_icon      = mow_fn_svg('whatsapp');
		$skype_icon         = mow_fn_svg('skype');
		$slack_icon         = mow_fn_svg('slack');
		$wechat_icon        = mow_fn_svg('wechat');
		$icq_icon           = mow_fn_svg('icq');
		$rocket_icon   		= mow_fn_svg('rocketchat');
		$telegram_icon      = mow_fn_svg('telegram');
		$vkontakte_icon     = mow_fn_svg('vk');
		$rss_icon           = mow_fn_svg('rss');

		
		
		/* Before widget (defined by themes). */
		echo wp_kses_post($before_widget);
		if ( $title ) {
			echo wp_kses_post($before_title . $title . $after_title); 
		}
		?>
		<div class="clearfix"></div>
           	<div class="mow_fn_widget_social">
				<ul>
					<?php
						if($facebook != ''){echo '<li><a href="'.$facebook.'" aria-label="/">'.$facebook_icon.'</a></li>';}
						if($twitter != ''){echo '<li><a href="'.$twitter.'" aria-label="/">'.$twitter_icon.'</a></li>';}
						if($pinterest != ''){echo '<li><a href="'.$pinterest.'" aria-label="/">'.$pinterest_icon.'</a></li>';}
						if($linkedin != ''){echo '<li><a href="'.$linkedin.'" aria-label="/">'.$linkedin_icon.'</a></li>';}
						if($behance != ''){echo '<li><a href="'.$behance.'" aria-label="/">'.$behance_icon.'</a></li>';}
						if($vimeo != ''){echo '<li><a href="'.$vimeo.'" aria-label="/">'.$vimeo_icon.'</a></li>';}
						if($google != ''){echo '<li><a href="'.$google.'" aria-label="/">'.$google_icon.'</a></li>';}
						if($youtube != ''){echo '<li><a href="'.$youtube.'" aria-label="/">'.$youtube_icon.'</a></li>';}
						if($instagram != ''){echo '<li><a href="'.$instagram.'" aria-label="/">'.$instagram_icon.'</a></li>';}
						if($github != ''){echo '<li><a href="'.$github.'" aria-label="/">'.$github_icon.'</a></li>';}
						if($flickr != ''){echo '<li><a href="'.$flickr.'" aria-label="/">'.$flickr_icon.'</a></li>';}
						if($dribbble != ''){echo '<li><a href="'.$dribbble.'" aria-label="/">'.$dribbble_icon.'</a></li>';}
						if($dropbox != ''){echo '<li><a href="'.$dropbox.'" aria-label="/">'.$dropbox_icon.'</a></li>';}
						if($paypal != ''){echo '<li><a href="'.$paypal.'" aria-label="/">'.$paypal_icon.'</a></li>';}
						if($picasa != ''){echo '<li><a href="'.$picasa.'" aria-label="/">'.$picasa_icon.'</a></li>';}
						if($soundcloud != ''){echo '<li><a href="'.$soundcloud.'" aria-label="/">'.$soundcloud_icon.'</a></li>';}
						if($whatsapp != ''){echo '<li><a href="'.$whatsapp.'" aria-label="/">'.$whatsapp_icon.'</a></li>';}
						if($skype != ''){echo '<li><a href="'.$skype.'" aria-label="/">'.$skype_icon.'</a></li>';}
						if($slack != ''){echo '<li><a href="'.$slack.'" aria-label="/">'.$slack_icon.'</a></li>';}
						if($rocketchat != ''){echo '<li><a href="'.$rocketchat.'" aria-label="/">'.$rocket_icon.'</a></li>';}
						if($telegram != ''){echo '<li><a href="'.$telegram.'" aria-label="/">'.$telegram_icon.'</a></li>';}
						if($vkontakte != ''){echo '<li><a href="'.$vkontakte.'" aria-label="/">'.$vkontakte_icon.'</a></li>';}
						if($rss != ''){echo '<li><a href="'.$rss.'" aria-label="/">'.$rss_icon.'</a></li>';}
					?>
				</ul>
            </div>
            
		<?php 
		/* After widget (defined by themes). */
		echo wp_kses_post($after_widget);
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		
		$instance = array();
 
        $instance['title'] 			= ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['facebook'] 		= ( !empty( $new_instance['facebook'] ) ) ? strip_tags( $new_instance['facebook'] ) : '';
        $instance['twitter'] 		= ( !empty( $new_instance['twitter'] ) ) ? strip_tags( $new_instance['twitter'] ) : '';
        $instance['pinterest'] 		= ( !empty( $new_instance['pinterest'] ) ) ? strip_tags( $new_instance['pinterest'] ) : '';
        $instance['linkedin'] 		= ( !empty( $new_instance['linkedin'] ) ) ? strip_tags( $new_instance['linkedin'] ) : '';
        $instance['behance'] 		= ( !empty( $new_instance['behance'] ) ) ? strip_tags( $new_instance['behance'] ) : '';
        $instance['vimeo'] 			= ( !empty( $new_instance['vimeo'] ) ) ? strip_tags( $new_instance['vimeo'] ) : '';
        $instance['google'] 		= ( !empty( $new_instance['google'] ) ) ? strip_tags( $new_instance['google'] ) : '';
        $instance['youtube'] 		= ( !empty( $new_instance['youtube'] ) ) ? strip_tags( $new_instance['youtube'] ) : '';
        $instance['instagram'] 		= ( !empty( $new_instance['instagram'] ) ) ? strip_tags( $new_instance['instagram'] ) : '';
        $instance['github'] 		= ( !empty( $new_instance['github'] ) ) ? strip_tags( $new_instance['github'] ) : '';
        $instance['flickr'] 		= ( !empty( $new_instance['flickr'] ) ) ? strip_tags( $new_instance['flickr'] ) : '';
        $instance['dribbble'] 		= ( !empty( $new_instance['dribbble'] ) ) ? strip_tags( $new_instance['dribbble'] ) : '';
        $instance['dropbox'] 		= ( !empty( $new_instance['dropbox'] ) ) ? strip_tags( $new_instance['dropbox'] ) : '';
        $instance['picasa'] 		= ( !empty( $new_instance['picasa'] ) ) ? strip_tags( $new_instance['picasa'] ) : '';
        $instance['soundcloud'] 	= ( !empty( $new_instance['soundcloud'] ) ) ? strip_tags( $new_instance['soundcloud'] ) : '';
        $instance['whatsapp'] 		= ( !empty( $new_instance['whatsapp'] ) ) ? strip_tags( $new_instance['whatsapp'] ) : '';
        $instance['skype'] 			= ( !empty( $new_instance['skype'] ) ) ? strip_tags( $new_instance['skype'] ) : '';
        $instance['slack'] 			= ( !empty( $new_instance['slack'] ) ) ? strip_tags( $new_instance['slack'] ) : '';
        $instance['wechat'] 		= ( !empty( $new_instance['wechat'] ) ) ? strip_tags( $new_instance['wechat'] ) : '';
        $instance['icq'] 			= ( !empty( $new_instance['icq'] ) ) ? strip_tags( $new_instance['icq'] ) : '';
        $instance['rocketchat'] 	= ( !empty( $new_instance['rocketchat'] ) ) ? strip_tags( $new_instance['rocketchat'] ) : '';
        $instance['telegram'] 		= ( !empty( $new_instance['telegram'] ) ) ? strip_tags( $new_instance['telegram'] ) : '';
        $instance['vkontakte'] 		= ( !empty( $new_instance['vkontakte'] ) ) ? strip_tags( $new_instance['vkontakte'] ) : '';
        $instance['rss'] 			= ( !empty( $new_instance['rss'] ) ) ? strip_tags( $new_instance['rss'] ) : '';
 
        return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {
		/* Set up some default widget settings. */
		$title 			= ! empty( $instance['title'] ) ? $instance['title'] : '';
		$facebook 		= ! empty( $instance['facebook'] ) ? $instance['facebook'] : '';
		$twitter 		= ! empty( $instance['twitter'] ) ? $instance['twitter'] : '';
		$pinterest 		= ! empty( $instance['pinterest'] ) ? $instance['pinterest'] : '';
		$linkedin 		= ! empty( $instance['linkedin'] ) ? $instance['linkedin'] : '';
		$behance 		= ! empty( $instance['behance'] ) ? $instance['behance'] : '';
		$vimeo 			= ! empty( $instance['vimeo'] ) ? $instance['vimeo'] : '';
		$google 		= ! empty( $instance['google'] ) ? $instance['google'] : '';
		$youtube 		= ! empty( $instance['youtube'] ) ? $instance['youtube'] : '';
		$instagram 		= ! empty( $instance['instagram'] ) ? $instance['instagram'] : '';
		$github 		= ! empty( $instance['github'] ) ? $instance['github'] : '';
		$flickr 		= ! empty( $instance['flickr'] ) ? $instance['flickr'] : '';
		$dribbble 		= ! empty( $instance['dribbble'] ) ? $instance['dribbble'] : '';
		$dropbox 		= ! empty( $instance['dropbox'] ) ? $instance['dropbox'] : '';
		$picasa 		= ! empty( $instance['picasa'] ) ? $instance['picasa'] : '';
		$soundcloud		= ! empty( $instance['soundcloud'] ) ? $instance['soundcloud'] : '';
		$whatsapp		= ! empty( $instance['whatsapp'] ) ? $instance['whatsapp'] : '';
		$skype			= ! empty( $instance['skype'] ) ? $instance['skype'] : '';
		$slack			= ! empty( $instance['slack'] ) ? $instance['slack'] : '';
		$wechat			= ! empty( $instance['wechat'] ) ? $instance['wechat'] : '';
		$icq			= ! empty( $instance['icq'] ) ? $instance['icq'] : '';
		$rocketchat		= ! empty( $instance['rocketchat'] ) ? $instance['rocketchat'] : '';
		$telegram		= ! empty( $instance['telegram'] ) ? $instance['telegram'] : '';
		$vkontakte		= ! empty( $instance['vkontakte'] ) ? $instance['vkontakte'] : '';
		$rss			= ! empty( $instance['rss'] ) ? $instance['rss'] : '';
		
		$facebook_icon     = mow_fn_svg('facebook');
		$twitter_icon      = mow_fn_svg('twitter');
		$pinterest_icon    = mow_fn_svg('pinterest');
		$linkedin_icon     = mow_fn_svg('linkedin');
		$behance_icon      = mow_fn_svg('behance');
		$vimeo_icon        = mow_fn_svg('vimeo');
		$google_icon       = mow_fn_svg('google');
		$youtube_icon      = mow_fn_svg('youtube');
		$instagram_icon    = mow_fn_svg('instagram');
		$github_icon       = mow_fn_svg('github');
		$flickr_icon       = mow_fn_svg('flickr');
		$dribbble_icon     = mow_fn_svg('dribbble');
		$dropbox_icon      = mow_fn_svg('dropbox');
		$paypal_icon       = mow_fn_svg('paypal');
		$picasa_icon       = mow_fn_svg('picasa');
		$soundcloud_icon   = mow_fn_svg('soundcloud');
		$whatsapp_icon     = mow_fn_svg('whatsapp');
		$skype_icon        = mow_fn_svg('skype');
		$slack_icon        = mow_fn_svg('slack');
		$wechat_icon       = mow_fn_svg('wechat');
		$icq_icon          = mow_fn_svg('icq');
		$rocket_icon       = mow_fn_svg('rocketchat');
		$telegram_icon     = mow_fn_svg('telegram');
		$vkontakte_icon    = mow_fn_svg('vk');
		$rss_icon          = mow_fn_svg('rss');
		$mastodon_icon     = mow_fn_svg('svg__mastodon');
		
		?>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title:', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'facebook' )); ?>"><?php echo $facebook_icon; esc_html_e('Facebook', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'facebook' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'facebook' )); ?>" value="<?php echo esc_attr($facebook); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'twitter' )); ?>"><?php echo $twitter_icon; esc_html_e('Twitter', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'twitter' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twitter' )); ?>" value="<?php echo esc_attr($twitter); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'pinterest' )); ?>"><?php echo $pinterest_icon; esc_html_e('Pinterest', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'pinterest' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'pinterest' )); ?>" value="<?php echo esc_attr($pinterest); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'linkedin' )); ?>"><?php echo $linkedin_icon; esc_html_e('Linkedin', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'linkedin' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'linkedin' )); ?>" value="<?php echo esc_attr($linkedin); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'behance' )); ?>"><?php echo $behance_icon; esc_html_e('Behance', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'behance' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'behance' )); ?>" value="<?php echo esc_attr($behance); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'vimeo' )); ?>"><?php echo $vimeo_icon; esc_html_e('Vimeo', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'vimeo' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'vimeo' )); ?>" value="<?php echo esc_attr($vimeo); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'google' )); ?>"><?php echo $google_icon; esc_html_e('Google', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'google' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'google' )); ?>" value="<?php echo esc_attr($google); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'youtube' )); ?>"><?php echo $youtube_icon; esc_html_e('Youtube', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'youtube' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'youtube' )); ?>" value="<?php echo esc_attr($youtube); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'instagram' )); ?>"><?php echo $instagram_icon; esc_html_e('Instagram', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'instagram' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'instagram' )); ?>" value="<?php echo esc_attr($instagram); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'github' )); ?>"><?php echo $github_icon; esc_html_e('Github', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'github' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'github' )); ?>" value="<?php echo esc_attr($github); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'flickr' )); ?>"><?php echo $flickr_icon; esc_html_e('Flickr', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'flickr' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'flickr' )); ?>" value="<?php echo esc_attr($flickr); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'dribbble' )); ?>"><?php echo $dribbble_icon; esc_html_e('Dribbble', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'dribbble' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'dribbble' )); ?>" value="<?php echo esc_attr($dribbble); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'dropbox' )); ?>"><?php echo $dropbox_icon; esc_html_e('Dropbox', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'dropbox' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'dropbox' )); ?>" value="<?php echo esc_attr($dropbox); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'picasa' )); ?>"><?php echo $picasa_icon; esc_html_e('Picasa', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'picasa' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'picasa' )); ?>" value="<?php echo esc_attr($picasa); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'soundcloud' )); ?>"><?php echo $soundcloud_icon; esc_html_e('Soundcloud', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'soundcloud' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'soundcloud' )); ?>" value="<?php echo esc_attr($soundcloud); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'whatsapp' )); ?>"><?php echo $whatsapp_icon; esc_html_e('Whatsapp', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'whatsapp' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'whatsapp' )); ?>" value="<?php echo esc_attr($whatsapp); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'skype' )); ?>"><?php echo $skype_icon; esc_html_e('Skype', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'skype' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'skype' )); ?>" value="<?php echo esc_attr($skype); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'slack' )); ?>"><?php echo $slack_icon; esc_html_e('Slack', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'slack' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'slack' )); ?>" value="<?php echo esc_attr($slack); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'wechat' )); ?>"><?php echo $wechat_icon; esc_html_e('Wechat', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'wechat' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'wechat' )); ?>" value="<?php echo esc_attr($wechat); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'icq' )); ?>"><?php echo $icq_icon; esc_html_e('ICQ', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'icq' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'icq' )); ?>" value="<?php echo esc_attr($icq); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'rocketchat' )); ?>"><?php echo $rocket_icon; esc_html_e('Rocketchat', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'rocketchat' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'rocketchat' )); ?>" value="<?php echo esc_attr($rocketchat); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'telegram' )); ?>"><?php echo $telegram_icon; esc_html_e('Telegram', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'telegram' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'telegram' )); ?>" value="<?php echo esc_attr($telegram); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'vkontakte' )); ?>"><?php echo $vkontakte_icon; esc_html_e('Vkontakte', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'vkontakte' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'vkontakte' )); ?>" value="<?php echo esc_attr($vkontakte); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'rss' )); ?>"><?php echo $rss_icon; esc_html_e('RSS', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'rss' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'rss' )); ?>" value="<?php echo esc_attr($rss); ?>" class="mow_fn_width100">
		</p>

	<?php
	}
}

$my_widget = new Mow_Social();