<?php

get_header();

global $post;
$mow_fn_option = mow_fn_theme_option();


// Blog List layout
$layout = 'classic';
if(isset($mow_fn_option['blog_layout'])){
	$layout = $mow_fn_option['blog_layout'];
}

// Secondary Sidebar
$secondary_sidebar = 'disable';

// Main Sidebar
$main_sidebar = 'wsr';
if($main_sidebar != 'full' && !mow_fn_if_has_sidebar()){ $main_sidebar = 'full';}

// Check if page is password protected	
if(post_password_required($post)){
	mow_fn_protectedpage();
}else{ ?>

<div class="mow_fn_index" data-secondary-sidebar="<?php echo esc_attr($secondary_sidebar); ?>" data-main-sidebar="<?php echo esc_attr($main_sidebar); ?>" data-page="blog">
	<?php mow_fn_get_page_title('blog'); ?>

	<?php 
	if($main_sidebar == 'full' && $secondary_sidebar == 'disable'){ 
		get_template_part('inc/templates/blog','',array('layout' => $layout));
	}else if($main_sidebar == 'full' && $secondary_sidebar != 'disable'){ ?>
	<div class="mow_fn_ws">
		<div class="container">
			<div class="wspage_cols">
				<div class="wspage_col wspage_secondary">
					<div class="wspage_in">
						<?php dynamic_sidebar('secondary-sidebar'); ?>
					</div>
				</div>
				<div class="wspage_col wspage_list">
					<div class="wspage_in">
						<?php get_template_part('inc/templates/blog','',array('layout' => $layout)); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php }else{ ?>
	<div class="mow_fn_ws">
		<div class="container">
			<div class="wspage_cols">
				<?php if($secondary_sidebar != 'disable'){ ?>
				<div class="wspage_col wspage_secondary">
					<div class="wspage_in">
						<?php dynamic_sidebar('secondary-sidebar'); ?>
					</div>
				</div>
				<?php } ?>
				<div class="wspage_col wspage_list">
					<div class="wspage_in">
						<?php get_template_part('inc/templates/blog','',array('layout' => $layout)); ?>
					</div>
				</div>
				<div class="wspage_col wspage_bar">
					<div class="wspage_in">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>

</div>

<?php } ?>

<?php get_footer(); ?>  