<?php // Custom Comment template
function mow_fn_comment( $comment, $args, $depth ) {
	global $post;
	$icon = mow_fn_svg('reply');
	
   	switch ( $comment->comment_type ) {
		case 'pingback' :
		case 'trackback' : ?> <li class="post pingback"><div><p><?php esc_html_e( 'Pingback:', 'mow' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'mow' ), '<span class="edit-link">', '</span>' ); ?></p></div></li><?php
		break;
			
		default :

    ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
        <div id="comment-<?php comment_ID(); ?>" class="comment-body">
           
           <div class="comment-top">
				<div class="comment-avatar">
					<div class="img"><?php echo get_avatar( $comment, 80 ); ?></div>
				</div>
				<div class="commment-text-wrap">

					<div class="comment-data">
						<h4 class="author"><?php comment_author_link(); ?></h4>
						<div class="author_meta">
							<span class="date_meta"><?php printf( esc_html__( '%1$s / at %2$s', 'mow' ), get_comment_date(get_option('date_format')), get_comment_time(get_option('time_format'))  );?></span>
							<?php
							edit_comment_link(esc_html__('edit', 'mow'),'','');
							comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'link_text' => 'asdasd', 'before' => '<span class="comment-reply">'.$icon,'after' => '</span>'))); 
							?>
						</div>
					</div>
				</div>
           </div>
            
                
                
			<div class="comment-text">
				<?php if ($comment->comment_approved == '0') : ?>
					<span class="waiting"><?php esc_html_e('Your comment is awaiting moderation', 'mow') ?></span>
				<?php endif; ?>
				<div class="desc">
					<?php comment_text() ?>
				</div>
			</div>
        </div>
    
<?php }} ?>

<?php
// Do not delete these lines

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php esc_html_e('This post is password protected. Enter the password to view comments.', 'mow'); ?></p>
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments()) : ?>
	<?php if(wp_count_comments() !== 0){?>
	<div class="comment_top">
		<div class="respond-title">
			<h3 class="fn_title"><?php comments_number( esc_html__( 'No Comment', 'mow' ), esc_html__( 'One Comment', 'mow' ), esc_html__( '% Comments', 'mow' ) );?></h3>
			<span class="text" data-hide="<?php esc_attr_e('(Hide Comments)','mow'); ?>" data-show="<?php esc_attr_e('(Show Comments)','mow'); ?>"><?php esc_html_e('(Hide Comments)','mow'); ?></span>
			<a href="#" aria-label="<?php esc_attr_e('Show/Hide Comments', 'mow'); ?>"></a>
		</div>
		<?php }?>
		<div class="comment-list">
			<ul class="list">
				<?php wp_list_comments('type=all&callback=mow_fn_comment'); ?>
			</ul>
		</div>
	</div>
		
    <?php
		// Are there comments to navigate through?
		if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
	?>
	<nav class="comment-navigation">
		<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'mow' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'mow' ) ); ?></div>
	</nav>
	<?php endif; // Check for comment navigation ?>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php esc_html_e('Comments are closed.', 'mow'); ?></p>

	<?php endif; ?>
<?php endif; ?>


<?php 
		
	add_filter('comment_form_fields', 'mow_reorder_comment_fields' );
	function mow_reorder_comment_fields( $fields ){

		$new_fields = array();

		$myorder = array('comment','author','email');

		foreach( $myorder as $key ){
			$new_fields[ $key ] = $fields[ $key ];
			unset( $fields[ $key ] );
		}

		if( $fields ){
			foreach( $fields as $key => $val ){
				$new_fields[ $key ] = $val;
			}
		}
			
		return $new_fields;
	}
		
	$comment_form = array( 
		'fields' => apply_filters( 'comment_form_default_fields', array(
			'author' => '<div class="input-half input-holder input-author"><input class="com-text" id="author" name="author" placeholder="'.esc_html__('Name', 'mow').'" type="text"  value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" tabindex="1"></div>',
		
			'email'  => '<div class="input-half input-holder input-email"><input class="com-text" id="emailme" placeholder="'.esc_html__('Email', 'mow').'" name="email" type="text"  value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30" tabindex="2"></div>',
			 )),
			
			'comment_form_logged_in' => '<div class="input-holder"><textarea placeholder="'.esc_html__('Comment', 'mow').'" id="comment" name="comment" aria-required="true" rows="1" tabindex="3"></textarea></div>',
		
			'comment_field' => '<div class="input-holder"><textarea placeholder="'.esc_html__('Comment', 'mow').'" id="comment" name="comment" aria-required="true" rows="1" tabindex="3"></textarea></div>',
		
			'comment_notes_before' => '',
			'comment_notes_after' => '',
			'submit_field' => '<div class="input-holder input-submit"><span class="mow_submit">%1$s %2$s</span></div>',
		
			'title_reply'=>'<span class="comment-title">'. esc_html__('Leave a reply', 'mow') .'</span>'
	);
	comment_form($comment_form, $post->ID);
?>