
(function ($){

	"use strict";
	
	
    var MowWoo 		= {
		
		cartWait: false,
		
		bar: $('.mow_fn_woobar'),
		
		init: function(){
			this.magnificPopup();
			this.openCartBox__Woo();
			this.removeItemFromCart__Woo();
			this.addToCart();
			this.someCustomFunctions();
			this.removeXFromCart();
			this.qty();
			$('body').on('added_to_cart removed_from_cart updated_cart_totals updated_wc_div', this.updateCart);
		},
		
		
		qty: function(){
			$('.qty').each(function(){
				var e = $(this);
				if(!e.hasClass('ready')){
					e.addClass('ready');
					e.wrap('<div class="fn__qty"></div>');
					e.closest('.fn__qty').append('<span class="up"><span></span></span><span class="down"><span></span></span>');
				}
				
			});
			this.qtyInit();
		},
		
		qtyInit: function(){
			$('.fn__qty .up').off().on('click', function() {
				var e = $(this);
				var time = 100;
				e.addClass('focused');
				clearTimeout(time);
				setTimeout(function(){
					e.removeClass('focused');
				},time);
				var input = e.closest('.fn__qty').find('input');
				var max = input.attr('max');
				var oldValue = parseInt(input.val());
				var newVal;
				if((typeof max !== 'undefined') && max !== '' && oldValue >= max){
					newVal = oldValue;
					return false; // остановиь действие функции, если достигнуто максимальное значение
				}else{
					newVal = oldValue + 1;
				}
				input.val(newVal).trigger("change");
				return false;
			});

			$('.fn__qty .down').off().on('click', function() {
				var e = $(this);
				var time = 100;
				e.addClass('focused');
				clearTimeout(time);
				setTimeout(function(){
					e.removeClass('focused');
				},time);
				var input = e.closest('.fn__qty').find('input');
				var oldValue = parseInt(input.val());
				var min = input.attr('min');
				var newVal;
				if(oldValue <= min){
					newVal = oldValue;
					return false; // остановиь действие функции, если достигнуто минимальное значение
				}else{
					newVal = oldValue - 1;
				}
				input.val(newVal).trigger("change");
				return false;
			});
		},
		
		removeXFromCart: function(){
			$('.woocommerce table.shop_table td.product-remove a.remove,.woocommerce.widget_shopping_cart .cart_list li a.remove').text('');
		},
		someCustomFunctions: function(){
			
			// smooth scroll to review section
			var shopReview	= $('a.woocommerce-review-link');
			if(shopReview.length){
				shopReview.on('click',function(e){
					e.preventDefault();
					$('body,html').animate({scrollTop: $('.woocommerce-tabs').offset().top - 150}, 1100);
					return false;
				});
			}

			// for create own design for empty cart
			var cartEmpty 		= $('p.cart-empty');
			var returnToShop 	= $('p.return-to-shop');
			var returnHTML		= returnToShop.html();
			var cartEmptyHTML	= cartEmpty.html();
			if(cartEmpty.length){
				returnToShop.empty();
				cartEmpty.remove();
				$('.woocommerce').append('<div class="fn_cart-empty"><span>'+cartEmptyHTML+'</span><span>'+returnHTML+'</span>');
			}
			// for create own design for my-account
			var myAccount 		= $('.woocommerce-account .woocommerce-MyAccount-content');
			if(myAccount.length){
				myAccount.parent().wrapInner('<div class="mow_fn_woo_myaccount"><div><div class="inner">');
			}
			// for create own design for my-account -> login
			var logIn			= $('.woocommerce form.login');
			var parentTitle		= logIn.parent().find('h2');
			if(logIn.length){
				parentTitle.hide();
				logIn.wrap('<div class="mow_fn_woo_login"><div>').wrapInner('<div class="mow_fn_woo_login_inner"><div>');
			}	
		},
		updateCart: function(){
			MowWoo.bar.addClass('updating');
			MowWoo.qty();
			var cartBox		= $('.mow_fn_cartbox');
			var counter		= $('.icon_bar__woo .count');
			var pageFrom	= '';
			if($('body').hasClass('woocommerce-cart')){
				pageFrom	= 'cart';
			}
			if($('body').hasClass('woocommerce-checkout')){
				pageFrom	= 'checkout';
			}
			var requestData = {
				action: 'mow_fn_remove_item_from_cart',
				security: MowAjaxObject.nonce,
				product_id: '',
				cart_item_key: '',
				pageFrom: pageFrom
			};

			$.ajax({
				type: 'POST',
				url: MowAjaxObject.ajax_url,
				cache: true,
				data: requestData,
				success: function(data) {
					MowWoo.bar.removeClass('updating');
					var fnQueriedObj 	= $.parseJSON(data); //get the data object
					cartBox.html(fnQueriedObj.mow_fn_data);
					counter.html(fnQueriedObj.count);
					MowWoo.cartWait 		= false;
					MowWoo.removeItemFromCart__Woo();
				},
				error: function() {
					MowWoo.cartWait 		= false;
					console.log('Error');
				}
			});
		},
		addToCart: function(){
			$('a.add_to_cart_button').on('click', function() {
				var link 	= this;

				$(link).closest('.product').find('a img').animate({opacity: 0.7});
				setTimeout(function(){

					$(link).closest('.product').addClass('added-to-cart-check');

					setTimeout(function(){
						$(link).closest('.product').find('a img').animate({opacity: 1});
					}, 1000);
				}, 1000);
				
			});	
		},
		magnificPopup: function(){
			if($().magnificPopup){
				// lightbox for gallery images
				$('.mow_fn_woo .images').each(function() {
					$(this).magnificPopup({
						delegate: 'a.zoom, .woocommerce-product-gallery__image a',
						type: 'image',
						overflowY: 'auto',
						fixedContentPos: false,
						closeOnContentClick: false,
						closeBtnInside: false,
						mainClass: 'mfp-with-zoom mfp-img-mobile',
						image: {
							verticalFit: true,
							titleSrc: function(item) {
								return item.el.attr('title');
							}
						},
						gallery: {
							enabled: true
						}
					});	
				});
			}
		},
		
		checkIfCartHasBeenChangedSomewhere: function(){
			var pageFrom	= '';
			var cartBox		= $('.mow_fn_cartbox');
			var counter		= $('.icon_bar__woo .count');
			if($('body').hasClass('woocommerce-cart')){
				pageFrom	= 'cart';
			}
			if($('body').hasClass('woocommerce-checkout')){
				pageFrom	= 'checkout';
			}
			var requestData = {
				action: 'mow_fn_remove_item_from_cart',
				security: MowAjaxObject.nonce,
				product_id: '',
				cart_item_key: '',
				pageFrom: pageFrom
			};

			$.ajax({
				type: 'POST',
				url: MowAjaxObject.ajax_url,
				cache: true,
				data: requestData,
				success: function(data) {
					var fnQueriedObj 	= $.parseJSON(data); //get the data object
					$('.mow_fn_hidden_info').remove();
					$('body').append('<div class="mow_fn_hidden_info">'+fnQueriedObj.mow_fn_data+'</div>');
					if(MowWoo.bar.find('.woo__compare').html() !== $('.mow_fn_hidden_info .woo__compare').html()){
						MowWoo.bar.find('.bar_content').prepend(fnQueriedObj.update);
						MowWoo.bar.find('.fn_cartbox_updater').on('click',function(){
							cartBox.html(fnQueriedObj.mow_fn_data);
							counter.html(fnQueriedObj.count);
							MowWoo.removeItemFromCart__Woo();
							$('.mow_fn_hidden_info').remove();
							MowWoo.bar.find('.woo_updater').slideUp(300).delay(300).remove();
							return false;
						});
					}
					MowWoo.cartWait 		= false;
				},
				error: function() {
					MowWoo.cartWait 		= false;
					console.log('Error');
				}
			});
		},
		
		openCartBox__Woo: function(){
			var button			= $('.icon_bar__woo,.mow_fn_mobnav .item_woo');
			button.off().on('click',function(e){
				e.preventDefault();
				e.stopPropagation();
				if(MowWoo.bar.hasClass('active')){
					MowWoo.bar.removeClass('active');
				}else{
					MowWoo.bar.addClass('active');
					MowWoo.checkIfCartHasBeenChangedSomewhere();
				}
				return false;
			});
			
			$('.mow_fn_woobar .fn__popup_closer,.mow_fn_woobar .bar_extra_closer').off().on('click',function(){
				MowWoo.bar.removeClass('active');
				return false;
			});
		},
		removeItemFromCart__Woo: function(){
			$('.fn_cartbox_delete_item').off().on('click', function (e){
    			e.preventDefault();
				MowWoo.cartWait = true;
				MowWoo.bar.addClass('updating');
				var button	= $(this);
				var item	= button.closest('.fn_cartbox_item');
				var itemID	= item.data('id');
				var itemKey	= item.data('key');
				var cartBox	= $('.mow_fn_cartbox');
				var counter	= $('.icon_bar__woo .count');
				
				
				var requestData = {
					action: 'mow_fn_remove_item_from_cart',
					product_id: itemID,
					security: MowAjaxObject.nonce,
					pageFrom: '',
					cart_item_key: itemKey
				};
				
				$.ajax({
					type: 'POST',
					url: MowAjaxObject.ajax_url,
					cache: true,
					data: requestData,
					success: function(data) {
						var fnQueriedObj 	= $.parseJSON(data); //get the data object
						cartBox.html(fnQueriedObj.mow_fn_data);
						counter.html(fnQueriedObj.count);
						MowWoo.cartWait 		= false;
						MowWoo.removeItemFromCart__Woo();
						MowWoo.bar.removeClass('updating');
					},
					error: function() {
						MowWoo.cartWait 		= false;
						console.log('Error');
						MowWoo.bar.removeClass('updating');
					}
				});
				return false;
			});
		}
	};
	
	
	
	// ready functions
	$(document).ready(function(){
		MowWoo.init();
	});
	
	
})(jQuery);