/*
 * Copyright (c) 2024 Frenify
 * Author: Frenify
 * This file is made for CURRENT THEME
*/


/*

	@Author: Frenify
	@URL: https://frenify.com/


	This file contains the jquery functions for the actual theme, this
	is the file you need to edit to change the structure of the
	theme.

	This files contents are outlined below.

*/

document.addEventListener("DOMContentLoaded", function() {
    // Function to check if an element is in the viewport
    function isInViewport(element) {
        const rect = element.getBoundingClientRect();
        return (
            rect.top >= 0 &&
            rect.left >= 0 &&
            rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) &&
            rect.right <= (window.innerWidth || document.documentElement.clientWidth)
        );
    }

    // Get all images with the loading="lazy" attribute
    const images = document.querySelectorAll('img[loading="lazy"]');

    // Loop through the images and remove the loading="lazy" attribute if they are in the viewport
    images.forEach(img => {
        if (isInViewport(img)) {
            img.removeAttribute('loading');
        }
    });
});


jQuery.fn.isInViewportByFrenify = function() {
	"use strict";
	var element 		= jQuery(this),
		windoww 		= jQuery(window);
    var elementTop 		= element.offset().top;
    var elementBottom 	= elementTop + element.outerHeight();

    var viewportTop 	= windoww.scrollTop();
    var viewportBottom 	= viewportTop;// + windoww.height();
	var percentage		= (viewportTop - elementTop)/element.outerHeight() * 100;
    return [(elementBottom > viewportTop) && (elementTop < viewportBottom),percentage];
};


var MowAjax				= MowAjaxObject;
var MowBody				= jQuery('body');
var MowWrapper			= jQuery('.mow-fn-wrapper');
var MowNewPostFE		= {
	is_link: false,
	is_post: false
};
var MowRelinkNextPage	= false;
var MowVoteWait			= false;
var MowGetMetaByURLWait	= false;
var MowReactionWait		= false;
var MowNextPostWait		= false;
var MowQuickNav			= 0;
var MowCounterAjaxPost	= 1;
var MowLink				= '';
var MowImageURL			= '';
var MowEntityMap = {
	'&': '&amp;',
	'<': '&lt;',
	'>': '&gt;',
	'"': '&quot;',
	"'": '&#39;',
	'/': '&#x2F;',
	'`': '&#x60;',
	'=': '&#x3D;'
};

// All other theme functions
(function ($){

	"use strict";
	
	var MowMegaMenuCatFilter	= {
		cat_id: '',
		page: 1,
		count: 5,
		parent: ''
	};

	var MowLastScrollTop = 0;
	
    var MowInit 		= {
		
		
		ajaxRunning: false,
		
        init: function () {
			this.cursor();
			this.blog_info();
			this.url_fixer();
			this.hamburgerOpener__Mobile();
			this.submenu__Mobile();
			this.isotopeMasonry();
			this.dataFnBgImg();
			this.widget__pages();
			
			
			this.widgetTitle();
			this.countdown();
			
			// since mow
			this.totopScroll();
			this.seachSomething();
			this.reversedMenu();
			this.sidebarOpener();
			this.voteOpener();
			this.reaction();
			this.ajaxNextPost();
			this.nowReading();
			this.transformReading();
			this.stickyHeader();
			this.stickyTopBar();
			this.mobile__Menu();
			this.single_post__gallery();
			this.topQuickNav();
			this.copyToClibpoard();


			this.site_skin();
			this.fixed_posts();
			this.widget_posts_filter();
			this.mega__topcat_filter();
			this.mega__topcat_nav();
			this.mega__hover();
			this.ready();
			this.signForm();
			this.signIn();
			this.signUp();
			this.gallery_thumbs();
			this.lightGallery();
			this.singleNoAjax();
			this.commentCloser();
			this.video();
			this.lazyLoadVideo();
			this.progress();
			this.relink_nextpage();
			this.addNewPost();
			this.addTags();
			this.upload();
			this.getPostbyURL();
			this.newPostBtn();
			this.redirect_link();
			this.sticky_sidebar();
        },

		sticky_sidebar: function(){
			if(MowBody.hasClass('sidebar_sticky_enable') && $('.mow_fn_ws .wspage_col').length){
				$('.mow_fn_ws .wspage_bar,.mow_fn_ws .wspage_secondary').each(function(){
					var e = $(this);
					var child = e.find('.wspage_in');
					var childH = child.height();
					var wH = $(window).height();
					if(childH > wH){
						var diff = childH - wH + 50;
						diff *= -1;
						child.css({top: diff + 'px'});
					}
					
				});
			}
		},

		redirect_link: function(){
			var external_link = $('.fn__external_link');
			if(external_link.length){
				external_link.on('click',function(){
					if(MowAjax.redirect_page != ''){
						var link = $(this).attr('href'),
						title = $(this).attr('title');
						var url = MowAjax.redirect_page+'?url='+encodeURIComponent(link);
						if(title!= ''){url+= '&title='+encodeURIComponent(title);}
						// Create a fallback anchor element
						var anchorFallback = document.createElement('a');
						anchorFallback.href = url;
						anchorFallback.target = '_blank';
			
						// Attempt to open in a new tab
						var newWindow = window.open(url, '_blank');
			
						// If window.open is blocked, fallback to anchor click
						if (!newWindow || newWindow.closed || typeof newWindow.closed === 'undefined') {
							// Append anchor to the DOM and simulate a click
							document.body.appendChild(anchorFallback);
							anchorFallback.click();
			
							// Remove the anchor to keep DOM clean
							document.body.removeChild(anchorFallback);
						}
						return false;
					}
				});
			}
			var redirect_page = $('.mow_fn_redirectpage');
			if(redirect_page.length){
				var url = redirect_page.data('url');
				if(url != ''){
					var countdown = parseInt(redirect_page.data('sec'));
					setTimeout(function() {
						window.location.href = url;
					}, 1000*countdown); 
			
					var countdownElement = redirect_page.find('.countdown .count');
					var countdownInterval = setInterval(function() {
						countdown--;
						countdownElement.text(countdown);
			
						if (countdown <= 0) {
							clearInterval(countdownInterval);
						}
					}, 1000);
				}
				
			}
		},

		alert: function(text){
			 // Target the existing dialog div
			 var dialog = $(".frenify__copy_dialog");

			 // Create a span element with the alert text
			 var span = $('<span></span>').text(text);
		 
			 // Append the span to the dialog div
			 dialog.append(span);
		 
			 // Animate the span's appearance
			 span.hide().fadeIn(300);
		 
			 // Remove the span with an animation after 1.5 seconds
			 setTimeout(function() {
				 span.fadeOut(300, function() {
					 span.remove();
				 });
			 }, 3500);
		},

		validateUrl: function(url) {
			try {
				new URL(url); return true;
			} catch (err) {
				return false;
			}
		},

		cancelNewPost: function(){
			MowBody.removeClass('new-post-bar-active');
			$('.fn__newpost_form .link').text('').attr('title','');
			$('.fn__dragbox').removeClass('uploaded').find('.preview').css({backgroundImage: 'url()'});
			$('.fn__tag_box .tag').remove();
			$('.fn__insertlink').val('');
			$('.fn__newpost_form .title').val('');
			$('.fn__newpost_form .description').val('');
			$('.fn__category_box select').prop('selectedIndex', -1);
			$('#mow_fn_newpost_bar').removeClass();
			$('.ql-editor').html('<p><br></p>');
			$('#mow_fn_newpost_bar .step4_link').remove();
			$('#mow_fn_newpost_bar .step3_post').remove();
		},

		newPostBtn: function(){
			var bar = $('#mow_fn_newpost_bar');
			if(bar.length){
				
				if($('#new_post_content').length){
					// for tinymce
					var toolbarOptions = [
						['bold'], // Bold
						[{ header: [1, 2, 3, false] }], // Normal (default), H2, H3
						[{ list: 'ordered' }, { list: 'bullet' }], // Ordered and unordered lists
						['link', 'image', 'video'], // Link, image, and video
						['undo', 'redo'] // Undo and redo (custom handlers below)
					];

					var quill = new Quill('#new_post_content', {
						theme: 'snow', // Snow theme
						modules: {
							toolbar: {
								container: toolbarOptions,
								handlers: {
									image: imageHandler
								}
							},
						history: {
							delay: 1000, // 1-second delay between undo/redo actions
							maxStack: 100, // Maximum undo/redo stack size
							userOnly: true // Only track user-triggered changes
						}
						}
					});

					function imageHandler() {
						var range = this.quill.getSelection();
						var value = prompt(MowAjax.enterImgURL);
						if(value){
							this.quill.insertEmbed(range.index, 'image', value, Quill.sources.USER);
						}
					}

					var undoHandler = {
						undo: function () {
							quill.history.undo(); // Perform Quill's undo
						},
						redo: function () {
							quill.history.redo(); // Perform Quill's redo
						}
					};
					$(document).on('click', '.ql-undo', function () {
						undoHandler.undo();
					});
					$(document).on('click', '.ql-redo', function () {
						undoHandler.redo();
					});
				}

				
				

				// add new link button on click action
				bar.find('.bar_link_btn').off().on('click',function(){
					bar.addClass('step2_link_active');
					setTimeout(function(){
						$('.fn__insertlink')[0].focus();
					},100);
					return false;
				});

				// add new post button on click action
				bar.find('.bar_post_btn').off().on('click',function(){
					bar.addClass('step2_post_active');
					return false;
				});

				// cancel button action
				$('.fn_cancel_new_post').off().on('click', function () {
					MowInit.cancelNewPost();
					return false;
				});


				$('.fn__submit_new_post_post').off().on('click', function () {
					var $element = $(this);
					var $form = $element.closest('.fn__newpost_form'),
					$title = $form.find('.title'),
					$titleVal = $title.val();
					if($titleVal == ''){
						MowInit.alert(MowAjax.no_title);
						return false;
					}
					if (bar.hasClass('step2_post_loading')) {
						return false;
					}	
					bar.addClass('step2_post_loading');;
				
					var $description = $form.find('.ql-editor'),
						$descriptionVal = $description.html(),
						$categories = $form.find('.categories').val(),
						$tags = [];
				
					$form.find('.fn__tag_box li:not(.new)').each(function () {
						$tags.push($(this).find('.tag-name').text());
					});
				
					var image_file = $form.find('.file-input')[0].files[0]; // Get the file input
				
					// Create FormData object to handle file and other fields
					var formData = new FormData();
					formData.append('action', 'mow_fn_new_post_post');
					formData.append('security', MowAjax.nonce);
					formData.append('title', $titleVal);
					formData.append('description', $descriptionVal);
					formData.append('categories', $categories);
					formData.append('tags', $tags.join(',')); // Convert tags array to string
					formData.append('link', MowLink);
					formData.append('image_url', MowImageURL);
				
					if (image_file) {
						formData.append('image_file', image_file); // Append file to FormData
					}
				
					// Send the AJAX request
					$.ajax({
						url: MowAjax.ajax_url,
						method: 'POST',
						data: formData,
						processData: false, 
						contentType: false,
						success: function (response) {
							$('#mow_fn_newpost_bar .bar_content').append(response.data.message);
							setTimeout(function () {
								bar.removeClass('step2_post_loading step2_post_active').addClass('step3_post_active');
							}, 200);
						},
						error: function (response) {
							console.log(response);
							console.log('Error occurred while uploading.');
						}
					});
				
					return false;
				});

				$('.fn__submit_new_post_link').off().on('click', function () {
					var $element = $(this);
					var $form = $element.closest('.fn__newpost_form'),
					$title = $form.find('.title'),
					$titleVal = $title.val();
					if($titleVal == ''){
						MowInit.alert(MowAjax.no_title);
						return false;
					}
					if (bar.hasClass('step3_link_loading')) {
						return false;
					}
					bar.addClass('step3_link_loading');;
				
					var $description = $form.find('.description'),
						$descriptionVal = $description.val(),
						$categories = $form.find('.categories').val(),
						$tags = [];
				
					$form.find('.fn__tag_box li:not(.new)').each(function () {
						$tags.push($(this).find('.tag-name').text());
					});
				
					var image_file = $form.find('.file-input')[0].files[0]; // Get the file input
				
					// Create FormData object to handle file and other fields
					var formData = new FormData();
					formData.append('action', 'mow_fn_new_link_post');
					formData.append('security', MowAjax.nonce);
					formData.append('title', $titleVal);
					formData.append('description', $descriptionVal);
					formData.append('categories', $categories);
					formData.append('tags', $tags.join(',')); // Convert tags array to string
					formData.append('link', MowLink);
					formData.append('image_url', MowImageURL);
					
					if (image_file) {
						formData.append('image_file', image_file); // Append file to FormData
					}
					
				
					// Send the AJAX request
					$.ajax({
						url: MowAjax.ajax_url,
						method: 'POST',
						data: formData,
						processData: false, 
						contentType: false,
						success: function (response) {
							$('#mow_fn_newpost_bar .bar_content').append(response.data.message);
							setTimeout(function () {
								bar.removeClass('step3_link_loading step3_link_active').addClass('step4_link_active');
							}, 200);
						},
						error: function (response) {
							console.log(response);
							console.log('Error occurred while uploading.');
						}
					});
				
					return false;
				});
				
			}
		},

		getPostbyURL: function(){
			var bar = $('#mow_fn_newpost_bar');
			$('.fn__insertlink').on('paste', function(e) {
				var $el = $(this);
				if(MowGetMetaByURLWait === true) {return false;}MowGetMetaByURLWait = true;
				
				bar.addClass('step2_link_loading');
				var clipboardData = e.originalEvent.clipboardData;
				var pastedText = clipboardData.getData('Text');
				$el.val(pastedText);
				if(!MowInit.validateUrl(pastedText)){
					MowLink = '';
					MowInit.alert(MowAjax.invalidURL);
					MowGetMetaByURLWait = false;
					bar.removeClass('step2_link_loading');
					return false;
				}
				MowLink = pastedText;
				
				// Make an AJAX request to fetch the post details
				$.ajax({
					url: MowAjax.ajax_url,
					method: 'POST',
					data: {
						action: 'mow_fn_fletch_post_data', 
						url: pastedText,
						security: MowAjax.nonce,
					},
					success: function(response) {
						// stop 2nd step and go to 3rd step
						bar.removeClass('step2_link_loading step2_link_active').addClass('step3_link_active');
						// insert Link
						bar.find('.step3_link .link').text(pastedText).attr('title', pastedText);
						// insert Title
						var postTitle = response.data.title;
						if(postTitle && postTitle != ''){
							bar.find('.step3_link .title').val(postTitle);
						}else{
							MowInit.alert(MowAjax.errorGetTitle);
						}
						// insert Description
						var postDesc = response.data.excerpt;
						if(postDesc && postDesc != ''){
							bar.find('.step3_link .description').val(postDesc);
						}else{
							MowInit.alert(MowAjax.errorGetDesc);
						}
						// insert Image
						var postImg = response.data.image;
						if(postImg && postImg != ''){
							MowImageURL = postImg;
							bar.find('.step3_link .fn__dragbox').addClass('uploaded').find('.preview').css('background-image', 'url('+postImg+')');
						}else{
							MowInit.alert(MowAjax.errorGetImg);
						}
						// URL unpause
						MowGetMetaByURLWait = false;
					},
					error: function() {
						// stop 2nd step and go to 3rd step
						bar.removeClass('step2_link_loading step2_link_active').addClass('step3_link_active');
						// insert Link
						bar.find('.step3_link .link').text(pastedText).attr('title', pastedText);
						// insert Title
						MowInit.alert(MowAjax.errorGetTitle);
						// insert Description
						MowInit.alert(MowAjax.errorGetDesc);
						// insert Image
						MowInit.alert(MowAjax.errorGetImg);
						// URL unpause
						MowGetMetaByURLWait = false;
					}
				});
			});
		},

		upload: function(){
			$(document).on('click', '.fn__dragbox .url-btn', function () {
				var $el = $(this);
				var $parent = $el.closest('.fn__dragbox');
				$parent.addClass('next');
				return false; // Prevent default behavior
			  });
			  
			$(document).on('click', '.fn__dragbox .back-btn', function () {
				var $el = $(this);
				var $parent = $el.closest('.fn__dragbox');
				$parent.removeClass('next');
			});

			$('.fn__dragbox').each(function () {
				const $dragbox = $(this);
				const $fileInput = $dragbox.find('.file-input');
				const $closer = $dragbox.find('.closer');
				const $browseBtn = $dragbox.find('.browse-btn'); // Button to trigger file upload
				const $getImageBtn = $dragbox.find('.get-image-btn'); // Button to get image from URL
				const $imageUrlInput = $dragbox.find('.image-url-input'); // Input for image URL
				const maxFileSize = 2 * 1024 * 1024; // 2MB in bytes
			  
				// Drag and Drop Events
				$dragbox.on('dragover', function (e) {
				  e.preventDefault();
				  e.stopPropagation();
				  $dragbox.addClass('dragover');
				});
			  
				$dragbox.on('dragleave', function (e) {
				  e.preventDefault();
				  e.stopPropagation();
				  $dragbox.removeClass('dragover');
				});
			  
				$dragbox.on('drop', function (e) {
				  e.preventDefault();
				  e.stopPropagation();
				  $dragbox.removeClass('dragover');
			  
				  const files = e.originalEvent.dataTransfer.files;
				  handleFile(files[0]);
				});
			  
			  
				// Click on "Browse" Button Opens File Dialog
				$browseBtn.on('click', function (e) {
				  e.stopPropagation(); // Prevent triggering the dragbox click
				  $fileInput.click();
				});
			  
			  
				$closer.on('click', function (e) {
				  e.stopPropagation();
				  $dragbox.css({backgroundImage: 'url()'}).removeClass('uploaded');
				});
			  
				// Handle File Input Change
				$fileInput.on('change', function () {
				  const file = $fileInput[0].files[0];
				  handleFile(file);
				});
			  
				// Handle Click on "Get Image" Button
				$getImageBtn.on('click', function (e) {
				  e.preventDefault(); // Prevent default button action
				  const url = $imageUrlInput.val().trim();
				  if (url) {
					loadImageFromUrl(url);
				  } else {
					MowInit.alert(MowAjax.dragBoxValidImgURL);
				  }
				});
			  
				// Handle File Logic
				function handleFile(file) {
				  if (!file) {
					MowInit.alert(MowAjax.dragBoxNoFile);
					return;
				  }
			  
				  if (!file.type.startsWith('image/')) {
					MowInit.alert(MowAjax.dragBoxOnlyImg);
					return;
				  }
			  
				  if (file.size > maxFileSize) {
					MowInit.alert(MowAjax.dragBoxMaxSize);
					return;
				  }
			  
				  previewImageFromFile(file);
				}
			  
				// Preview the Image from File
				function previewImageFromFile(file) {
				  const reader = new FileReader();
				  reader.onload = function (e) {
					$dragbox.addClass('uploaded').find('.preview').css('background-image', `url("${e.target.result}")`);
				  };
				  reader.readAsDataURL(file);
				}
			  
				// Load Image from URL
				function loadImageFromUrl(url) {
					const img = new Image();
					img.onload = function () {
						MowImageURL = url;
						$dragbox.addClass('uploaded').find('.preview').css('background-image', `url("${url}")`);
						MowInit.alert(MowAjax.dragBoxSuccess);
					};
					img.onerror = function () {
						MowInit.alert(MowAjax.dragBoxFailed);
					};
					img.src = url; // Assign the URL to test if it's a valid image
				}
			});
							
		},

		addTags: function(){
			$('.fn__tag_box input').each(function(){
				var $input = $(this);
				var $tagsContainer = $input.closest('ul');
				var $lastLi = $tagsContainer.find('.new');
				function addTag(tagText) {
					// Trim and validate tag
					var tag = tagText.trim();
					if (tag === '') return;
					
					// Check if tag already exists
					if ($tagsContainer.find(`.tag[data-tag="${tag}"]`).length > 0) {
						MowInit.alert(MowAjax.has_tag);
						return;
					}

					// Create and append the new tag
					var $tag = $(`
					<li class="tag" data-tag="${tag}">
						<span class="tag-name">${tag}</span>
						<span class="remove-tag">&times;</span>
					</li>
					`);
					$tag.insertBefore($lastLi);
					// Clear the input
					$input.val('');
				}

				// Handle Enter and Comma keypress
				$input.on('keypress', function (e) {
					if (e.key === 'Enter' || e.key === ',') {
					e.preventDefault(); // Prevent form submission
						addTag($input.val());
					}
				});

				// Handle comma when pasting
				$input.on('input', function () {
					var value = $input.val();
					if (value.includes(',')) {
						var tags = value.split(',');
						tags.forEach(tag => addTag(tag));
					}
				});

				// Handle tag removal
				$tagsContainer.on('click', '.remove-tag', function () {
					$(this).parent().remove();
				});
			});
		},

		progress: function(){
			if($('.fn__rbox_progress').length > 0){
				$('.fn__rbox_progress').each(function() {
					MowInit.initProgressObserver($(this));
				});	
			}
		},

		initProgressObserver: function($pWrap) {
			const progressHandler = function () {
				const viewportHeight = $(window).height();
				const elementOffset = $pWrap.offset().top;
				const scrollPosition = $(window).scrollTop();
		
				if (scrollPosition + viewportHeight * 0.9 >= elementOffset && scrollPosition <= elementOffset + $pWrap.outerHeight()) {
					MowInit.progressF($pWrap);
		
					$(window).off('scroll resize', progressHandler);
				}
			};
		
			$(window).on('scroll resize', progressHandler);
		
			progressHandler();
		},
		
		progressF: function(container){
			container.find('.fn__rbox_progress_item').each(function(i) {
				var progress 	= $(this);
				var pBarWrap 	= progress.find('.fn__rbox_progress_box');
				var pValue 		= parseInt(pBarWrap.data('value'));
				var pBar 		= pBarWrap.find('span');
				setTimeout(function(){
					pBar.css({width:pValue+'%'});
				},(i*200));
			});	
		},

		lazyLoadVideo: function(container){
			if ("IntersectionObserver" in window) {
				let lazyVideos = $(".lazy-video");
	
				let observer = new IntersectionObserver(function (entries, observer) {
					entries.forEach(entry => {
						if (entry.isIntersecting) {
							let video = $(entry.target);
							let source = video.find("source");
							if (source.length && source.attr("data-src")) {
								source.attr("src", source.attr("data-src"));
								video[0].load(); // Load video only when it appears
								MowInit.video();
								MowInit.isotopeMasonry();
							}
							observer.unobserve(entry.target);
						}
					});
				});
	
				// Observe all lazy videos and iframes
				lazyVideos.each(function () {
					observer.observe(this);
				});
	
			} else {
				// Fallback for older browsers
				$(".lazy-video").each(function () {
					let $this = $(this);
					let source = $this.find("source");
					if (source.length && source.attr("data-src")) {
						source.attr("src", source.attr("data-src"));
						$this[0].load();
						MowInit.video();
						MowInit.isotopeMasonry();
					}
				});
			}
		},

		video: function(){
			let lazyVideos = document.querySelectorAll(".fcsvy_video, .fn__video_youtube");

			if ("IntersectionObserver" in window) {
				let observer = new IntersectionObserver((entries, observer) => {
					entries.forEach(entry => {
						if (entry.isIntersecting) {
							let element = $(entry.target);
							let parent = element.closest(".fn_cs_single_video, .fn__video_post");
							if(!parent.hasClass('ready')){
								// Initialize YTPlayer only when video is in viewport
								element.YTPlayer({
									onReady: function(){
										parent.addClass('ready');
										$('.fn__video_post[data-video="youtube"]').filter(function() {
											return $(this).attr('data-ratio') !== 'auto';
										}).each(function() {
											var e = $(this);
											e.css({ minHeight: e.height() + 'px' });
										});
										
									}
								});
							}

							observer.unobserve(entry.target); // Stop observing after loading
						}
					});
				});

				lazyVideos.forEach(video => observer.observe(video));
			} else {
				// Fallback for browsers without Intersection Observer
				$(".fcsvy_video, .fn__video_youtube").each(function(){
					var element = $(this),
						parent = element.closest('.fn_cs_single_video, .fn__video_post');
					if(!parent.hasClass('ready')){
						element.YTPlayer({
							onReady: function(){
								parent.addClass('ready');
								$('.fn__video_post[data-video="youtube"]').filter(function() {
									return $(this).attr('data-ratio') !== 'auto';
								}).each(function() {
									var e = $(this);
									e.css({ minHeight: e.height() + 'px' });
								});
							}
						});
					}
					
				});
			}


			$(".fcsvy_video, .fn__video_youtube").on("YTPFullScreenEnd", function(){
				var player = $(this);
				var parent = player.closest(".fn_cs_single_video, .fn__video_post");
				player.YTPPause();
				parent.addClass("paused");
			});

			$(".fn_cs_single_video .video_youtube .icon").off().on("click", function() {
				var element = $(this);
				var parent = element.closest(".fn_cs_single_video");
				var player = parent.find(".fcsvy_video");
				if (parent.hasClass("ready")) {
					if (!parent.hasClass("play")) {
						parent.addClass("play").removeClass("paused");
						player.YTPPlay();
					} else {
						parent.removeClass("play").addClass("paused");
						player.YTPPause();
					}
				}
				return false;
			});

			$("[data-video='youtube'] .fn__video_btn_expand").off().on("click", function(){
				$(this).closest(".fn__video_post").find(".fn__video_youtube").YTPFullscreen();
				return false;
			});

			$("[data-video='youtube'] .fn__video_btn_volume").off().on("click", function() {
				var element = $(this);
				var parent  = element.closest(".fn__video_post");
				var player  = parent.find(".fn__video_youtube");
				
				if (player.YTPGetPlayer().isMuted()) {
					player.YTPUnmute();
					parent.removeClass("muted").addClass("unmuted");
				} else {
					player.YTPMute();
					parent.removeClass("unmuted").addClass("muted");
				}
				return false;
			});

			$("[data-video='youtube'] .fn__video_btn_play").off().on("click", function() {
				var element = $(this);
				var parent = element.closest(".fn__video_post");
				var player = parent.find(".fn__video_youtube");
				
				if (parent.hasClass("paused")) {
					player.YTPPlay();
					parent.removeClass("paused");
				} else {
					player.YTPPause();
					parent.addClass("paused");
				}
				return false;
			});


			// Local video

			$('[data-video="local"] .fn__video_btn_play').off().on('click', function() {
				var element = $(this);
				var parent = element.closest('.fn__video_post');
				var player = parent.find('.fn__video_local')[0];

				if (player.paused) {
					player.play();
					parent.removeClass("paused");
				} else {
					player.pause();
					parent.addClass("paused");
				}
				return false;
			});

			$('[data-video="local"] .fn__video_btn_volume').off().on('click', function() {
				var element = $(this);
				var parent = element.closest('.fn__video_post');
				var player = parent.find('.fn__video_local')[0];
				
				player.muted = !player.muted;
				if(player.muted){
					parent.removeClass("unmuted").addClass("muted");
				}else{
					parent.removeClass("muted").addClass("unmuted");
				}
				return false;
			});

			$('[data-video="local"] .fn__video_btn_expand').off().on('click',function(){
				var video = $(this).closest('.fn__video_post').find('.fn__video_local')[0];
				if (video.requestFullscreen) {
					video.requestFullscreen();
				} else if (video.webkitRequestFullscreen) { // Safari
					video.webkitRequestFullscreen();
				} else if (video.msRequestFullscreen) { // IE11
					video.msRequestFullscreen();
				}
				return false;
			});

			document.addEventListener('fullscreenchange', checkVideoState);
			document.addEventListener('webkitfullscreenchange', checkVideoState); // Safari
			document.addEventListener('mozfullscreenchange', checkVideoState); // Firefox
			document.addEventListener('msfullscreenchange', checkVideoState); // IE11

			function checkVideoState(){
				if (document.fullscreenElement) {} else {
					// Exiting fullscreen
					$('.fn__video_local').each(function(){
						var element = $(this);
						var video = element[0];
						var parent = element.closest('.fn__video_post');
						if(video.muted){
							parent.removeClass("unmuted").addClass("muted");
						}else{
							parent.removeClass("muted").addClass("unmuted");
						}
						if (video.paused) {
							parent.addClass("paused");
						} else {
							parent.removeClass("paused");
						}
					});
				}
			}
		},

		commentCloser: function(){
			$('.fn__comments .respond-title a').off().on('click',function(){
				var e = $(this);
				var parent = e.closest('.fn__comments');
				var items = parent.find('.respond_comment,.comment-list');
				var text = e.siblings('.text');
				if(parent.hasClass('opened')){
					parent.removeClass('opened');
					items.slideDown();
					text.text(text.data('hide'));
				}else{
					parent.addClass('opened');
					items.slideUp();
					text.text(text.data('show'));
				}

				return false;
			});
		},

		singleNoAjax: function(){
			if($('.mow_fn_blog_single').data('get-post-id') === ''){
				$('.mow_fn_singlepost + .fn__preloader').css({display: 'none'});
			}
		},

		lightGallery: function(){
			if($().lightGallery){
				// FIRST WE SHOULD DESTROY LIGHTBOX FOR NEW SET OF IMAGES

				var gallery = $('.fn__lg_lightbox');

				gallery.each(function(){
					var element = $(this);
					element.lightGallery(); // binding
					if(element.length){element.data('lightGallery').destroy(true); }// destroying
					$(this).lightGallery({
						selector: ".lightbox",
						thumbnail: 1,
						loadYoutubeThumbnail: !1,
						loadVimeoThumbnail: !1,
						showThumbByDefault: !1,
						mode: "lg-fade",
						download:!1,
						getCaptionFromTitleOrAlt:!1,
					});
				});
			}
		},

		gallery_thumbs: function(){
			$('.fn__gallery_thumbs').each(function(){
				var e 	= $(this),
				thumbs 	= e.find('.item:not(.item_more)'),
				items	= e.find('.items'),
				count	= 1;
				if(items.height() > 120){
					thumbs.each(function(){
						var top = $(this).position().top;
						if(top > 0){count++;}
					});
					var w = e.find('.item:nth-child(1)').width();
					e.find('.item_more').css({width: w + 'px'}).addClass('active').find('span').html('+'+count);
				}
			});
		},

		signUp: function(){
			$(document).on('click', '#mow_fn_register_form input[type="submit"]', function(e) {
				e.preventDefault();
				var username = $('#mow_fn_register_username').val(),
					email = $('#mow_fn_register_email').val(),
					password = $('#mow_fn_register_password').val(),
					confirm_password = $('#mow_fn_register_confirm_password').val(),
					wrapper = $('.mow_fn_register_popup');
				
				
				if (!username || !email || !password || !confirm_password) {
					return;
				}
				if(!wrapper.hasClass('ajax_running')){
					wrapper.addClass('ajax_running');
				}
				var requestData = {
					action: 'mow_fn_ajax_register',
					security: MowAjax.nonce,
					username: username,
					email: email,
					password: password,
					confirm_password: confirm_password,
				};
				
				
				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						var fnQueriedObj = $.parseJSON(data);
						var error = fnQueriedObj.error;
						var message = fnQueriedObj.message;
						$('.mow_fn_register_popup .ready_in .inn').hide();
						$('.mow_fn_register_popup .ready_in .upp').show();
						var counter = $('.mow_fn_register_popup .ready_in .count');
						var error_field = $('.mow_fn_register_popup .error_field');
						wrapper.removeClass('ajax_running');
						if(error === 'logged'){
							wrapper.addClass('ajax_success');
							setTimeout(function(){
								counter.text(2);
							},1000);
							setTimeout(function(){
								counter.text(1);
							},2000);
							setTimeout(function(){
								counter.text(0);
								location.reload();
							},3000);
						}else{
							error_field.text(message);
						}
					},
					error: function(xhr, textStatus, errorThrown){
						console.log(errorThrown);
						console.log(textStatus);
						console.log(xhr);
						wrapper.removeClass('ajax_running');
					}
				});
				
				return false;
			});
			
		},

		signIn: function(){
			$(document).on('click', '#mow_fn_login_form input[type="submit"]', function(e) {
				e.preventDefault();
				var email = $('#mow_fn_login_username').val(),
					password = $('#mow_fn_login_password').val(),
					remember = $('#mow_fn_login_rememberme').prop('checked'),
					wrapper = $('.mow_fn_register_popup');
					
				if (!email || !password) {
					return;
				}
				
				if(!wrapper.hasClass('ajax_running')){
					wrapper.addClass('ajax_running');
				}

				var requestData = {
					action: 'mow_fn_ajax_log_in',
					security: MowAjax.nonce,
					email: email,
					password: password,
					remember: remember ? 1 : 0
				};
				
				
				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						var fnQueriedObj = $.parseJSON(data);
						var error = fnQueriedObj.error;
						var message = fnQueriedObj.message;
						$('.mow_fn_register_popup .ready_in .upp').hide();
						$('.mow_fn_register_popup .ready_in .inn').show();
						var counter = $('.mow_fn_register_popup .ready_in .count');
						var error_field = $('.mow_fn_register_popup .error_field');
						wrapper.removeClass('ajax_running');
						if(error === 'logged'){
							wrapper.addClass('ajax_success');
							setTimeout(function(){
								counter.text(2);
							},1000);
							setTimeout(function(){
								counter.text(1);
							},2000);
							setTimeout(function(){
								counter.text(0);
								location.reload();
							},3000);
						}else{
							error_field.text(message);
						}
					},
					error: function(xhr, textStatus, errorThrown){
						console.log(errorThrown);
						console.log(textStatus);
						console.log(xhr);
						wrapper.removeClass('ajax_running');
					}
				});
				
				return false;
			});
			
		},

		signForm: function(){
			var sign_up_form = $('.mow_fn_sign_up_form'),
				sign_in_form = $('.mow_fn_sign_in_form');
			
			
			
			$(document).on('click', '.mow_fn_register_popup .fn__popup_closer, .mow_fn_register_popup .register_extra_closer', function(e) {
				e.preventDefault();
				MowBody.removeClass('register-popup-active');
				return false;
			});
			
			// open register popup
			$(document).on('click', '.mow_fn_register_opener', function(e) {
				e.preventDefault();
				MowBody.addClass('register-popup-active');
				
				return false;
			});
			
			// close sing in form and open sign up form
			$(document).on('click', '.mow_fn_sign_up_btn', function(e) {
				e.preventDefault();
				sign_up_form.fadeIn();
				sign_in_form.fadeOut(0);
				
				return false;
			});
			$(document).on('click', '.mow_fn_sign_in_btn', function(e) {
				e.preventDefault();
				sign_up_form.fadeOut(0);
				sign_in_form.fadeIn();
				return false;
			});
		},


		mega__hover: function(){
			$('.mow_fn_main_nav > li').on('mouseenter',function(){
				var e = $(this);
				if(e.hasClass('menu-item-has-children') || e.children('.mow_fn_sub ').length){
					MowBody.addClass('menu-overlay-enabled');
				}
			}).on('mouseleave',function(){
				MowBody.removeClass('menu-overlay-enabled');
			});

			var quickNav = $('.fn__quick_nav');
			quickNav.find('.icon_holder').on('mouseenter',function(){
				quickNav.addClass('active');
				MowBody.addClass('menu-overlay-enabled');
			});
			quickNav.on('mouseleave',function(){
				quickNav.removeClass('active');
				MowBody.removeClass('menu-overlay-enabled');
			});
		},

		filterAjaxCategoryMenu: function(){
			MowMegaMenuCatFilter.parent.addClass('loading');
			MowInit.ajaxRunning = true;
			var cacheArray = MowInit.getDataFromStorage(MowMegaMenuCatFilter.cat_id,MowMegaMenuCatFilter.count,MowMegaMenuCatFilter.page);
			var content,prev,next;
			if(cacheArray != null){
				content = cacheArray[0];
				prev = cacheArray[1];
				next = cacheArray[2];
				MowInit.filterAjaxCategoryMenu__success(content,MowMegaMenuCatFilter.page,prev,next);
				return false;
			}
			var requestData = {
				action: 'mow_fn_ajax_menu_posts_list',
				security: MowAjax.nonce,
				cat_id: MowMegaMenuCatFilter.cat_id,
				page: MowMegaMenuCatFilter.page,
				count: MowMegaMenuCatFilter.count,
			};

			$.ajax({
				type: 'POST',
				url: MowAjax.ajax_url,
				cache: false,
				data: requestData,
				success: function(data) {
					var fnQueriedObj 	= $.parseJSON(data);
					MowInit.filterAjaxCategoryMenu__success(fnQueriedObj.content,MowMegaMenuCatFilter.page,fnQueriedObj.prev,fnQueriedObj.next);
				},
				error: function(xhr, textStatus, errorThrown){
					console.log(errorThrown);
					console.log(textStatus);
					console.log(xhr);

					MowMegaMenuCatFilter.parent.removeClass('loading');
					MowInit.ajaxRunning = false;
				}
			});

		},

		filterAjaxCategoryMenu__success: function(content,page,prev,next){
			MowMegaMenuCatFilter.parent.find('.cat_content > ul').html(content);
			MowMegaMenuCatFilter.parent.find('.cat_page').val(page);
			MowMegaMenuCatFilter.parent.find('.prev-button').removeClass('disabled').addClass(prev);
			MowMegaMenuCatFilter.parent.find('.next-button').removeClass('disabled').addClass(next);

			MowInit.saveDataToStorage(MowMegaMenuCatFilter.cat_id, MowMegaMenuCatFilter.count, page, prev, next, content);

			MowMegaMenuCatFilter.parent.removeClass('loading');
			MowInit.ajaxRunning = false;
		},

		mega__topcat_filter: function(){
			$(document).on('click', '.mow_fn_megasub_posts_top .cat_filter a, .mow_fn_megasub_posts_left .cat_filter a', function(e) {
				e.preventDefault();
				
				var element = $(this);
				var li = element.closest('li');
				var parent = element.closest('.mow_fn_megasub_posts_top, .mow_fn_megasub_posts_left');
				
				if (!element.hasClass('active') && !MowInit.ajaxRunning) {
					element.addClass('active');
					li.siblings().find('.active').removeClass('active');
					
					
					MowMegaMenuCatFilter.cat_id = element.data('id');
					MowMegaMenuCatFilter.parent = parent;
					MowMegaMenuCatFilter.count = 4;
					MowMegaMenuCatFilter.page = 1;
					
					MowInit.filterAjaxCategoryMenu();
				}
				
				return false;
			});
			
		},

		saveDataToStorage: function(cat_id, count, page, prev, next, content){
			if (typeof(Storage) !== "undefined") {
				// Create an object to hold the data
				var data = {
					prev: prev,
					next: next,
					content: content,
				};
		
				// Convert the data object to a JSON string
				var jsonData = JSON.stringify(data);
				// Save the JSON string to local storage
				sessionStorage.setItem("storedDate_"+cat_id+'_'+count+'_'+page, jsonData);
			} 
		},

		getDataFromStorage: function (cat_id, count, page) {
			// Check if local storage is supported by the browser
			if (typeof Storage !== "undefined") {
				// Retrieve the stored JSON string from local storage
				var storedData = sessionStorage.getItem("storedDate_"+cat_id+'_'+count+'_'+page);
				// Check if any data is stored
				if (storedData !== null) {
					// Parse the JSON string to convert it back to an object
					var storedObject = JSON.parse(storedData);
					return [storedObject.content,storedObject.prev,storedObject.next];
				}
			}
			
			// If no match found or local storage not supported, return null
			return null;
		},

		mega__topcat_nav: function(){
			$(document).on('click', '.mow_fn_megasub_posts_top .nav-buttons > *, .mow_fn_megasub_posts_left .nav-buttons > *', function(e) {
				e.preventDefault();
				
				var element = $(this);
				if (!element.hasClass('disabled') && !MowInit.ajaxRunning) {
					var parent = element.closest('.mow_fn_megasub_posts_top, .mow_fn_megasub_posts_left');
					var index = element.hasClass('next-button') ? 1 : -1;
					
					
					var cat_id;
					if (parent.find('.cat_filter .active').length) {
						cat_id = parent.find('.cat_filter .active').data('id');
					} else {
						cat_id = parent.find('input.cat_id').val();
					}
					
					var page = parseInt(parent.find('.cat_page').val()) + index;
					
					MowMegaMenuCatFilter.cat_id = cat_id;
					MowMegaMenuCatFilter.parent = parent;
					MowMegaMenuCatFilter.count = 4;
					MowMegaMenuCatFilter.page = page;
					
					MowInit.filterAjaxCategoryMenu();
				}
				
				return false;
			});
			
		},

		widget_posts_filter: function(){
			$(document).on('click', '.fn__widget_filters a', function(e) {
				e.preventDefault();
				var btn = $(this);
				var parent = btn.closest('.fn__widget_filters');
				if(!btn.hasClass('active')){
					btn.siblings().removeClass('active');
					btn.addClass('active');
					var className = btn.data('class');
					parent.parent().find('.fn__widget_filter_content > *').removeClass('active');
					parent.parent().find('.fn__widget_filter_content > .'+className).addClass('active');
				}
				return false;
			});
		},

		fixed_posts: function(){
			$(document).on('click', '.mow_fn_fixed_posts .more_less a', function(e) {
				e.preventDefault();
				var btn = $(this);
				var parent = btn.closest('.mow_fn_fixed_posts');
				if(parent.hasClass('opened')){
					parent.removeClass('opened');
					btn.find('.t_title span').text(btn.data('more'));
				}else{
					parent.addClass('opened');
					btn.find('.t_title span').text(btn.data('less'));
				}
				return false;
			});
		},

		site_skin: function(){
			$(document).on('click', '.fn__skin .light', function(e) {
				e.preventDefault();
				$('html').attr('data-site-skin','light');
				localStorage.mow_skin = 'light';
				return false;
			});
			$(document).on('click', '.fn__skin .dark', function(e) {
				e.preventDefault();
				$('html').attr('data-site-skin','dark');
				localStorage.mow_skin = 'dark';
				return false;
			});
		},

		
		copyToClibpoard: function(){
			$('.frenify__copy_link').off().on('click',function(){
				var e = $(this);
				
				var temp = $("<input>");
				$("body").append(temp);
				temp.val(e.attr('href')).select();
				document.execCommand("copy");
				temp.remove();
				
				MowInit.alert(MowAjax.copiedText);
				
				return false;
			});
		},
		
		
		
		topQuickNav: function(){
			var stickyH = 0;
			if($('.mow_fn_stickynav').length){
				stickyH = $('.mow_fn_stickynav').outerHeight();
			}

			$('.fn__quick_nav .item').off().on('click',function(){
				var id = $(this).data('id');
				var to = $('.mow_fn_blog_single[data-post-id="'+id+'"]').offset().top - 80 - stickyH;
				$([document.documentElement, document.body]).animate({
					scrollTop: to + 400
				}, 0);
				setTimeout(function(){
					$([document.documentElement, document.body]).animate({
						scrollTop: to
					}, 500);
				},1);
				$('.fn__quick_nav').removeClass('active');
				MowBody.removeClass('menu-overlay-enabled');
			});
		},
		
		
		single_post__gallery: function(){
			$('.fn__gallery_format .swiper').each(function() {
				const swiper = new Swiper($(this)[0], {
					loop: true,
					speed: 500,
					spaceBetween: 0,
					navigation: {
						nextEl: $(this).closest('.fn__gallery_format').find('.swiper-button-next')[0],
						prevEl: $(this).closest('.fn__gallery_format').find('.swiper-button-prev')[0],
					},
					slidesPerView: 1,
					autoplay: {
						delay: 7000,
						disableOnInteraction: false,
					},
				});
			});
		},
		
		mobile__Menu: function(){
			var mobNav		= $('.mow_fn_mobnav');
			var trigger		= mobNav.find('.mobmenu_opener');
			var mobBottom	= mobNav.find('.mob_bot');
			trigger.off().on('click',function(){
				if(mobNav.hasClass('menu_opened')){
					mobNav.removeClass('menu_opened');
					mobBottom.slideUp();
				}else{
					mobNav.addClass('menu_opened');
					mobBottom.slideDown();
				}
				return false;
			});
			var bar_opener	= mobNav.find('.bar_opener');
			bar_opener.off().on('click',function(){
				$('html').toggleClass('mow_mob_bar_active');
				return false;
			});
		},
		
		
		
		stickyTopBar: function(){
			var stickyHeader = $('.mow_fn_stickynav');
			if(stickyHeader.length){
				stickyHeader.on('mouseenter',function(){
					stickyHeader.addClass('hover');
				}).on('mouseleave',function(){
					stickyHeader.removeClass('hover');
				});
			}
		},
		
		stickyHeader: function(){
			var scrollTop 			= $(window).scrollTop();
			
			// offcanvas ad.
			if($('.mow_fn_banner__off_canvas').length){
				var offcanvas_ad	= $('.mow_fn_banner__off_canvas');
				var opacity			= 1 - ((scrollTop / 2) / offcanvas_ad.height());
				if(opacity < 0.5){opacity = 0.5;}
				if(opacity > 1){opacity = 1;}
				offcanvas_ad.css({opacity: opacity});
			}

			var adminbarh			= 0;
			var offsetTopHeader 	= $('#mow_fn_header').offset().top - $('body').offset().top;
			if($('#wpadminbar').length){adminbarh = $('#wpadminbar').height();}
			adminbarh += 40;
			var totopMax 			= scrollTop;
			$('.mow_fn_fixed_posts,.mow_fn_fixed_right_bar').css({top: (200 + offsetTopHeader) + 'px'});
			if(totopMax > (170 + offsetTopHeader - adminbarh)){totopMax = (170 + offsetTopHeader - adminbarh);}
			$('.mow_fn_fixed_posts,.mow_fn_fixed_right_bar').addClass('ready').css({transform: 'translateY(-'+totopMax+'px)'});
			if(scrollTop > 500){
				MowBody.addClass('totop_scrolled');
			}else{
				MowBody.removeClass('totop_scrolled');
			}
			var totop = $('.mow_fn_fixed_totop');
			if(totop.length){
				var docHeight = $(document).height(); // Get the document height
				var winHeight = $(window).height(); // Get the window height
	
				// Calculate the percentage scrolled
				var scrollPercent = (scrollTop / (docHeight - winHeight)) * 100;
	
				// Update the progress button (example button with id 'totop-button')
				totop.find('.progress span').css({height: Math.round(scrollPercent) + '%'});
			}
			


			var stickyHeader = $('.mow_fn_stickynav');
			if(stickyHeader.length){
				if(scrollTop > $('#mow_fn_header').outerHeight() + 50){
					MowBody.addClass('sticky-active');
				}else{
					MowBody.removeClass('sticky-active');
				}
			}
		},
		
		transformReading: function(){
			var stickyHeader = $('.mow_fn_stickynav.ajax_enable');
			if(stickyHeader.length && MowBody.hasClass('single-post')){
				var lastScrollTop = 0;
				$(window).scroll(function(){
					var st = $(this).scrollTop();
					if (st > lastScrollTop){
						// downscroll
						stickyHeader.addClass('active');
					}
					lastScrollTop = st;
				});
			}
				
		},
		
		nowReading: function(){
			var stickyNav	= $('.mow_fn_stickynav');
			if(stickyNav.length){
				var title 		= $('.header_post_reading .reading_post .title');
				var progress 	= stickyNav.find('.progress');

				$(window).on('scroll', function () {
					var scrollTop = $(this).scrollTop();
				
					if (scrollTop > MowLastScrollTop) {
						stickyNav.addClass('scrolled_down').removeClass('scrolled_up');
					} else if (scrollTop < MowLastScrollTop) {
						stickyNav.addClass('scrolled_up').removeClass('scrolled_down');
					}
				
					MowLastScrollTop = scrollTop;
				});
				$(window).on('resize scroll', function() {
					var bs 		= $('.mow_fn_blog_single');
					bs.each(function(){
						var e 	= $(this);
						var f 	= e.isInViewportByFrenify();
						var p	= f[1];
						if(f[0]){
							var newPostTitle = e.data('post-title');
							if(title.html() !== newPostTitle){
								// title.html(e.data('post-title'));
								title.fadeOut(200, function () {
									// Update the title text once fade-out is complete
									title.html(e.data('post-title'));
							
									// Fade in the new title
									title.fadeIn(200);
								});
							}
							var currentURL	= window.location.href;
							var newURL		= e.data('post-url');
							if(currentURL !== newURL){
								window.history.pushState("", newPostTitle, newURL);
							}
						}
						if(p >= 0 && p <= 100){
							progress.css({width: p + '%'});
						}
					});
				});	
			}
		},
		
		
		ajaxNextPost: function(){
			var singlePost = $('.mow_fn_singleajax');
			if($('.mow_fn_singleajax').length && !MowNextPostWait){
				$(document).scroll(function() {
					if ((window.innerHeight + window.scrollY) >= document.body.offsetHeight - $('#mow_fn_footer').outerHeight()) {
						if(!MowNextPostWait){
							var single			= $('.mow_fn_blog_single');
							var ID 				= single.last().data('get-post-id');
							if(ID === ''){
								MowNextPostWait = true;
								MowBody.addClass('no-prev-post');
								return false;
							}
							MowBody.addClass('prev-post-loading');
							MowNextPostWait 	= true;
							var requestData 	= {
								action: 'mow_fn_get_prev_post', 
								ID: ID,
								security: MowAjax.nonce
							};
							$.ajax({
								type: 'POST',
								url: MowAjax.ajax_url,
								cache: false,
								data: requestData,
								success: function(data) {
									MowQuickNav++;
									if(MowQuickNav === 1){
										MowBody.addClass('blog-anchor-active');
									}
									var fnQueriedObj 	= $.parseJSON(data); //get the data object
									singlePost.append(fnQueriedObj.output);
									MowInit.init();
									setTimeout(function(){
										MowNextPostWait = false;
									},2000);
									MowBody.removeClass('prev-post-loading');
									
									
									MowCounterAjaxPost++;
									var appendedElement = singlePost.children().last();
									var count = MowCounterAjaxPost < 10 ? '0' + MowCounterAjaxPost : MowCounterAjaxPost;
									$('.fn__quick_nav ul').append('<li><div class="item" data-id="'+appendedElement.data('post-id')+'" role="button"><span class="count"><span>'+count+'</span></span><h4><span>'+appendedElement.data('post-title')+'</span></h4></div></li>');
									$('.fn__quick_nav .icon_count').text(MowCounterAjaxPost);
									$('.fn__quick_nav li').addClass('ready');
									MowInit.topQuickNav();
								},
								error: function(MLHttpRequest, textStatus, errorThrown) {
									console.log(MLHttpRequest);
									console.log(textStatus);
									console.log(errorThrown);
								}
							});
						}
					}
				});
			}
				
		},
		
		
		voteOpener: function(){
			$('.fn__vote_hor').off().on('click',function(){
				var e = $(this);
				var b = e.find('.vote_info');
				if(e.hasClass('opened')){
					e.removeClass('opened');
					b.slideUp(300);
				}else{
					e.addClass('opened');
					b.slideDown(300);
				}
			});
			
			$('.mow_fn_vote_up').off().on('click',function(e){
				e.preventDefault();
				var element = $(this);
				if(element.closest('.fn__votebox').hasClass('up_action')){
					return false;
				}
				MowInit.vote(element,'up');
				return false;
			});
			
			
			$('.mow_fn_vote_down').off().on('click',function(e){
				e.preventDefault();
				var element = $(this);
				if(element.closest('.fn__votebox').hasClass('down_action')){
					return false;
				}
				MowInit.vote(element,'down');
				
				return false;
			});
		},
		
		relink_nextpage: function(){
			$('.fn__relink_load_more a').off().on('click',function(){
				var element			= $(this);
				if(element.hasClass('disabled') || MowRelinkNextPage === true) {return false;}
				var parent 			= element.closest('.fn__relink__list');
				parent.addClass('loading');
				MowRelinkNextPage 	= true;
				var paged 			= parent.find('.fn__relink_load_more .paged');
				var requestData 	= {
					action: 'mow_fn_next_relink_page', 
					paged: paged.val(),
					layout: parent.find('.fn__relink_load_more .layout').val(),
					args: JSON.stringify(MowPostsFilterArgs),
					security: MowAjax.nonce
				};
				
				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						var fnQueriedObj 	= JSON.parse(data); //get the data object
						parent.find('.fn__relink__articles').append(fnQueriedObj.list);
						paged.val(fnQueriedObj.paged);
						element.addClass(fnQueriedObj.disabled);
						MowInit.voteOpener();
						MowInit.dataFnBgImg();
						MowRelinkNextPage = false;
						parent.removeClass('loading');
						$.each($('.fn_new_ajax_post'), function (index, post) {
							const $newPost = $(post);
						
							setTimeout(() => {
								$newPost.addClass('active');
								
								setTimeout(() => {
									$newPost.removeClass('fn_new_ajax_post active');
								}, 500); 
							}, index * 100);
						});
						
					},
					error: function(MLHttpRequest, textStatus, errorThrown) {
						console.log(MLHttpRequest);
						console.log(textStatus);
						console.log(errorThrown);
					}
				});

				return false;
			});
			
			$('.fn__widget_posts_date_1 .fn__ajax_more a').off().on('click',function(){
				var element			= $(this);
				if(element.hasClass('disabled')) {return false;}
				var parent 			= element.closest('.fn__widget_posts_date_1');
				parent.addClass('post_loading');
				var paged 			= parent.find('.fn__ajax_more .paged');
				var requestData 	= {
					action: 'mow_fn_post_date_1', 
					paged: paged.val(),
					args: JSON.stringify(MowPostsDate1FilterArgs),
					settings: JSON.stringify(MowPostsDate1Settings),
					security: MowAjax.nonce
				};
				
				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						var fnQueriedObj 	= JSON.parse(data); //get the data object
						parent.find('.first_item').append(fnQueriedObj.list);
						paged.val(fnQueriedObj.paged);
						element.addClass(fnQueriedObj.disabled);
						parent.removeClass('post_loading');
						$.each($('.fn_new_ajax_post'), function (index, post) {
							const $newPost = $(post);
						
							setTimeout(() => {
								$newPost.addClass('active');
								
								setTimeout(() => {
									$newPost.removeClass('fn_new_ajax_post active');
								}, 500); 
							}, index * 100);
						});
						MowInit.lazyLoadVideo();
					},
					error: function(MLHttpRequest, textStatus, errorThrown) {
						console.log(MLHttpRequest);
						console.log(textStatus);
						console.log(errorThrown);
					}
				});

				return false;
			});

			$('.fn__widget_posts_delta .fn__ajax_more a').off().on('click',function(){
				var element			= $(this);
				if(element.hasClass('disabled')) {return false;}
				var parent 			= element.closest('.fn__widget_posts_delta');
				parent.addClass('post_loading');
				var paged 			= parent.find('.fn__ajax_more .paged');
				var requestData 	= {
					action: 'mow_fn_post_delta', 
					paged: paged.val(),
					args: JSON.stringify(MowPostsDeltaFilterArgs),
					settings: JSON.stringify(MowPostsDeltaSettings),
					security: MowAjax.nonce
				};

				console.log(requestData);
				
				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						console.log(data);
						var fnQueriedObj 	= JSON.parse(data); //get the data object
						parent.find('.first_item').append(fnQueriedObj.list);
						paged.val(fnQueriedObj.paged);
						element.addClass(fnQueriedObj.disabled);
						parent.removeClass('post_loading');
						$.each($('.fn_new_ajax_post'), function (index, post) {
							const $newPost = $(post);
						
							setTimeout(() => {
								$newPost.addClass('active');
								
								setTimeout(() => {
									$newPost.removeClass('fn_new_ajax_post active');
								}, 500); 
							}, index * 100);
						});
						MowInit.lazyLoadVideo();
						
					},
					error: function(MLHttpRequest, textStatus, errorThrown) {
						console.log(MLHttpRequest);
						console.log(textStatus);
						console.log(errorThrown);
					}
				});

				return false;
			});

			$('.fn__widget_posts_zeta[data-layout="column"] .fn__ajax_more a').off().on('click',function(){
				var element			= $(this);
				if(element.hasClass('disabled')) {return false;}
				var parent 			= element.closest('.fn__widget_posts_zeta');
				parent.addClass('post_loading');
				var paged 			= parent.find('.fn__ajax_more .paged');
				var requestData 	= {
					action: 'mow_fn_post_zeta', 
					paged: paged.val(),
					args: JSON.stringify(MowPostsZetaFilterArgs),
					settings: JSON.stringify(MowPostsZetaSettings),
					security: MowAjax.nonce
				};
				
				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						var fnQueriedObj = JSON.parse(data); // Get the data object
						var $grid = parent.find('.first_item');

						// Convert the HTML string into jQuery elements
						var $newItems = $(fnQueriedObj.list);

						// Append the new items to the grid
						$grid.append($newItems);

						// Update Isotope with the new items
						$grid.isotope('appended', $newItems);

						// Update layout
						$grid.isotope('layout');

						// Update pagination and classes
						paged.val(fnQueriedObj.paged);
						element.addClass(fnQueriedObj.disabled);
						parent.removeClass('post_loading');
						MowInit.lazyLoadVideo();

					},
					error: function(MLHttpRequest, textStatus, errorThrown) {
						console.log(MLHttpRequest);
						console.log(textStatus);
						console.log(errorThrown);
					}
				});

				return false;
			});
		},
		
		vote: function(element,action){
			if(MowVoteWait === true) {return false;}
			var parent = element.closest('.fn__votebox');
			parent.addClass('loading');
			MowVoteWait 		= true;
			var ID 				= parent.data('id');
			var layout 			= parent.data('layout');
			var requestData 	= {
				action: 'mow_fn_vote', 
				ID: ID,
				voteAction: action,
				layout: layout,
				key: parent.data('key'),
				security: MowAjax.nonce
			};
				
			$.ajax({
				type: 'POST',
				url: MowAjax.ajax_url,
				cache: false,
				data: requestData,
				success: function(data) {
					var fnQueriedObj 	= $.parseJSON(data); //get the data object
					var allVotes = $('.fn__votebox[data-id="'+ID+'"');
					allVotes.find('.vote_count').text(fnQueriedObj.count__result);
					allVotes.find('.vote_h_info p').html(fnQueriedObj.result__text);
					allVotes.find('.vote_v_info .points_count').html(fnQueriedObj.points);
					allVotes.find('.vote_v_info .upvotes_count').html(fnQueriedObj.up);
					allVotes.find('.vote_v_info .downvotes_count').html(fnQueriedObj.down);
					allVotes.find('.vote_v_info .totalvotes_count').html(fnQueriedObj.total);
					allVotes.removeClass('loading');
					allVotes.find('.action').text(fnQueriedObj.difference);
					allVotes.removeClass('up_action down_action').addClass(action+'_action');
					MowVoteWait = false;
				},
				error: function(MLHttpRequest, textStatus, errorThrown) {
					console.log(MLHttpRequest);
					console.log(textStatus);
					console.log(errorThrown);
				}
			});
		},
		
		escapeHTML: function(string){
			return String(string).replace(/[&<>"'`=\/]/g, function (s) {
				return MowEntityMap[s];
			});
		},
		
		reaction: function(){
			$('.mow_fn_reaction_btn').off().on('click',function(){
				var element = $(this);
				if(MowReactionWait === true) {return false;}
				var parent			= element.closest('.mow_fn_reactions');
				parent.addClass('loading');
				MowReactionWait	= true;
				var ID 				= element.data('id');
				var requestData 	= {
					action: 'mow_fn_reactions', 
					ID: parseInt(ID),
					ajax_action: MowInit.escapeHTML(element.data('action')),
					security: MowAjax.nonce
				};
				

				$.ajax({
					type: 'POST',
					url: MowAjax.ajax_url,
					cache: false,
					data: requestData,
					success: function(data) {
						var fnQueriedObj 	= $.parseJSON(data); //get the data object
						var newReaction		= fnQueriedObj.reaction;
						var ajaxAction		= fnQueriedObj.ajax_action;
						element = $('.mow_fn_reaction_btn[data-id="'+ID+'"][data-action="'+newReaction+'"]');
						element.find('.count').html(fnQueriedObj.count);
						if(ajaxAction === 'add'){
							element.addClass('active');
						}else{
							element.removeClass('active');
						}
						MowReactionWait = false;
					},
					error: function(MLHttpRequest, textStatus, errorThrown) {
						console.log(MLHttpRequest);
						console.log(textStatus);
						console.log(errorThrown);
					}
				});
				
				return false;
			});
				
		},
		
		addNewPost: function(){
			var bar			= $('#mow_fn_newpost_bar');
			var trigger		= $('.fn__addpost_btn');
			if(trigger.length){
				if(trigger.data('link') == 'enable'){
					MowNewPostFE.is_link = true;
				}
				if(trigger.data('post') == 'enable'){
					MowNewPostFE.is_post = true;
				}
			}
			trigger.off().on('click',function(){
				if(trigger.data('user') == 'enable'){
					MowBody.addClass('new-post-bar-active');

					// if only link is enabled
					if(MowNewPostFE.is_link && !MowNewPostFE.is_post){
						bar.addClass('step2_link_active');
						setTimeout(function(){
							$('.fn__insertlink')[0].focus();
						},100);
					}

					// if only link is enabled
					if(!MowNewPostFE.is_link && MowNewPostFE.is_post){
						bar.addClass('step2_post_active');
					}
				}else{
					MowInit.alert(MowAjax.logInMsg);
				}
				
				return false;
			});
			bar.find('.fn__popup_closer').off().on('click',function(){
				MowInit.cancelNewPost();
				return false;
			});
		},
		
		
		sidebarOpener: function(){
			var trigger		= $('.mow_fn_fixed_right_bar .trigger');
			trigger.off().on('click',function(){
				if(MowBody.hasClass('offcanvas-active')){
					MowBody.removeClass('offcanvas-active');
				}else{
					MowBody.addClass('offcanvas-active');
				}
				return false;
			});
			$('.mow_fn_offcanvas_menu .fn__popup_closer').off().on('click',function(){
				MowBody.removeClass('offcanvas-active');
				return false;
			});
		},
		
		moreMenu: function(){
			$('.mow_fn_nav').each(function(){
				var nav = $(this);
				var menu = nav.find('.menu');
				var more = menu.find('.more');
				var moreBtn = more.find('a');
				var moreBtnWidth = moreBtn.width();
				var w = 0, a = 0,html = '',padding = 60;
				var correcting = menu.width();
				if(nav.parent().hasClass('ht_right_item')){
					padding = 0;
					var header = $('.mow_fn_header');
					var headerLeft = header.find('.ht_left');
					var extraLink = header.find('.ht_right .extra_link');
					correcting = header.width() - headerLeft.outerWidth(true) - extraLink.outerWidth(true) - 100;
				}
				nav.find('.mow_fn_main_nav > li').each(function(){
					var e = $(this);
					a+= parseInt(e.outerWidth(true));
					a+= moreBtnWidth;
					if(w+a>correcting-padding){
						e.addClass('disabled');
						html+='<li class="'+e.attr('class')+'">'+e.html()+'</li>';
					}else{
						e.removeClass('disabled');
					}
					a-= moreBtnWidth;
					w+= a;a=0;
				});
				if(html !== ''){
					more.addClass('active');
					more.find('.sub-menu').html(html);
				}else{
					more.removeClass('active');
				}
				nav.removeClass("nav__ready");
			});
		},
		
		reversedMenu: function(){
			$('.mow_fn_main_nav > li > .fn__classic_sub').each(function(){
				var e = $(this),
					w = e.offset().left + 240,
					W = $('body').width();
				if(w>W){
					e.addClass('reverse');
				}
			});
		},
		

		seachSomething: function(){
			var searchOpener 	= $('.mow_fn_fixed_right_bar .search,.mow_fn_mobnav .mobsearch_opener, .icon_bar__search a');
			var searchbox 		= $('.mow_fn_searchbox');
			var input 			= searchbox.find('form input[type="text"]');
			
			searchOpener.off().on('click',function(){
				if(MowBody.hasClass('search-active')){
					MowBody.removeClass('search-active');
				}else{
					MowBody.addClass('search-active');
					input.val('');
					setTimeout(function(){
						input[0].focus();
					},100);
				}
				return false;
			});
			
			searchbox.find('.fn__popup_closer').off().on('click',function(){
				MowBody.removeClass('search-active');
				return false;
			});
			input.on("keypress", function(event) {
				if (event.key === "Enter") {
					event.preventDefault();
					$('.mow_fn_searchbox form input[type="submit"]').trigger('click');
				}
			});
		},
		
		
		totopScroll: function(){
			$(".mow_fn_fixed_totop").off().on('click', function(e) {
				e.preventDefault();
				e.stopPropagation();
				$([document.documentElement, document.body]).animate({
					scrollTop: 500
				}, 0);
				setTimeout(function(){
					$([document.documentElement, document.body]).animate({
						scrollTop: 0
					}, 500);
				},10);
				return false;
			});
		},
		
		ready: function(){
			$('html').addClass('ready');
			// MowBody.addClass('new-post-bar-active');
			$('.mow_fn_searchbox,#mow_fn_newpost_bar,.mow_fn_offcanvas_menu').show();
		},
		
		countdown: function(){
			$('.fn__countdown__boxed').each(function(){
				var e = $(this),
					t = e.data('type');
				if(e.hasClass('ready')){
					return;
				}
				e.addClass('ready');
				if(t === 'due_date'){
					var countDownDate = new Date(e.data('date')).getTime();
				}else if(t === 'ever'){
					var days 	= 0,
						hours	= parseInt(e.data('hours')) * 3600,
						minutes	= parseInt(e.data('minutes')) * 60,
						seconds	= 0;
					var ever	= days + hours + minutes + seconds;
				}
				if(t === 'due_date'){
					// Update the count down every 1 second
					var x = setInterval(function() {
						// Get today's date and time
						var now = new Date().getTime();

						// Find the distance between now and the count down date
						var distance = countDownDate - now;

						// Time calculations for days, hours, minutes and seconds
						var days = Math.floor(distance / (1000 * 60 * 60 * 24));
						var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
						var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
						var seconds = Math.floor((distance % (1000 * 60)) / 1000);

						
							days = (days < 10 ? '0' + days : days);
							hours = (hours < 10 ? '0' + hours : hours);
							minutes = (minutes < 10 ? '0' + minutes : minutes);
							seconds = (seconds < 10 ? '0' + seconds : seconds);
							e.find('.days h3').text(days);
							e.find('.hours h3').text(hours);
							e.find('.minutes h3').text(minutes);
							e.find('.seconds h3').text(seconds);
						
						if (distance < 0) {
							e.find('.days h3').text(0);
							e.find('.hours h3').text(0);
							e.find('.minutes h3').text(0);
							e.find('.seconds h3').text(0);
							clearInterval(x);
					  	}
					}, 1000);
				}else if(t === 'ever'){
					setInterval(function(){
						days 	= Math.floor(ever / 86400);
						hours	= Math.floor((ever % 86400) / 3600);
						minutes	= Math.floor((ever % 3600) / 60);
						seconds	= Math.floor((ever % 60));
							
						if(ever >= 0){
							days = (days < 10 ? '0' + days : days);
							hours = (hours < 10 ? '0' + hours : hours);
							minutes = (minutes < 10 ? '0' + minutes : minutes);
							seconds = (seconds < 10 ? '0' + seconds : seconds);
							e.find('.days h3').text(days);
							e.find('.hours h3').text(hours);
							e.find('.minutes h3').text(minutes);
							e.find('.seconds h3').text(seconds);
							ever--;
						}
					}, 1000);
				}
			});
		},
		
		
		widgetTitle: function(){
			$('.wp-block-group__inner-container > h1,.wp-block-group__inner-container > h2,.wp-block-group__inner-container > h3,.wp-block-group__inner-container > h4,.wp-block-group__inner-container > h5,.wp-block-group__inner-container > h6,.wp-block-search__label').each(function(){
				var e = $(this);
				e.after('<div class="wid-title"><span class="text"><span>'+e.text()+'</span></span></div>');
				e.remove();
			});
		},
		
		blog_info: function(){
			if($('.wp-calendar-nav').length){
				$('.wp-calendar-nav').each(function(){
					var e = $(this);
					if(!e.find('a').length){
						e.remove();
					}
				});
			}
		},
		
		
		
		url_fixer: function(){
			$('a[href*="fn_ex_link"]').each(function(){
				var oldUrl 	= $(this).attr('href'),
					array   = oldUrl.split('fn_ex_link/'),
					newUrl  = MowAjax.siteurl + "/" + array[1];
				$(this).attr('href', newUrl);
			});
		},
		
		cursor: function () {
			var myCursor = $('.frenify-cursor');
			if (myCursor.length && $("body").length) {
				const e = document.querySelector(".cursor-inner"),
					t 	= document.querySelector(".cursor-outer");
				var n, i = 0,W = 0,
					o = !1;
				
				var buttons = ".fn__link, [role='button'], .fn__lg_lightbox .lightbox,.modal_ux_closer, .swiper-button-prev, .swiper-button-next, a, input[type='submit'], .cursor-link, button";
				var sliders = ".owl-carousel, .swiper-container, .cursor-link";
				// link mouse enter + move
				window.onmousemove = function(s) {
					o || (t.style.transform = "translate(" + s.clientX + "px, " + s.clientY + "px)"), e.style.transform = "translate(" + s.clientX + "px, " + s.clientY + "px)", n = s.clientY, i = s.clientX
				}, $("body").on("mouseenter", buttons, function() {
					e.classList.add("cursor-hover"), t.classList.add("cursor-hover")
				}), $("body").on("mouseleave", buttons, function() {
					$(this).is("a") && $(this).closest(".cursor-link").length || (e.classList.remove("cursor-hover"), t.classList.remove("cursor-hover"))
				}), e.style.visibility = "visible", t.style.visibility = "visible";
				
				
				// slider mouse enter
				MowBody.on('mouseenter', sliders, function(){
					e.classList.add('cursor-slider');
					t.classList.add('cursor-slider');
				}).on('mouseleave', sliders,function(){
					e.classList.remove('cursor-slider');
					t.classList.remove('cursor-slider');
				});
				
				// slider mouse hold
				MowBody.on('mousedown', sliders, function(){
					e.classList.add('mouse-down');
					t.classList.add('mouse-down');
				}).on('mouseup', sliders, function(){
					e.classList.remove('mouse-down');
					t.classList.remove('mouse-down');
				});
			}
		},
		
		
		widget__pages: function(){
			var nav 						= $('.widget_pages ul');
			nav.each(function(){
				$(this).find('a').off().on('click', function(e){
					var element 			= $(this);
					var parentItem			= element.parent('li');
					var parentItems			= element.parents('li');
					var parentUls			= parentItem.parents('ul.children');
					var subMenu				= element.next();
					var allSubMenusParents 	= nav.find('li');

					allSubMenusParents.removeClass('opened');

					if(subMenu.length){
						e.preventDefault();

						if(!(subMenu.parent('li').hasClass('active'))){
							if(!(parentItems.hasClass('opened'))){parentItems.addClass('opened');}

							allSubMenusParents.each(function(){
								var el = $(this);
								if(!el.hasClass('opened')){el.find('ul.children').slideUp();}
							});

							allSubMenusParents.removeClass('active');
							parentUls.parent('li').addClass('active');
							subMenu.parent('li').addClass('active');
							subMenu.slideDown();


						}else{
							subMenu.parent('li').removeClass('active');
							subMenu.slideUp();
						}
						return false;
					}
				});
			});
		},
		
		submenu__Mobile: function(){
			var nav 						= $('.mow_fn_offcanvas_nav, ul.vert_menu_list, .widget_nav_menu ul.menu, .mow_fn_mobnav .mob_bot .mobile_menu');
			var mobileAutoCollapse			= MowWrapper.data('mobile-autocollapse');
			nav.each(function(){
				$(this).find('a').off().on('click', function(e){
					var element 			= $(this);
					var parentItem			= element.parent('li');
					var parentItems			= element.parents('li');
					var parentUls			= parentItem.parents('ul.sub-menu');
					var subMenu				= element.nextAll().last();
					var allSubMenusParents 	= nav.find('li');

					allSubMenusParents.removeClass('opened');

					if(subMenu.length && !subMenu.hasClass('fn_menu_description')){
						e.preventDefault();

						if(!(subMenu.parent('li').hasClass('active'))){
							if(!(parentItems.hasClass('opened'))){parentItems.addClass('opened');}

							allSubMenusParents.each(function(){
								var el = $(this);
								if(!el.hasClass('opened')){el.find('ul.sub-menu').slideUp();}
							});

							allSubMenusParents.removeClass('active');
							parentUls.parent('li').addClass('active');
							subMenu.parent('li').addClass('active');
							subMenu.slideDown();


						}else{
							subMenu.parent('li').removeClass('active');
							subMenu.slideUp();
						}
						return false;
					}
					if(mobileAutoCollapse === 'enable'){
						if(nav.parent().parent().hasClass('opened')){
							nav.parent().parent().removeClass('opened').slideUp();
							$('.mow_fn_mobilemenu_wrap .hamburger').removeClass('is-active');
						}
					}
				});
			});
		},
		
		hamburgerOpener__Mobile: function(){
			var hamburger		= $('.mow_fn_mobilemenu_wrap .hamburger');
			hamburger.off().on('click',function(){
				var element 	= $(this);
				var menupart	= $('.mow_fn_mobilemenu_wrap .mobilemenu');
				if(element.hasClass('is-active')){
					element.removeClass('is-active');
					menupart.removeClass('opened');
					menupart.slideUp(500);
				}else{
					element.addClass('is-active');
					menupart.addClass('opened');
					menupart.slideDown(500);
				}return false;
			});
		},
		
		
		
		
		
		dataFnBgImg: function(){
			var bgImage2 	= $('*[data-bg-img]');
			bgImage2.each(function(){
				var element = $(this);
				var attrBg	= element.attr('data-bg-img');
				var bgImg	= element.data('bg-img');
				if(typeof(attrBg) !== 'undefined'){
					element.addClass('frenify-ready');
					if(bgImg === ''){
						return;
					}
					element.css({backgroundImage:'url('+bgImg+')'});
				}
			});
		},
		
		isotopeMasonry: function(){
			if(!$().isotope){
				return;
			}
			var isOriginLeft = true;
			if($('body').hasClass('rtl')){
				isOriginLeft = false;
			}
			var masonry = $('.fn__masonry');
			if(masonry.length){
				masonry.each(function(){
					$(this).isotope({
						itemSelector: '.mas__in',
						masonry: {},
						isOriginLeft: isOriginLeft
					});
				});
			}
			var masonry2 = $('.mow_fn_bloglist_masonry');
			if(masonry2.length){
				masonry2.each(function(){
					$(this).isotope({
						itemSelector: '.post_item',
						masonry: {},
						isOriginLeft: isOriginLeft,
					});
				});
			}
			var masonry3 = $('.mow_fn_bloglist_simple_text');
			if(masonry3.length){
				masonry3.each(function(){
					$(this).isotope({
						itemSelector: '.post_item',
						masonry: {},
						isOriginLeft: isOriginLeft,
					});
				});
			}
			var masonry4 = $('.fn__widget_posts_zeta[data-layout="column"] .zeta_items');
			if(masonry4.length){
				masonry4.each(function(){
					$(this).isotope({
						itemSelector: '.zeta_item',
						masonry: {},
						isOriginLeft: isOriginLeft,
					});
				});
			}
		},
    };
	
	
	
	// ready functions
	$(document).ready(function(){
		MowInit.init();
	});
	
	// resize functions
	$(window).on('resize',function(e){
		e.preventDefault();
		MowInit.sticky_sidebar();
		MowInit.gallery_thumbs();
		MowInit.isotopeMasonry();
		MowInit.moreMenu();
		setTimeout(function(){
			MowInit.isotopeMasonry();
		},200);
	});
	
	// scroll functions
	$(window).on('scroll', function(e) {
		e.preventDefault();
		MowInit.stickyHeader();
    });
	
	// load functions
	$(window).on('load', function(e) {
		e.preventDefault();
		MowInit.sticky_sidebar();
		MowInit.isotopeMasonry();
		setTimeout(function(){
			MowInit.isotopeMasonry();
		},200);
		setTimeout(function(){
			MowInit.isotopeMasonry();
		},1000);
	});
	
	
	window.addEventListener("load", function(){
		MowInit.moreMenu();
		MowInit.sticky_sidebar();
	});
	
	
	$( window ).on( 'elementor/frontend/init', MowInit.rippleEffect );
	
})(jQuery);