<?php

update_option('mow_theme_status', 'active');
update_option('mow_theme_purchasecode', 'babiato-ledzepy');

add_action( 'after_setup_theme', 'mow_fn_setup', 50 );

function mow_fn_setup(){

	// REGISTER THEME MENU
	if(function_exists('register_nav_menus')){
		register_nav_menus(array('main_menu' 		=> esc_html__('Main Menu','mow')));
		register_nav_menus(array('offcanvas_menu' 	=> esc_html__('Off-Canvas Menu','mow')));
		register_nav_menus(array('mobile_menu' 		=> esc_html__('Mobile Menu','mow')));
		register_nav_menus(array('footer_menu' 		=> esc_html__('Footer Menu','mow')));
	}

	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_action( 'wp_enqueue_scripts', 'mow_fn_scripts', 100 ); 
	add_filter( 'script_loader_tag', 'mow_fn_add_script_attributes', 10, 2); 
	add_action( 'wp_enqueue_scripts', 'mow_fn_styles', 100 );
	add_action( 'wp_enqueue_scripts', 'mow_fn_inline_styles', 150 );
	add_action( 'admin_enqueue_scripts', 'mow_fn_admin_scripts' );

	add_action('wp_enqueue_scripts', 'mow_fn_custom_script');

	// Actions
	add_action( 'tgmpa_register', 'mow_fn_register_required_plugins' );

	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );
	
	
	add_theme_support( 'post-formats', array('video','audio','gallery','image','link','quote','status') );

	set_post_thumbnail_size( 300, 300, true );		

	//Load Translation Text Domain
	load_theme_textdomain( 'mow', get_template_directory() . '/languages' );





	// Firing Title Tag Function
	mow_fn_theme_slug_setup();

	add_filter(	'widget_tag_cloud_args', 'mow_fn_tag_cloud_args');

	if ( ! isset( $content_width ) ) $content_width = 1200;

	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'wp_list_comments' );

	add_editor_style() ;

	
	

	// prev post ajax
	add_action( 'wp_ajax_nopriv_mow_fn_get_prev_post', 'mow_fn_get_prev_post' );
	add_action( 'wp_ajax_mow_fn_get_prev_post', 'mow_fn_get_prev_post' );
		
	// for ajax woocommerce
	add_action( 'wp_ajax_nopriv_mow_fn_remove_item_from_cart', 'mow_fn_remove_item_from_cart' );
	add_action( 'wp_ajax_mow_fn_remove_item_from_cart', 'mow_fn_remove_item_from_cart' );

	
	// search get category posts 
	add_action( 'wp_ajax_nopriv_mow_fn_ajax_menu_posts_list', 'mow_fn_ajax_menu_posts_list' );
	add_action( 'wp_ajax_mow_fn_ajax_menu_posts_list', 'mow_fn_ajax_menu_posts_list' );

	
	// Sign-In
	add_action( 'wp_ajax_nopriv_mow_fn_ajax_log_in', 'mow_fn_ajax_log_in' );
	add_action( 'wp_ajax_mow_fn_ajax_log_in', 'mow_fn_ajax_log_in' );

	// Sign-Up
	add_action( 'wp_ajax_nopriv_mow_fn_ajax_register', 'mow_fn_ajax_register' );
	add_action( 'wp_ajax_mow_fn_ajax_register', 'mow_fn_ajax_register' );

	// next page in the relink
	add_action( 'wp_ajax_nopriv_mow_fn_next_relink_page', 'mow_fn_next_relink_page' );
	add_action( 'wp_ajax_mow_fn_next_relink_page', 'mow_fn_next_relink_page' );

	// get post data from another website
	add_action( 'wp_ajax_nopriv_mow_fn_fletch_post_data', 'mow_fn_fletch_post_data' );
	add_action( 'wp_ajax_mow_fn_fletch_post_data', 'mow_fn_fletch_post_data' );

	// add new post with "Link" format
	add_action( 'wp_ajax_nopriv_mow_fn_new_link_post', 'mow_fn_new_link_post' );
	add_action( 'wp_ajax_mow_fn_new_link_post', 'mow_fn_new_link_post' );

	// add new post with "Post" format
	add_action( 'wp_ajax_nopriv_mow_fn_new_post_post', 'mow_fn_new_post_post' );
	add_action( 'wp_ajax_mow_fn_new_post_post', 'mow_fn_new_post_post' );

	// get post delta
	add_action( 'wp_ajax_nopriv_mow_fn_post_delta', 'mow_fn_post_delta' );
	add_action( 'wp_ajax_mow_fn_post_delta', 'mow_fn_post_delta' );

	// get post date_1
	add_action( 'wp_ajax_nopriv_mow_fn_post_date_1', 'mow_fn_post_date_1' );
	add_action( 'wp_ajax_mow_fn_post_date_1', 'mow_fn_post_date_1' );

	// get post zeta
	add_action( 'wp_ajax_nopriv_mow_fn_post_zeta', 'mow_fn_post_zeta' );
	add_action( 'wp_ajax_mow_fn_post_zeta', 'mow_fn_post_zeta' );
	
	
	// CONSTANT
	$my_theme 		= wp_get_theme( 'mow' );
	$version		= '1.0.0';
	if ( $my_theme->exists() ){
		$version 	= (string)$my_theme->get( 'Version' );
	}
	$version		= '_v_'.$version;
	define('MOW_VERSION', $version);
	define('MOW_THEME_URL', get_template_directory_uri());
	define('MOW_JS', MOW_THEME_URL . '/framework/js');
	define('MOW_CSS', MOW_THEME_URL . '/framework/css');
	
	
	
	
	
	/* ------------------------------------------------------------------------ */
	/*  Inlcudes
	/* ------------------------------------------------------------------------ */
	include_once( get_template_directory() . '/inc/mow_fn_media_to_category.php' ); 	// Custom Function
	include_once( get_template_directory() . '/inc/mow_fn_functions.php' ); 			// Custom Functions
	include_once( get_template_directory() . '/inc/mow_fn_googlefonts.php' ); 			// Google Fonts Init
	include_once( get_template_directory() . '/inc/mow_fn_css.php' ); 					// Inline CSS
	include_once( get_template_directory() . '/inc/mow_fn_sidebars.php' ); 				// Widget Area
	include_once( get_template_directory() . '/inc/mow_fn_pagination.php' ); 			// Pagination
	include_once( get_template_directory() . '/inc/mow_fn_megamenu.php' ); 				// Megamenu
	include_once( get_template_directory() . '/config/config-woo/config.php' ); 		// WooCommerce

}





/* ----------------------------------------------------------------------------------- */
/*  ENQUEUE STYLES AND SCRIPTS
/* ----------------------------------------------------------------------------------- */
function mow_fn_scripts() {
	$is_script_debug 	= defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG;
	$min_suffix 		= $is_script_debug ? '.js' : '.min.js';
	
	wp_enqueue_script('ytplayer', MOW_JS . '/mb-YTPlayer'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('lightgallery', MOW_JS . '/lightgallery'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('isotope', MOW_JS . '/isotope'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('quill', MOW_JS . '/quill'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('swiper', MOW_JS . '/swiper'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('marquee', MOW_JS . '/marquee'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('mow-fn-woocommerce', MOW_THEME_URL . '/config/config-woo/woocommerce'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	wp_enqueue_script('mow-fn-init', MOW_JS . '/init'.$min_suffix, array('jquery'), MOW_VERSION, TRUE);
	
	wp_localize_script(
		'mow-fn-init',
		'MowAjaxObject',
		array( 
			'ajax_url' 				=> admin_url( 'admin-ajax.php' ),
			'redirect_page'			=> mow_fn_get_page_ID('page-redirect', true),
			'siteurl'				=> home_url(),
			'nonce'					=> wp_create_nonce('mow-secure'),
			'copiedText'			=> esc_html__('Copied to clipboard!','mow'),
			'errorGetTitle'			=> esc_html__('Unable to Retrieve Title from URL','mow'),
			'errorGetDesc'			=> esc_html__('Unable to Retrieve Description from URL','mow'),
			'errorGetImg'			=> esc_html__('Unable to Retrieve Image from URL','mow'),
			'invalidURL'			=> esc_html__('Please insert correct URL.','mow'),
			'has_tag'				=> esc_html__('Tag already exists!','mow'),
			'no_title'				=> esc_html__('Please enter post title!','mow'),
			'dragBoxValidImgURL'	=> esc_html__('Please enter a valid image URL.','mow'),
			'dragBoxNoFile'			=> esc_html__('No file selected.','mow'),
			'dragBoxOnlyImg'		=> esc_html__('Only image files are allowed!','mow'),
			'dragBoxMaxSize'		=> esc_html__('File size exceeds 2MB!','mow'),
			'dragBoxSuccess'		=> esc_html__('Image successfully loaded from URL.','mow'),
			'dragBoxFailed'			=> esc_html__('Failed to load image from the provided URL.','mow'),
			'enterImgURL'			=> esc_html__('Please copy and paste the image URL here.','mow'),
			'logInMsg'				=> esc_html__('Please log in to submit a post','mow'),
		)
	);
	
	if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

}

// Add defer or async attributes to scripts
function mow_fn_add_script_attributes($tag, $handle) {
    // Add defer to these scripts
    $defer_scripts = array('ytplayer', 'lightgallery', 'isotope', 'quill', 'swiper', 'marquee');
    if (in_array($handle, $defer_scripts)) {
        return str_replace(' src', ' defer src', $tag);
    }

    // Add async to these scripts
    $async_scripts = array('mow-fn-woocommerce', 'mow-fn-init');
    if (in_array($handle, $async_scripts)) {
        return str_replace(' src', ' async src', $tag);
    }

    return $tag;
}


function mow_fn_custom_script() {
	$is_script_debug 	= defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG;
	$min_suffix 		= $is_script_debug ? '.js' : '.min.js';
	// Use wp_enqueue_script to add the script in the <head>
	wp_enqueue_script(
		'head-script',
		MOW_JS . '/head-script'.$min_suffix,
		array(),
		MOW_VERSION,
		false
	);
}

function mow_fn_admin_scripts() {	
	$is_script_debug 	= defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG;
	$min_suffix 		= $is_script_debug ? '.' : '.min.';
	wp_enqueue_style('mow-fn-icons', MOW_CSS .'/f_icons'.$min_suffix.'css', array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-admin-style', MOW_CSS .'/admin-style'.$min_suffix.'css', array(), MOW_VERSION, 'all');
}

function mow_fn_styles(){
	$is_script_debug 	= defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG;
	$min_suffix 		= $is_script_debug ? '.css' : '.min.css';
	wp_enqueue_style('mow-fn-base', MOW_CSS .'/base'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('quill', MOW_CSS .'/quill'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('ytplayer', MOW_CSS .'/mb-ytplayer'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('lightgallery', MOW_CSS .'/lightgallery'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('swiper', MOW_CSS .'/swiper'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-icons', MOW_CSS .'/f_icons'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-widgets', MOW_CSS .'/widgets'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-woocommerce', MOW_THEME_URL  .'/config/config-woo/woocommerce'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-relink', MOW_CSS .'/relink'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-style', MOW_CSS .'/style'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-responsive', MOW_CSS .'/responsive'.$min_suffix, array(), MOW_VERSION, 'all');
	wp_enqueue_style('mow-fn-dark', MOW_CSS .'/dark'.$min_suffix, array(), MOW_VERSION, 'all');
	
	wp_enqueue_style('mow-fn-stylesheet', get_stylesheet_uri(), array(), MOW_VERSION, 'all' ); // Main Stylesheet
}





/* ----------------------------------------------------------------------------------- */
/*  Title tag: works WordPress v4.1 and above
/* ----------------------------------------------------------------------------------- */
function mow_fn_theme_slug_setup() {
	add_theme_support( 'title-tag' );
}
/* ----------------------------------------------------------------------------------- */
/*  Tagcloud widget
/* ----------------------------------------------------------------------------------- */
	
function mow_fn_tag_cloud_args($args)
{
	
	$my_args = array('smallest' => 14, 'largest' => 14, 'unit'=>'px', 'orderby'=>'count', 'order'=>'DESC' );
	$args = wp_parse_args( $args, $my_args );
	return $args;
}

	
/*-----------------------------------------------------------------------------------*/
/*	TGM Plugin Activation
/*-----------------------------------------------------------------------------------*/

require_once get_template_directory().'/plugin/class-tgm-plugin-activation.php';

function mow_fn_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// This is an example of how to include a plugin bundled with a theme.
		array(
			'name'               => 'Mow Core', // The plugin name.
			'slug'               => 'mow-core', // The plugin slug (typically the folder name).
			'source'             => 'https://frenify.com/work/envato/frenify/wp/mow/files/mow-core.zip', // The plugin source.
			'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Redux Framework', // The plugin name.
			'slug'               => 'redux-framework', // The plugin slug (typically the folder name).
			'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Elementor', // The plugin name.
			'slug'               => 'elementor', // The plugin slug (typically the folder name).
			'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),

	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'mow',          	 	 	// Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}



?>