<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php $mow_fn_option = mow_fn_theme_option(); ?>
<head>
	<meta charset="<?php esc_attr(bloginfo( 'charset' )); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
	<script>
		<?php 
			$switch_theme_mode = 'enable';
			if(isset($mow_fn_option['switch_theme_mode'])){
				$switch_theme_mode = $mow_fn_option['switch_theme_mode'];
			}
			$default_theme_mode = 'light';
			if(isset($mow_fn_option['default_theme_mode'])){
				$default_theme_mode = $mow_fn_option['default_theme_mode'];
			}
			if($switch_theme_mode == 'disable'){ ?>
				localStorage.mow_skin = "<?php echo esc_attr($default_theme_mode); ?>";
		<?php }else{ ?>
			if (!localStorage.mow_skin) { localStorage.mow_skin = "<?php echo esc_attr($default_theme_mode); ?>";}
		<?php } ?>
		document.documentElement.setAttribute("data-site-skin", localStorage.mow_skin);
	</script>
</head>
<body <?php body_class();?>>
	<?php wp_body_open(); ?>

	<?php mow_fn_get_ads('off_canvas', true); ?>

	
	<!-- HTML starts here -->
	<div class="mow-fn-wrapper">


		<!-- Desktop Navigation -->
		<?php get_template_part( 'inc/templates/desktop-navigation' ); ?>
		<!-- !Desktop Navigation -->

		<!-- Mobile Navigation -->
		<?php get_template_part( 'inc/templates/mobile-navigation' ); ?>
		<!-- !Mobile Navigation -->


		<?php mow_fn_get_ads('header_below', true);?>

		
		<div class="mow_fn_content">