<?php

function mow_fn_generate_custom_fonts() {
    $custom_fonts = get_option('mow_custom_fonts', []); // Get custom fonts from Redux or database

    if (empty($custom_fonts)) {
        return ''; // No custom fonts, return empty
    }

    $css = '';

    foreach ($custom_fonts as $font) {
        if (!empty($font['name']) && !empty($font['url'])) {
            $css .= "
            @font-face {
                font-family: '{$font['name']}';
                src: url('{$font['url']}') format('woff2'), url('{$font['url']}') format('woff');
            }
            ";
        }
    }

    return $css;
}

function mow_fn_inline_styles() {
	
	$mow_fn_option = mow_fn_theme_option();
	
	
	
	wp_enqueue_style('mow_fn_inline', get_template_directory_uri().'/framework/css/inline.css', array(), MOW_VERSION, 'all');
	/************************** START styles **************************/
	$mow_fn_custom_css 		= "";

	$mow_fn_custom_css .= mow_fn_generate_custom_fonts();
	
	
	// fix adminbar issue
	$mow_fn_custom_css .= "
		@media(max-width: 600px){
			#wpadminbar{position: fixed;}
		}
	";
	
	$headingFont = 'Heebo';
	if(isset($mow_fn_option['heading_font']['font-family'])){
		$headingFont = $mow_fn_option['heading_font']['font-family'];
	}
	
	$bodyFont = 'Work Sans';
	if(isset($mow_fn_option['body_font']['font-family'])){
		$bodyFont = $mow_fn_option['body_font']['font-family'];
	}
	
	$blockquote_font = 'Lora';
	if(isset($mow_fn_option['blockquote_font']['font-family'])){
		$blockquote_font = $mow_fn_option['blockquote_font']['font-family'];
	}
	$mow_fn_custom_css .= "
		:root{
			--hff: {$headingFont};
			--bff: {$bodyFont};
			--quote-ff: {$blockquote_font};
		}
	";
	
	// Magic Cursor
	$mcursor_color 		= '#000';
	if(isset($mow_fn_option['mcursor_color'])){
		$mcursor_color 	= $mow_fn_option['mcursor_color'];
	}
	$mcursor_color_dark = '#fff';
	if(isset($mow_fn_option['mcursor_color_dark'])){
		$mcursor_color_dark = $mow_fn_option['mcursor_color_dark'];
	}
	$mcursor_5 			= mow_fn_hex2rgba($mcursor_color,0.7);
	$mcursor_1	 		= mow_fn_hex2rgba($mcursor_color,0.1);
	$mcursor_5_dark		= mow_fn_hex2rgba($mcursor_color_dark,0.7);
	$mcursor_1_dark	 	= mow_fn_hex2rgba($mcursor_color_dark,0.1);
	$mow_fn_custom_css .= "
		.cursor-inner.cursor-slider.cursor-hover span:after,
		.cursor-inner.cursor-slider.cursor-hover span:before{
			background-color: {$mcursor_color};
		}
		.cursor-outer .fn-cursor,.cursor-inner.cursor-slider:not(.cursor-hover) .fn-cursor{
			border-color: {$mcursor_5};
		}
		.cursor-inner .fn-cursor,.cursor-inner .fn-left:before,.cursor-inner .fn-left:after,.cursor-inner .fn-right:before,.cursor-inner .fn-right:after{
			background-color: {$mcursor_5};
		}
		.cursor-inner.cursor-hover .fn-cursor{
			background-color: {$mcursor_1};
		}
		[data-site-skin='dark'] .cursor-inner.cursor-slider.cursor-hover span:after,
		[data-site-skin='dark'] .cursor-inner.cursor-slider.cursor-hover span:before{
			background-color: {$mcursor_color_dark};
		}
		[data-site-skin='dark'] .cursor-outer .fn-cursor,
		[data-site-skin='dark'] .cursor-inner.cursor-slider:not(.cursor-hover) .fn-cursor{
			border-color: {$mcursor_5_dark};
		}
		[data-site-skin='dark'] .cursor-inner .fn-cursor,
		[data-site-skin='dark'] .cursor-inner .fn-left:before,
		[data-site-skin='dark'] .cursor-inner .fn-left:after,
		[data-site-skin='dark'] .cursor-inner .fn-right:before,
		[data-site-skin='dark'] .cursor-inner .fn-right:after{
			background-color: {$mcursor_5_dark};
		}
		[data-site-skin='dark'] .cursor-inner.cursor-hover .fn-cursor{
			background-color: {$mcursor_1_dark};
		}
	";
	
	
	/* Light Mode Colors */
	$body_bg_color = '#ffffff';
	if(isset($mow_fn_option['body_bg_color'])){
		$body_bg_color = $mow_fn_option['body_bg_color'];
	}
	$ebc_color = '#f5f5f5';
	if(isset($mow_fn_option['ebc_color'])){
		$ebc_color = $mow_fn_option['ebc_color'];
	}
	$aebc_color = '#e5e5e5';
	if(isset($mow_fn_option['aebc_color'])){
		$aebc_color = $mow_fn_option['aebc_color'];
	}
	$main_color_1 = '#6428ec';
	if(isset($mow_fn_option['main_color_1'])){
		$main_color_1 = $mow_fn_option['main_color_1'];
	}
	$heading_color = '#080808';
	if(isset($mow_fn_option['heading_color'])){
		$heading_color = $mow_fn_option['heading_color'];
	}
	$heading_hover_color = '#6428ec';
	if(isset($mow_fn_option['heading_hover_color'])){
		$heading_hover_color = $mow_fn_option['heading_hover_color'];
	}
	$body_color = '#777777';
	if(isset($mow_fn_option['body_color'])){
		$body_color = $mow_fn_option['body_color'];
	}
	$border_color = '#cccccc';
	if(isset($mow_fn_option['border_color'])){
		$border_color = $mow_fn_option['border_color'];
	}
	/* Dark Mode Colors */
	$dark_body_bg_color = '#121212';
	if(isset($mow_fn_option['dark_body_bg_color'])){
		$dark_body_bg_color = $mow_fn_option['dark_body_bg_color'];
	}
	$dark_ebc_color = '#1d1d1d';
	if(isset($mow_fn_option['dark_ebc_color'])){
		$dark_ebc_color = $mow_fn_option['dark_ebc_color'];
	}
	$dark_aebc_color = '#222222';
	if(isset($mow_fn_option['dark_aebc_color'])){
		$dark_aebc_color = $mow_fn_option['dark_aebc_color'];
	}
	$dark_main_color_1 = '#6428ec';
	if(isset($mow_fn_option['dark_main_color_1'])){
		$dark_main_color_1 = $mow_fn_option['dark_main_color_1'];
	}
	$dark_heading_color = '#cccccc';
	if(isset($mow_fn_option['dark_heading_color'])){
		$dark_heading_color = $mow_fn_option['dark_heading_color'];
	}
	$dark_heading_hover_color = '#6428ec';
	if(isset($mow_fn_option['dark_heading_hover_color'])){
		$dark_heading_hover_color = $mow_fn_option['dark_heading_hover_color'];
	}
	$dark_body_color = '#777777';
	if(isset($mow_fn_option['dark_body_color'])){
		$dark_body_color = $mow_fn_option['dark_body_color'];
	}
	$dark_border_color = '#333333';
	if(isset($mow_fn_option['dark_border_color'])){
		$dark_border_color = $mow_fn_option['dark_border_color'];
	}

	$contrast_text_color = '#ffffff';
	if(isset($mow_fn_option['contrast_text_color'])){
		$contrast_text_color = $mow_fn_option['contrast_text_color'];
	}
	
	$mow_fn_custom_css .= "
		:root{
			--mow-bbc: {$body_bg_color};
			--mow-mc1: {$main_color_1};
			--mow-hhc: {$heading_hover_color};
			--mow-hc: {$heading_color};
			--mow-bc: {$body_color};
			--mow-ebc: {$ebc_color};
			--mow-aebc: {$aebc_color};
			--mow-border-color: {$border_color};
			--mow-contrast-text: {$contrast_text_color};
		}
		[data-site-skin='dark']:root{
			--mow-bbc: {$dark_body_bg_color};
			--mow-mc1: {$dark_main_color_1};
			--mow-hhc: {$dark_heading_hover_color};
			--mow-hc: {$dark_heading_color};
			--mow-bc: {$dark_body_color};
			--mow-ebc: {$dark_ebc_color};
			--mow-aebc: {$dark_aebc_color};
			--mow-border-color: {$dark_border_color};
		}
	";
	
	$logo_w = 220;
	if(isset($mow_fn_option['logo_w'])){
		$logo_w = $mow_fn_option['logo_w'];
	}
	$logo_h = 80;
	if(isset($mow_fn_option['logo_h'])){
		$logo_h = $mow_fn_option['logo_h'];
	}
	$logo_m_w = min($logo_w, 220);
	$mow_fn_custom_css .= "
		.fn__logo img{
			max-width: {$logo_w}px;
			max-height: {$logo_h}px;
		}
		.mow_fn_mobnav .fn__logo img{
			max-width: {$logo_m_w}px;
			max-height: {$logo_h}px;
		}
	";
	
	$o_line_nav_item_height = 147;
	if(isset($mow_fn_option['o_line_nav_item_height'])){
		$o_line_nav_item_height = $mow_fn_option['o_line_nav_item_height'];
	}
	$m_logo_nav_item_height = 40;
	if(isset($mow_fn_option['m_logo_nav_item_height'])){
		$m_logo_nav_item_height = $mow_fn_option['m_logo_nav_item_height'];
	}
	$mow_fn_custom_css .= "
		.mow_fn_header .mow_fn_main_nav > li > a{
			height: {$o_line_nav_item_height}px;
			line-height: {$o_line_nav_item_height}px;
		}
		.mow_fn_mlogo_header .mow_fn_main_nav > li > a{
			height: {$m_logo_nav_item_height}px;
			line-height: {$m_logo_nav_item_height}px;
		}
	";
	$heading_font_weight = false;
	if(isset($mow_fn_option['heading_font_weight'])){
		$heading_font_weight = $mow_fn_option['heading_font_weight'];
	}
	if($heading_font_weight && isset($mow_fn_option['heading_font']['font-weight'])){
		$f_weight = $mow_fn_option['heading_font']['font-weight'];
		$mow_fn_custom_css .= "
		.wp-block-page-list li,
		#recentcomments li,
		.wp-block-latest-comments li,
		.wp-block-latest-posts__list li,
		.wp-block-archives-list li,
		.wp-block-categories-list li,
		.widget_rss li,
		.widget_recent_entries li,
		.widget_meta li,
		.widget_pages li,
		.widget_categories li,
		.widget_archive li,
			.wid-title .text{
				font-weight: {$f_weight};
			}
			h1,h2,h3,h4,h5,h6{
				font-weight: {$f_weight} !important;
			}
		";
	}
	
	$blog_excerpt_max_lines = 3;
	if(isset($mow_fn_option['blog_excerpt_max_lines'])){
		$blog_excerpt_max_lines = (int)$mow_fn_option['blog_excerpt_max_lines'];
	}
	$mow_fn_custom_css .= "
		.blog__item .desc p{
			overflow: hidden;
		   	text-overflow: ellipsis;
		   	display: -webkit-box;
		   	-webkit-line-clamp: {$blog_excerpt_max_lines};
		   	-webkit-box-orient: vertical;
		}
	";


	$mlogo_nav_bg = '#080808';
	if(isset($mow_fn_option['mlogo_nav_bg'])){
		$mlogo_nav_bg = $mow_fn_option['mlogo_nav_bg'];
	}
	$mlogo_nav_color = '#ffffff';
	if(isset($mow_fn_option['mlogo_nav_color'])){
		$mlogo_nav_color = $mow_fn_option['mlogo_nav_color'];
	}

	$mow_fn_custom_css .= "
		.mow_fn_mlogo_header[data-layout='overlay_bg'] .header_nav_wrap{
			background-color: {$mlogo_nav_bg};
		}
		.mow_fn_mlogo_header[data-layout='overlay_bg'] .mow_fn_main_nav > li > a{
			color: {$mlogo_nav_color};
		}
	";
	
	
	$mobnav_bg = '#000000';
	if(isset($mow_fn_option['mobnav_bg'])){
		$mobnav_bg = $mow_fn_option['mobnav_bg'];
	}
	$mobnav_text = '#eeeeee';
	if(isset($mow_fn_option['mobnav_text'])){
		$mobnav_text = $mow_fn_option['mobnav_text'];
	}
	$mobnav_line = '#222222';
	if(isset($mow_fn_option['mobnav_line'])){
		$mobnav_line = $mow_fn_option['mobnav_line'];
	}

	$mow_fn_custom_css .= "
		.mow_fn_mobnav{
			background-color: {$mobnav_bg};
		}
		.mow_fn_mobnav .mob_top{
			border-bottom-color: {$mobnav_line};
		}
		.mow_fn_mobnav .mobile_menu a{
			color: {$mobnav_text};
		}
	";

	
	$rating_bg_color = '#fdd23c';
	if(isset($mow_fn_option['rating_bg_color'])){
		$rating_bg_color = $mow_fn_option['rating_bg_color'];
	}
	$rating_text_color = '#000000';
	if(isset($mow_fn_option['rating_text_color'])){
		$rating_text_color = $mow_fn_option['rating_text_color'];
	}
	$mow_fn_custom_css .= "
		.fn__rating_count .number{
			background-color: {$rating_bg_color};
			color: {$rating_text_color};
		}
	";
	
	$sticky_post_color = '#ffeeaf';
	if(isset($mow_fn_option['sticky_post_color'])){
		$sticky_post_color = $mow_fn_option['sticky_post_color'];
	}
	$mow_fn_custom_css .= "
		.fn__meta .sticky_label span{background-color: {$sticky_post_color};}
	";
	
	$h1_size = 45;
	if(isset($mow_fn_option['h1_size'])){
		$h1_size = (int)$mow_fn_option['h1_size'];
	}
	$h2_size = 36;
	if(isset($mow_fn_option['h2_size'])){
		$h2_size = (int)$mow_fn_option['h2_size'];
	}
	$h3_size = 30;
	if(isset($mow_fn_option['h3_size'])){
		$h3_size = (int)$mow_fn_option['h3_size'];
	}
	$h4_size = 24;
	if(isset($mow_fn_option['h4_size'])){
		$h4_size = (int)$mow_fn_option['h4_size'];
	}
	$h5_size  = 20;
	if(isset($mow_fn_option['h5_size'])){
		$h5_size = (int)$mow_fn_option['h5_size'];
	}
	$h6_size = 16;
	if(isset($mow_fn_option['h6_size'])){
		$h6_size = (int)$mow_fn_option['h6_size'];
	}
	$mow_fn_custom_css .= "
		h1{font-size: {$h1_size}px;}
		h2{font-size: {$h2_size}px;}
		h3{font-size: {$h3_size}px;}
		h4{font-size: {$h4_size}px;}
		h5{font-size: {$h5_size}px;}
		h6{font-size: {$h6_size}px;}
	";
	
	
	
	
	/****************************** END styles *****************************/
	if(isset($mow_fn_option['custom_css'])){
		$mow_fn_custom_css .= "{$mow_fn_option['custom_css']}";	
	}

	wp_add_inline_style( 'mow_fn_inline', $mow_fn_custom_css );

			
}

?>