<?php
function mow_fn_fonts() {
    $mow_fn_option = mow_fn_theme_option();
    $customfont = '';
    
    $default = array(
        'arial',
        'verdana',
        'trebuchet',
        'georgia',
        'times',
        'tahoma',
        'helvetica'
    );

    $bodyFont = 'Work Sans';
    $navFont = 'Heebo';
    $headingFont = 'Heebo';
    $blockquoteFont = 'Lora';

    if(isset($mow_fn_option['body_font']['font-family'])){ $bodyFont = $mow_fn_option['body_font']['font-family']; }
    if(isset($mow_fn_option['nav_font']['font-family'])){ $navFont = $mow_fn_option['nav_font']['font-family']; }
    if(isset($mow_fn_option['heading_font']['font-family'])){ $headingFont = $mow_fn_option['heading_font']['font-family']; }
    if(isset($mow_fn_option['blockquote_font']['font-family'])){ $blockquoteFont = $mow_fn_option['blockquote_font']['font-family']; }

    $googlefonts = array(
        $bodyFont,
        $navFont,
        $headingFont,
        $blockquoteFont
    );

    foreach($googlefonts as $getfonts) {
        if(!in_array($getfonts, $default) && $getfonts != '') {
            $customfont = str_replace(' ', '+', $getfonts). ':400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic|' . $customfont;
        }
    }

    if($customfont != '') {
        $protocol = is_ssl() ? 'https' : 'http';
        $google_font_url = "$protocol://fonts.googleapis.com/css?family=" . substr_replace($customfont, "", -1) . "&display=swap&subset=latin,cyrillic,greek,vietnamese";

        // Preload the Google Font
        add_action('wp_head', function() use ($google_font_url) {
            echo '<link rel="preload" href="' . esc_url($google_font_url) . '" as="style" onload="this.onload=null;this.rel=\'stylesheet\'">';
            echo '<noscript><link rel="stylesheet" href="' . esc_url($google_font_url) . '"></noscript>';
        });

        // Enqueue the Google Font
        wp_enqueue_style( 'mow_fn_googlefonts', $google_font_url );
    }   
}
add_action( 'wp_enqueue_scripts', 'mow_fn_fonts' );
