<?php

/*********************
CUSTOM WALKER
*********************/  


class mow_fn_walker extends Walker_Nav_Menu {
	
	
	
    function start_el( &$output, $object,  $depth = 0, $args = array(), $id = 0) {
        parent::start_el( $output, $object, $depth, $args );
		

		
        $menu_type = $object->mow_fn_megamenu;
        
		if ( $menu_type == NULL ){	
        	 $menu_type = '1'; 
        }		
		// START SUBMENU TYPE -------------------------------------------------------------------------------------
        if ( ( $menu_type == 1) && ( $depth == 0 ) && ($object->menu_item_parent == '0' && $object->hasChildren ) ) { 
			
			$output .= '<div class="mow_fn_sub mow_fn_smallsub">'; 
		}
        if ( $menu_type == 2 && ( $object->menu_item_parent == '0') ) { 
			$output .= '<div class="mow_fn_sub mow_fn_megasub mow_fn_megasub_mega">'; 
		} 
		if ( $menu_type == 4 && ( $object->menu_item_parent == '0' ) ) { 
			
			$output .= '<div class="mow_fn_sub mow_fn_megasub mow_fn_megasub_posts_top"><div class="ms_post">'; 
            $cat_filters = '';

            // need a help here
            $description = $object->description;
            if($description != ''){
                $cleaned_description = preg_replace('/[^\w\s,]/', '', $description);
                $cleaned_description = preg_replace('/\s+/', ' ', $cleaned_description);
                $items = explode(',', $cleaned_description);
                $items = array_map('trim', $items);
                $items = array_filter($items);
                $items = array_unique($items);

                if (!empty($items)) {
                    $cat_filters = '';
                    $category_ids = [];
                    $category_names = [];

                    // Разделяем элементы на ID и имена
                    foreach ($items as $item) {
                        if (is_numeric($item)) {
                            $category_ids[] = $item;
                        } else {
                            $category_names[] = $item;
                        }
                    }

                    // Загружаем категории по ID
                    $categories_by_id = [];
                    if (!empty($category_ids)) {
                        $categories_by_id = get_categories([
                            'include'    => $category_ids,
                            'hide_empty' => true,
                        ]);
                        $categories_by_id = array_column($categories_by_id, null, 'term_id');
                    }

                    // Загружаем категории по именам
                    $categories_by_name = [];
                    if (!empty($category_names)) {
                        $categories_by_name = get_terms([
                            'taxonomy'   => 'category',
                            'name'       => $category_names,
                            'hide_empty' => true,
                        ]);
                        $categories_by_name = array_column($categories_by_name, null, 'name');
                    }

                    // Проходим по $items в исходном порядке и генерируем фильтры
                    foreach ($items as $item) {
                        if (is_numeric($item)) {
                            // Для ID
                            if (isset($categories_by_id[$item])) {
                                $child_category = $categories_by_id[$item];
                                $cat_filters .= '<li class="filter"><a href="' . get_category_link($child_category->term_id) . '" data-id="' . esc_attr($child_category->term_id) . '">' . esc_html($child_category->name) . '</a></li>';
                            }
                        } else {
                            // Для имени
                            if (isset($categories_by_name[$item])) {
                                $child_category = $categories_by_name[$item];
                                $cat_filters .= '<li class="filter"><a href="' . get_category_link($child_category->term_id) . '" data-id="' . esc_attr($child_category->term_id) . '">' . esc_html($child_category->name) . '</a></li>';
                            }
                        }
                    }
                }

            }
            
            
           

			$category = get_category($object->object_id);
			if($category){
				$cat_limit 		= 4;
				$cat_id         = $category->term_id;
				$cat_permalink  = get_category_link($cat_id);
				$cat_name       = $category->name;
				global $wpdb;
                $cat_count = $wpdb->get_var(
                    $wpdb->prepare(
                        "SELECT COUNT(*) FROM {$wpdb->term_relationships} tr
                        INNER JOIN {$wpdb->term_taxonomy} tt ON tr.term_taxonomy_id = tt.term_taxonomy_id
                        INNER JOIN {$wpdb->posts} p ON p.ID = tr.object_id
                        WHERE tt.term_id = %d AND p.post_status = 'publish'",
                        $cat_id
                    )
                );

				$child_categories = get_categories(array(
                    'parent'     => $cat_id,
                    'hide_empty' => true,
                    'fields'     => 'all'  // Fetch all necessary fields to avoid extra queries
                ));
                
                $filter_switcher = 'filter_disabled';
                
                // Check if there are child categories and $cat_filters is empty
                if ($cat_filters === '' && !empty($child_categories)) {
                    $cat_filters = ''; // Clear in case there is any residual data
                
                    // Loop through the child categories and build the filter HTML
                    foreach ($child_categories as $child_category) {
                        $cat_filters .= sprintf(
                            '<li class="filter"><a href="%s" data-id="%d">%s</a></li>',
                            esc_url(get_category_link($child_category->term_id)),
                            esc_attr($child_category->term_id),
                            esc_html($child_category->name)
                        );
                    }
                }
                
				if($cat_filters !== ''){
					$cat_filters = '<div class="cat_filter"><ul><li class="filter all_filter"><a class="active" href="#" data-id="'.$cat_id.'">'.esc_html__('All','mow').'</a></li>'.$cat_filters.'</ul></div>';
                    $filter_switcher = 'filter_enabled';
				}


				$cat_args = array(
					'numberposts'   => $cat_limit,
					'category'      => $cat_id,
				);
				$cat_posts = get_posts($cat_args);
                
				$cat_content = '';
				if($cat_posts){
					foreach($cat_posts as $cat_post){
						$post_id 		= $cat_post->ID;
						$thumbnail 		= get_the_post_thumbnail_url( $post_id, 'large' );
						$postPermalink 	= get_permalink( $post_id );
						$postTitle		= $cat_post->post_title;
						$full_link 		= '<a href="'.$postPermalink.'" class="fn__full_link" aria-label="'.esc_attr($postTitle).'"></a>';
						if( $thumbnail ){
							$img = '<div class="img decoding">'.$full_link.'<img loading="lazy" decoding="async" src="'.$thumbnail.'" alt="'.esc_attr($postTitle).'"></div>';
						}else{
							$img = '<div class="overlay_t">'.$full_link.'<div class="overlay_t_in"></div>' . mb_substr($postTitle, 0, 1) . '</div>';
						}
						$title_holder = '<div class="title_holder">'.mow_fn_metas(array('post_id' => $post_id)).'<h4 class="post_title fn__limited_title"><span><a href="'.$postPermalink.'" aria-label="'.esc_attr(strip_tags($postTitle)).'">'.$postTitle.'</a></span></h4></div>';
						$cat_content .= '<li><div class="item">'.$img.$title_holder.'</div></li>';
					}
				}
				$next = 'disabled';
				if($cat_count > $cat_limit){
					$next = '';
				}
				if($cat_content != ''){
					$icon = mow_fn_svg('svg__arrow_4');
					$nav = '<div class="nav-buttons"><div class="prev-button disabled fn__link">'.$icon.'</div><div class="next-button fn__link '.$next.'">'.$icon.'</div></div>';
                    $loading = mow_fn_megamenu_skeleton_category();
					$cat_content = '<div class="cat_content">'.$nav.'<ul>'.$cat_content.'</ul><input class="cat_page" type="hidden" disabled value="1"><input class="cat_id" type="hidden" disabled value="'.$cat_id.'">'.$loading.'</div>';
				}

				$output .= '<div class="list_wrapper '.$filter_switcher.'">'.$cat_filters.$cat_content.'</div>';
			}
		
			$output .= '</div></div>';
		}

    }
	

   
    // start of the sub menu wrap ----------------------------------------------------------------------------------
    function start_lvl( &$output, $depth=0, $args = array() ) {

        if ( $depth > 2 ) { return; }
        if ( $depth >= 1 )  { $output .= '<ul class="mow_fn_grandchild-menu">'; }
        if ( $depth == 0 )  {
			$output .= '<div class="fn__classic_sub"><ul class="mow_fn_submenu">'; 
		}
    }
 
    // end of the sub menu wrap ------------------------------------------------------------------------------------
    function end_lvl( &$output, $depth=0, $args = array() ) {

		if ( $depth > 2 ) { return; }
		if ( $depth == 0 ) { $output .= '</ul></div>'; }
		if ( $depth >= 1 ) { $output .= '</ul>'; }

    }    
}  
class mow_fn_walker_mobile extends Walker_Nav_Menu {
	
	
	
    function start_el( &$output, $object,  $depth = 0, $args = array(), $id = 0) {
        parent::start_el( $output, $object, $depth, $args );
		

		
        $menu_type = $object->mow_fn_megamenu;
        
		if ( $menu_type == NULL ){	
        	 $menu_type = '1'; 
        }
		if ( $menu_type == 4 && ( $object->menu_item_parent == '0' ) ) { 
			
            $cat_filters = '';

            // need a help here
            $description = $object->description;
            if($description != ''){
                $cleaned_description = preg_replace('/[^\w\s,]/', '', $description);
                $cleaned_description = preg_replace('/\s+/', ' ', $cleaned_description);
                $items = explode(',', $cleaned_description);
                $items = array_map('trim', $items);
                $items = array_filter($items);
                $items = array_unique($items);
                $items = array_values($items);
                if(!empty($items)){
                    foreach ($items as $item) {
                        if (is_numeric($item)) {
                            $child_category = get_category($item); 
                            if ($child_category && !is_wp_error($child_category)) {
                                $cat_filters .= '<li class="filter"><a href="'.get_category_link($child_category->term_id).'" data-id="' . esc_attr($item) . '">' . esc_html($child_category->name) . '</a></li>';
                            }
                        } else {
                            $child_categories = get_terms([
                                'taxonomy'   => 'category',
                                'name'       => $item,
                                'hide_empty' => true,
                            ]);
                            
                            if (!empty($child_categories) && !is_wp_error($child_categories)) {
                                foreach ($child_categories as $child_category) {
                                    $cat_filters .= '<li class="filter"><a href="'.get_category_link($child_category->term_id).'" data-id="' . esc_attr($child_category->term_id) . '">' . esc_html($child_category->name) . '</a></li>';
                                }
                            }
                        }
                    }
                }
            }
			$category = get_category($object->object_id);
			if($category){
				$cat_id             = $category->term_id;
				$child_categories = get_categories(array(
					'parent'        => $cat_id,
					'hide_empty'    => true
				));
				if ($cat_filters == '' &&!empty($child_categories)) {
					foreach ($child_categories as $child_category) {
						$cat_filters .= '<li class="filter"><a href="'.get_category_link($child_category->term_id).'" data-id="'.$child_category->term_id.'">'.$child_category->name.'</a></li>';
					}
				}

			}
            if($cat_filters != ''){
                $output .= '<ul class="sub-menu">' . $cat_filters . '</ul>';
            }
		}

    }
	

     
}  





class mow_fn_walker_backend extends Walker_Nav_Menu {
    function start_lvl( &$output , $depth = 0 , $args = array() ) {}

	/**
	 * @see Walker_Nav_Menu::end_lvl()
	 * @since 3.0.0
	 *
	 * @param string $output Passed by reference.
	 */
	function end_lvl( &$output , $depth = 0 , $args = array() ) {}

	/**
	 * @see Walker::start_el()
	 * @since 3.0.0
	 *
	 * @param string $output Passed by reference. Used to append additional content.
	 * @param object $item Menu item data object.
	 * @param int $depth Depth of menu item. Used for padding.
	 * @param object $args
	 */
	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		global $_wp_nav_menu_max_depth;
		$_wp_nav_menu_max_depth = $depth > $_wp_nav_menu_max_depth ? $depth : $_wp_nav_menu_max_depth;

		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		ob_start();
		$item_id = esc_attr( $item->ID );
		
		// for select type
		if (empty($item->mow_fn_megamenu[0])) {
            $mow_fn_item_megamenu = NULL;
        } else {
            $mow_fn_item_megamenu = esc_attr ($item->mow_fn_megamenu[0]);
        }
		
		
		$removed_args = array(
			'action',
			'customlink-tab',
			'edit-menu-item',
			'menu-item',
			'page-tab',
			'_wpnonce',
		);

		$original_title = '';
		if ( 'taxonomy' == $item->type ) {
			$original_title = get_term_field( 'name', $item->object_id, $item->object, 'raw' );
			if ( is_wp_error( $original_title ) )
				$original_title = false;
		} elseif ( 'post_type' == $item->type ) {
			$original_object = get_post( $item->object_id );
			$original_title = $original_object->post_title;
		}

		$classes = array(
			'menu-item menu-item-depth-' . $depth,
			'menu-item-' . esc_attr( $item->object ),
			'menu-item-edit-' . ( ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? 'active' : 'inactive'),
		);

		$title = $item->title;

		if ( ! empty( $item->_invalid ) ) {
			$classes[] = 'menu-item-invalid';
			/* translators: %s: title of menu item which is invalid */
			$title = sprintf( esc_html__( '%s (Invalid)','mow' ), $item->title );
		} elseif ( isset( $item->post_status ) && 'draft' == $item->post_status ) {
			$classes[] = 'pending';
			/* translators: %s: title of menu item in draft status */
			$title = sprintf( esc_html__('%s (Pending)','mow'), $item->title );
		}

		$title = ( ! isset( $item->label ) || '' == $item->label ) ? $title : $item->label;

		$submenu_text = '';
		if ( 0 == $depth )
			$submenu_text = 'style="display: none;"';

		?>
        
        
        <li id="menu-item-<?php echo esc_attr($item_id); ?>" class="<?php echo implode(' ', $classes ); ?>">
            <div class="menu-item-bar">
                <div class="menu-item-handle">
                    <span class="item-title"><span class="menu-item-title"><?php echo esc_html( $title ); ?></span> <span class="is-submenu" <?php echo esc_attr($submenu_text); ?>><?php esc_html_e( 'sub item' , 'mow'); ?></span></span>
                    <span class="item-controls">
                        <span class="item-type"><?php echo esc_html( $item->type_label ); ?></span>
                        <span class="item-order hide-if-js">
                            <a href="<?php
                                echo wp_nonce_url(
                                    add_query_arg(
                                        array(
                                            'action' => 'move-up-menu-item',
                                            'menu-item' => $item_id,
                                        ),
                                        remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
                                    ),
                                    'move-menu_item'
                                );
                            ?>" class="item-move-up"><abbr title="<?php esc_attr_e('Move up', 'mow'); ?>">&#8593;</abbr></a>
                            |
                            <a href="<?php
                                echo wp_nonce_url(
                                    add_query_arg(
                                        array(
                                            'action' => 'move-down-menu-item',
                                            'menu-item' => $item_id,
                                        ),
                                        remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
                                    ),
                                    'move-menu_item'
                                );
                            ?>" class="item-move-down"><abbr title="<?php esc_attr_e('Move down', 'mow'); ?>">&#8595;</abbr></a>
                        </span>
                        <a class="item-edit" id="edit-<?php echo esc_attr($item_id); ?>" title="<?php esc_attr_e('Edit Menu Item', 'mow'); ?>" href="<?php
                            echo ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? admin_url( 'nav-menus.php' ) : add_query_arg( 'edit-menu-item', $item_id, remove_query_arg( $removed_args, admin_url( 'nav-menus.php#menu-item-settings-' . $item_id ) ) );
                        ?>"></a>
                    </span>
                </div>
            </div>

            <div class="menu-item-settings" id="menu-item-settings-<?php echo esc_attr($item_id); ?>" style="float: left; clear: both; margin-bottom: 9px;">
                <?php if( 'custom' == $item->type ) : ?>
                    <p class="field-url description description-wide">
                        <label for="edit-menu-item-url-<?php echo esc_attr($item_id); ?>">
                            <?php esc_html_e( 'URL' , 'mow'); ?><br>
                            <input type="text" id="edit-menu-item-url-<?php echo esc_attr($item_id); ?>" class="widefat code edit-menu-item-url" name="menu-item-url[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->url ); ?>" />
                        </label>
                    </p>
                <?php endif; ?>
                <p class="description description-thin">
                    <label for="edit-menu-item-title-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Navigation Label' , 'mow'); ?><br>
                        <input type="text" id="edit-menu-item-title-<?php echo esc_attr($item_id); ?>" class="widefat edit-menu-item-title" name="menu-item-title[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->title ); ?>" />
                    </label>
                </p>
                <p class="description description-thin">
                    <label for="edit-menu-item-attr-title-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Title Attribute' , 'mow' ); ?><br>
                        <input type="text" id="edit-menu-item-attr-title-<?php echo esc_attr($item_id); ?>" class="widefat edit-menu-item-attr-title" name="menu-item-attr-title[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->post_excerpt ); ?>" />
                    </label>
                </p>
                <p class="field-link-target description">
                    <label for="edit-menu-item-target-<?php echo esc_attr($item_id); ?>">
                        <input type="checkbox" id="edit-menu-item-target-<?php echo esc_attr($item_id); ?>" value="_blank" name="menu-item-target[<?php echo esc_attr($item_id); ?>]"<?php checked( $item->target, '_blank' ); ?> />
                        <?php esc_html_e( 'Open link in a new window/tab' , 'mow'); ?>
                    </label>
                </p>
                <p class="field-css-classes description description-thin">
                    <label for="edit-menu-item-classes-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'CSS Classes (optional)' , 'mow'); ?><br>
                        <input type="text" id="edit-menu-item-classes-<?php echo esc_attr($item_id); ?>" class="widefat code edit-menu-item-classes" name="menu-item-classes[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( implode(' ', $item->classes ) ); ?>" />
                    </label>
                </p>
                <p class="field-xfn description description-thin">
                    <label for="edit-menu-item-xfn-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Link Relationship (XFN)' , 'mow'); ?><br>
                        <input type="text" id="edit-menu-item-xfn-<?php echo esc_attr($item_id); ?>" class="widefat code edit-menu-item-xfn" name="menu-item-xfn[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->xfn ); ?>" />
                    </label>
                </p>
                <p class="field-mow_fn_megamenu description description-wide" style="margin:20px 0;">
                     <label for="edit-menu-item-mow_fn_megamenu-<?php echo esc_attr($item_id); ?>"><?php esc_html_e('Menu Type' , 'mow'); ?></label>
                     <select id="edit-menu-item-mow_fn_megamenu-<?php echo esc_attr($item_id); ?>" name="menu-item-mow_fn_megamenu[<?php echo esc_attr($item_id); ?>]"  class="widefat" >
                        <option value="1" <?php if (($mow_fn_item_megamenu == '1')|| ($mow_fn_item_megamenu == NULL)) echo 'selected="selected"'; ?>><?php esc_html_e('Standart', 'mow') ?></option>
                        <option value="2" <?php if ($mow_fn_item_megamenu == '2') echo 'selected="selected"'; ?>><?php esc_html_e('Mega Menu', 'mow') ?></option>
                        <option value="4" <?php if ($mow_fn_item_megamenu == '4') echo 'selected="selected"'; ?>><?php esc_html_e('Category Posts', 'mow') ?></option>
                     </select>
                </p>
                <p class="field-description description description-wide">
                    <label for="edit-menu-item-description-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Description' , 'mow'); ?><br>
                        <textarea id="edit-menu-item-description-<?php echo esc_attr($item_id); ?>" class="widefat edit-menu-item-description" rows="3" cols="20" name="menu-item-description[<?php echo esc_attr($item_id); ?>]"><?php echo esc_html( $item->description ); ?></textarea>
                        <span class="description"><?php esc_html_e('The description will be displayed in the menu if the current theme supports it.' , 'mow'); ?></span>
                    </label>
                </p>  
                <p class="field-move hide-if-no-js description description-wide">
                    <label>
                        <span><?php esc_html_e( 'Move' , 'mow'); ?></span>
                        <a href="#" class="menus-move-up"><?php esc_html_e( 'Up one' , 'mow'); ?></a>
                        <a href="#" class="menus-move-down"><?php esc_html_e( 'Down one' , 'mow'); ?></a>
                        <a href="#" class="menus-move-left"></a>
                        <a href="#" class="menus-move-right"></a>
                        <a href="#" class="menus-move-top"><?php esc_html_e( 'To the top' , 'mow'); ?></a>
                    </label>
                </p>

                <div class="menu-item-actions description-wide submitbox">
                    <?php if( 'custom' != $item->type && $original_title !== false ) : ?>
                        <p class="link-to-original">
                            <?php echo esc_html__('Original: ' , 'mow'); echo '<a href="' . esc_attr( $item->url ) . '">' . esc_html( $original_title ) . '</a>'; ?>
                        </p>
                    <?php endif; ?>
                    <a class="item-delete submitdelete deletion" id="delete-<?php echo esc_attr($item_id); ?>" href="<?php
                    echo wp_nonce_url(
                        add_query_arg(
                            array(
                                'action' => 'delete-menu-item',
                                'menu-item' => $item_id,
                            ),
                            admin_url( 'nav-menus.php' )
                        ),
                        'delete-menu_item_' . $item_id
                    ); ?>"><?php esc_html_e( 'Remove' , 'mow'); ?></a> <span class="meta-sep hide-if-no-js"> | </span> <a class="item-cancel submitcancel hide-if-no-js" id="cancel-<?php echo esc_attr($item_id); ?>" href="<?php echo esc_url( add_query_arg( array( 'edit-menu-item' => $item_id, 'cancel' => time() ), admin_url( 'nav-menus.php' ) ) );
                        ?>#menu-item-settings-<?php echo esc_attr($item_id); ?>"><?php esc_html_e('Cancel' , 'mow'); ?></a>
                </div>

                <input class="menu-item-data-db-id" type="hidden" name="menu-item-db-id[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr($item_id); ?>" />
                <input class="menu-item-data-object-id" type="hidden" name="menu-item-object-id[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->object_id ); ?>" />
                <input class="menu-item-data-object" type="hidden" name="menu-item-object[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->object ); ?>" />
                <input class="menu-item-data-parent-id" type="hidden" name="menu-item-parent-id[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->menu_item_parent ); ?>" />
                <input class="menu-item-data-position" type="hidden" name="menu-item-position[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->menu_order ); ?>" />
                <input class="menu-item-data-type" type="hidden" name="menu-item-type[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->type ); ?>" />
            </div><!-- .menu-item-settings-->
            <ul class="menu-item-transport"></ul>
		</li>
        <?php
        $output .= ob_get_clean();
    }
}





if ( ! function_exists( 'mow_fn_megamenu_walker' ) ) { 
    function mow_fn_megamenu_walker($walker) {
            if ( $walker === 'Walker_Nav_Menu_Edit' ) {
                        $walker = 'mow_fn_walker_backend';
                  }
           return wp_kses_post($walker);
        }
}
add_filter( 'wp_edit_nav_menu_walker', 'mow_fn_megamenu_walker');  





if ( ! function_exists( 'mow_fn_megamenu_walker_save' ) ) { 
    function mow_fn_megamenu_walker_save($menu_id, $menu_item_db_id) {

        if  (isset($_POST['menu-item-mow_fn_megamenu'][$menu_item_db_id])) {
            update_post_meta( $menu_item_db_id, '_menu_item_mow_fn_megamenu', $_POST['menu-item-mow_fn_megamenu'][$menu_item_db_id]);
        } else {
            update_post_meta( $menu_item_db_id, '_menu_item_mow_fn_megamenu', '1');
        }
    }
}
add_action( 'wp_update_nav_menu_item', 'mow_fn_megamenu_walker_save', 10, 2 );





if ( ! function_exists( 'mow_fn_megamenu_walker_loader' ) ) { 
    function mow_fn_megamenu_walker_loader($menu_item) {
		$menu_item->mow_fn_megamenu = get_post_meta($menu_item->ID, '_menu_item_mow_fn_megamenu', true);
		return $menu_item;
    }
}
add_filter( 'wp_setup_nav_menu_item', 'mow_fn_megamenu_walker_loader' );


function add_description_to_menu($item_output, $item, $depth, $args) {
	
    if (strlen($item->description) > 0 ) {
        $item_output .= sprintf('<span class="fn_menu_description" style="display: none;">%s</span>', esc_html($item->description));
    }

    return $item_output;
}
add_filter('walker_nav_menu_start_el', 'add_description_to_menu', 10, 4);

?>