<?php 

	$mow_fn_option = mow_fn_theme_option();
	$default_logo = mow_fn_getLogo();

	// Core Web Vitals 
	$image_width1 = $image_height1 = 'auto';
	if ($default_logo[0][0]) {
		$image_path1 = str_replace(site_url(), ABSPATH, $default_logo[0][0]); // Convert URL to absolute path
		if (file_exists($image_path1)) {
			list($image_width1, $image_height1) = getimagesize($image_path1);
		}
	}
	$image_width2 = $image_height2 = 'auto';
	if ($default_logo[1][0]) {
		$image_path2 = str_replace(site_url(), ABSPATH, $default_logo[1][0]); // Convert URL to absolute path
		if (file_exists($image_path2)) {
			list($image_width2, $image_height2) = getimagesize($image_path2);
		}
	}

	$logo = '<a href="'.esc_url(home_url('/')).'">';
		$logo .= '<img loading="lazy" decoding="async" width="'.$image_width1.'" height="'.$image_height1.'" class="dark_logo" src="'.esc_url($default_logo[0][0]).'" alt="'.esc_attr__('logo', 'mow').'">';
		$logo .= '<img loading="lazy" decoding="async" width="'.$image_width2.'" height="'.$image_height2.'" class="light_logo" src="'.esc_url($default_logo[1][0]).'" alt="'.esc_attr__('logo', 'mow').'">';
	$logo .= '</a>';


	if(has_nav_menu('main_menu')){
		$menu = wp_nav_menu( array(
			'theme_location'	=> 'main_menu',
			'menu_class'		=> 'mow_fn_main_nav',
			'echo'				=> false,
			'link_before'		=> '<span>',
			'link_after'		=> mow_fn_svg('svg__arrow_4').'</span>',
			'walker'			=> new mow_fn_walker
		) );
	}


	$single_sticky_title = 'enable';
	if(isset($mow_fn_option['single_sticky_title'])){
		$single_sticky_title = $mow_fn_option['single_sticky_title'];
	}
	
	$ajax_reading = false;
	if($single_sticky_title == 'enable' && is_singular('post')){
		$ajax_reading = true;
	}

	$nav_eb_switcher = 'disable';
	if(isset($mow_fn_option['nav_eb_switcher'])){
		$nav_eb_switcher = $mow_fn_option['nav_eb_switcher'];
		if($nav_eb_switcher == 'enable' || 1){
			$nav_eb_title = '';
			if(isset($mow_fn_option['nav_eb_title']) && $mow_fn_option['nav_eb_title'] != ''){
				$nav_eb_title = $mow_fn_option['nav_eb_title'];
			}
			$nav_eb_link = '';
			if(isset($mow_fn_option['nav_eb_link']) && $mow_fn_option['nav_eb_link'] != ''){
				$nav_eb_link = $mow_fn_option['nav_eb_link'];
			}
			$nav_eb_img = '';
			if(isset($mow_fn_option['nav_eb_img']) && $mow_fn_option['nav_eb_img']['url'] != ''){
				$nav_eb_img = $mow_fn_option['nav_eb_img']['url'];
			}
			if($nav_eb_img != ''){
				$nav_eb_img = '<img loading="lazy" src="'.$nav_eb_img.'" width="'.$mow_fn_option['nav_eb_img']['width'].'" height="'.$mow_fn_option['nav_eb_img']['height'].'" alt="">';
			}
			if($nav_eb_title == '' || $nav_eb_link == ''){
				$nav_eb_switcher = 'disable';
			}
		}
	}
	$switch_theme_mode = 'enable';
	$theme_mode = '';
	if(isset($mow_fn_option['switch_theme_mode'])){
		$switch_theme_mode = $mow_fn_option['switch_theme_mode'];
	}
	if($switch_theme_mode == 'enable'){
		$theme_mode = '<div class="ht_left_item fn__skin">
							<a href="#" class="light"><span class="text">'.esc_html__('Light', 'mow').'</span>'.mow_fn_svg('svg__sun').'</a>
							<a href="#" class="dark"><span class="text">'.esc_html__('Dark', 'mow').'</span>'.mow_fn_svg('svg__moon').'</a>
						</div>';
	}
	$header_layout = 'o_line';
	if(isset($mow_fn_option['header_layout'])){
		$header_layout = $mow_fn_option['header_layout'];
	}
	$mlogo_layout = 'full_border';
	if(isset($mow_fn_option['mlogo_layout'])){
		$mlogo_layout = $mow_fn_option['mlogo_layout'];
	}
	if(isset($_GET['header_layout'])){
		$get_header_layout = esc_attr($_GET['header_layout']);
		if($get_header_layout == '1'){
			$header_layout = 'o_line';
		}else{
			$header_layout = 'm_logo';
			if($get_header_layout == '2'){
				$mlogo_layout = 'full_border';
			}else if($get_header_layout == '3'){
				$mlogo_layout = 'contained_border';
			}else if($get_header_layout == '4'){
				$mlogo_layout = 'overlay_bg';
			}
		}
	}

	$extra_link = '';
	if($nav_eb_switcher == 'enable'){
		$extra_link .= '<div class="ht_right_item ht_right_item_extra"><div class="extra_link">';
		if($nav_eb_link != ''){
			$extra_link .= '<a href="'.esc_url($nav_eb_link).'" class="full_link" target="_blank"></a>';
		}
		if($nav_eb_title != ''){
			$extra_link .= '<span class="tel">'.$nav_eb_title.$nav_eb_img.'</span>';
		}
		$extra_link .= '</div></div>';
	}
	
	$sticky_header_switcher = 'enable';
	if(isset($mow_fn_option['sticky_header_switcher'])){
		$sticky_header_switcher = $mow_fn_option['sticky_header_switcher'];
	}

	$header_width = 'full';
	if(isset($mow_fn_option['header_width'])){
		$header_width = $mow_fn_option['header_width'];
	}
?>



<div class="mow_fn_site_overlay"></div>

<!-- Header -->
<header id="mow_fn_header" data-header-width="<?php echo esc_attr($header_width); ?>">
	
	<?php if($header_layout == 'm_logo'){ ?>
	<div class="mow_fn_mlogo_header" data-layout="<?php echo esc_attr($mlogo_layout); ?>">
		<div class="header_logo_wrap">
			<div class="header_logo">
				<div class="left_item">
					<?php echo wp_kses($theme_mode, 'post'); ?>
				</div>
				<div class="middle_item">
					<div class="fn__logo">
						<?php echo wp_kses($logo, 'post'); ?>
					</div>
				</div>
				<div class="right_item">
					<?php echo wp_kses($extra_link, 'post'); ?>
				</div>
			</div>
		</div>
		<div class="header_nav_wrap">
			<div class="header_nav">
				<?php echo wp_kses($menu,'post'); ?>
			</div>
		</div>
	</div>
	<?php }else{ ?>
	<div class="mow_fn_header">
		<div class="header_in">
			<div class="ht_left">
				<div class="ht_left_item fn__logo">
					<?php echo wp_kses($logo, 'post'); ?>
				</div>
				<?php echo wp_kses($theme_mode, 'post'); ?>
			</div>
			<div class="ht_right">
				<div class="ht_right_item ht_right_item_nav">
					<?php if(has_nav_menu('main_menu')){ ?>
					<div class="mow_fn_nav nav__ready">
						<div class="menu">
							<?php echo wp_kses($menu,'post'); ?>
							<div class="more">
								<a href="#">
									<span><?php esc_html_e('More...','mow');?></span>
								</a>
								<ul class="sub-menu"><!-- Comes from JS --></ul>
							</div>
						</div>
					</div>
					<?php } ?>
				</div>

				<?php echo wp_kses($extra_link, 'post'); ?>
				
			</div>
		</div>
	</div>
	<?php } ?>
</header>
<!-- !Header -->




<?php if($sticky_header_switcher != 'disable' && has_nav_menu('main_menu')){ ?>
<div class="mow_fn_stickynav ajax_<?php echo esc_attr($single_sticky_title);?>" data-type="<?php echo esc_attr($sticky_header_switcher); ?>">
	<?php if(is_singular('post')){ ?>
	<div class="progress_wrap">
		<div class="progress"></div>
	</div>
	<?php } ?>
	<div class="stickynav_in">
		<div class="transform_hedaer">
			<div class="sticky_header">
				<div class="mow_fn_nav sticky_nav">
					<?php echo wp_kses($menu,'post'); ?>
				</div>
			</div>
			<?php if($ajax_reading){ ?>
			<div class="header_post_reading">
				<div class="reading_post">
					<h3>
						<span class="subtitle"><?php esc_html_e('Now Reading:','mow'); ?></span>
						<span class="title"><?php the_title();?></span>
					</h3>
				</div>
			</div>
			<?php } ?>
		</div>
  		<?php if($ajax_reading){ ?>
			<div class="fn__quick_nav">
				<div class="icon_holder fn__link">
					<span class="icon"></span>
					<span class="icon"></span>
					<div class="icon_count">1</div>
				</div>
				<div class="list">
					<ul>
						<li class="ready">
							<div class="item" data-id="<?php echo esc_attr(get_the_ID());?>" role="button">
								<span class="count"><span>01</span></span>
								<h4><span><?php the_title();?></span></h4>
							</div>
						</li>
					</ul>
				</div>
			</div>
		<?php } ?>
	</div>
</div>
<?php } ?>