<?php 
$mow_fn_option 	= mow_fn_theme_option();

// magic cursor options
$magic_cursor 		= array('default','link','slider');
if(isset($mow_fn_option['magic_cursor'])){
	$magic_cursor 	= $mow_fn_option['magic_cursor'];
}
$mcursor__count		= 0;
$mcursor__default 	= 'no';
$mcursor__link 		= 'no';
$mcursor__slider 	= 'no';
if(!empty($magic_cursor)){
	$mcursor__count = count($magic_cursor);
	foreach($magic_cursor as $key => $value) {
		if($value == 'default'){$mcursor__default 	= 'yes';}
		if($value == 'link'){$mcursor__link 		= 'yes';}
		if($value == 'slider'){$mcursor__slider 	= 'yes';}
	}
}
if(isset($_GET['remove_mcursor'])){$mcursor__count = 0;}



// Search
$search_switcher = true;
if(isset($mow_fn_option['search_switcher'])){
	$search_switcher = $mow_fn_option['search_switcher'];
}
$search_rc_switcher = true;
if(isset($mow_fn_option['search_rc_switcher'])){
	$search_rc_switcher = $mow_fn_option['search_rc_switcher'];
}
$search_rc_label = '';
$search_rc_list = '';
if($search_rc_switcher){
	if(isset($mow_fn_option['search_rc_label']) && $mow_fn_option['search_rc_label'] != ''){
		$search_rc_label = $mow_fn_option['search_rc_label'];
	}
	if($search_rc_label != ''){
		$search_rc_label = '<div class="label">'.$search_rc_label.'</div>';
	}
	$search_rc_type = 'popular';
	if(isset($mow_fn_option['search_rc_type'])){
		$search_rc_type = $mow_fn_option['search_rc_type'];
	}

	if ( $search_rc_type == 'popular' ) {
		$categories = get_categories( array(
			'orderby'	=> 'count',
			'order'		=> 'DESC',
			'hide_empty'=> true,
			'number'	=> 4
		) );
	}else if ( $search_rc_type == 'by_name' ) {
		$categories = get_categories( array(
			'orderby'	=> 'name',
			'order'		=> 'ASC',
			'hide_empty'=> true,
			'number'	=> 4
		) );
	}else if ( $search_rc_type == 'random' ) {
		$categories = get_categories(array( 'hide_empty'=> true ));
		shuffle( $categories );
		$categories = array_slice( $categories, 0, 4);
	}else if ( $search_rc_type == 'custom' ) {
		if(isset($mow_fn_option['search_rc_ids']) && $mow_fn_option['search_rc_ids'] != ''){
			$search_rc_ids = $mow_fn_option['search_rc_ids'];
			$search_rc_ids = preg_replace('/[^0-9,]+/', '', $search_rc_ids);
			$arr = explode (",", $search_rc_ids);
			$custom = array_filter($arr, 'strlen');
		}
		if(isset($custom) && !empty($custom)){
			$categories = get_categories( array(
				'include' => $custom,
				'hide_empty'=> true,
				'orderby' => 'include',
			) );
		}
	}

	if(isset($categories) && !empty($categories)){
		foreach ( $categories as $category ) {
			$search_rc_list .= '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '">' . esc_html( $category->name ) . '</a>';
		}
	}
}
// Logo also for Search
$default_logo = mow_fn_getLogo();

// Core Web Vitals 
$image_width1 = $image_height1 = 'auto';
if ($default_logo[0][0]) {
	$image_path1 = str_replace(site_url(), ABSPATH, $default_logo[0][0]); // Convert URL to absolute path
	if (file_exists($image_path1)) {
		list($image_width1, $image_height1) = getimagesize($image_path1);
	}
}
$image_width2 = $image_height2 = 'auto';
if ($default_logo[1][0]) {
	$image_path2 = str_replace(site_url(), ABSPATH, $default_logo[1][0]); // Convert URL to absolute path
	if (file_exists($image_path2)) {
		list($image_width2, $image_height2) = getimagesize($image_path2);
	}
}

$logo = '<a href="'.esc_url(home_url('/')).'">';
	$logo .= '<img loading="lazy" decoding="async" width="'.$image_width1.'" height="'.$image_height1.'" class="dark_logo" src="'.esc_url($default_logo[0][0]).'" alt="'.esc_attr__('logo', 'mow').'">';
	$logo .= '<img loading="lazy" decoding="async" width="'.$image_width2.'" height="'.$image_height2.'" class="light_logo" src="'.esc_url($default_logo[1][0]).'" alt="'.esc_attr__('logo', 'mow').'">';
$logo .= '</a>';


// Hot Bar
if(isset($mow_fn_option['hot_btn_switcher'])){ $hot_bar = $mow_fn_option['hot_btn_switcher']; }else{$hot_bar = 'enable';}
if($hot_bar == 'enable'){
	$hot_ID = mow_fn_get_page_ID();
	if($hot_ID == ''){ $hot_bar = 'disable'; }
}

// WooCommerce Bar
$woo_bar = mow_fn_switcher_woo();

// Totop Button
$totop_switcher = true;
$totop_mobile = false;
$totop_text = esc_html__('Scroll to Top', 'mow');
if(isset($mow_fn_option['totop_text'])){
	$totop_text = $mow_fn_option['totop_text'];
}
if(isset($mow_fn_option['totop_switcher'])){
	$totop_switcher = $mow_fn_option['totop_switcher'];
}
if(isset($mow_fn_option['totop_mobile'])){
	$totop_mobile = $mow_fn_option['totop_mobile'];
}

// Add Post
$new_post = 'disable';
if(isset($mow_fn_option['new_post_fe_switcher'])){
	$new_post = $mow_fn_option['new_post_fe_switcher'];
}
$logged_in = $adding__post = $adding__link = 'disable';
if($new_post == 'enable'){
	if(isset($mow_fn_option['new_post_fe__link'])){
		$adding__link = $mow_fn_option['new_post_fe__link'];
	}
	if(isset($mow_fn_option['new_post_fe__post'])){
		$adding__post = $mow_fn_option['new_post_fe__post'];
	}
	if ($adding__link == 'enable' && $adding__post == 'enable') {
		$adding_post_text = esc_html__('Add a link / post', 'mow');
	} elseif ($adding__link == 'enable') {
		$adding_post_text = esc_html__('Add a link', 'mow');
	} elseif ($adding__post == 'enable') {
		$adding_post_text = esc_html__('Add a post', 'mow');
	}else{
		$new_post = 'disable';
	}
	if(is_user_logged_in()){
		$logged_in = 'enable';
	}
}
?>


<!-- Magic Cursor -->
<?php if($mcursor__count > 0){ ?>
<div class="frenify-cursor cursor-outer" data-default="<?php echo esc_attr($mcursor__default);?>" data-link="<?php echo esc_attr($mcursor__link);?>" data-slider="<?php echo esc_attr($mcursor__slider);?>"><span class="fn-cursor"></span></div>
<div class="frenify-cursor cursor-inner" data-default="<?php echo esc_attr($mcursor__default);?>" data-link="<?php echo esc_attr($mcursor__link);?>" data-slider="<?php echo esc_attr($mcursor__slider);?>"><span class="fn-cursor"><span class="fn-left"></span><span class="fn-right"></span></span></div>
<?php } ?>
<!-- Magic Cursor -->

<!-- Right Fixed Social List -->
<?php mow_fn_fixed_social(true); ?>
<!-- /Right Fixed Social List -->



<!-- Right Bar (Trigger/Search/Hot/Woo) -->
<div class="mow_fn_fixed_right_bar">
	<div class="help_bar">
		<?php mow_fn_get_register(); ?>
		<?php if(has_nav_menu('offcanvas_menu')){ ?>
		<a href="#" class="trigger"><span class="icon"></span><span class="t_text"><?php esc_html_e('Sidebar', 'mow'); ?></span></a>
		<?php } ?>
		<?php if($search_switcher){ ?>
			<a href="#" class="search"><?php mow_fn_svg('search', '', true); ?><span class="t_text"><?php esc_html_e('Search', 'mow'); ?></span></a>
		<?php } ?>
		<?php if($hot_bar == 'enable'){ ?>
			<a href="<?php echo esc_url(get_permalink($hot_ID)); ?>" class="trending"><?php mow_fn_svg('svg__trending', '', true); ?><span class="t_text"><?php esc_html_e('Trending', 'mow'); ?></span></a>
		<?php } ?>
		<?php if($new_post == 'enable'){ ?>
			<a href="#" class="fn__addpost_btn" data-link="<?php echo esc_attr($adding__link); ?>" data-post="<?php echo esc_attr($adding__post); ?>" data-user="<?php echo esc_attr($logged_in); ?>">
				<span class="icon"></span>
				<span class="t_text"><?php echo esc_html($adding_post_text); ?></span>
			</a>
		<?php } ?>
		<?php if($woo_bar == 'enable'){ ?>
			<a href="#" class="icon_bar__woo">
				<span class="icon"><?php mow_fn_svg('cart','',true); ?></span>
				<span class="count"><?php echo WC()->cart->get_cart_contents_count(); ?></span>
				<span class="t_text"><?php esc_html_e('Cart', 'mow'); ?></span>
			</a>
		<?php } ?>
	</div>
</div>

<?php
$fixed_posts_switcher = false;
if(isset($mow_fn_option['fixed_posts_switcher'])){
	$fixed_posts_switcher = $mow_fn_option['fixed_posts_switcher'];
}
if($fixed_posts_switcher){
	$fp_title_switcher = true;
	if(isset($mow_fn_option['fixed_posts_title_switcher'])){
		$fp_title_switcher = $mow_fn_option['fixed_posts_title_switcher'];
	}
	$fp_title = esc_html__('Popular Now', 'mow');
	if(isset($mow_fn_option['fixed_posts_title']) && $mow_fn_option['fixed_posts_title'] != ''){
		$fp_title = $mow_fn_option['fixed_posts_title'];
	}

	$fixed_posts_content = 'post';
	if(isset($mow_fn_option['fixed_posts_content'])){
		$fixed_posts_content = $mow_fn_option['fixed_posts_content'];
	}
	if($fixed_posts_content == 'category'){
		$fc_type = 'most_viewed';
		if(isset($mow_fn_option['fixed_category_type'])){
			$fc_type = $mow_fn_option['fixed_category_type'];
		}

		$fc_count = 7;
		global $wpdb;
		
		if($fc_type == 'random'){

			$fc_categories = $wpdb->get_results("
				SELECT t.term_id, t.name 
				FROM {$wpdb->terms} t
				INNER JOIN {$wpdb->term_taxonomy} tt ON t.term_id = tt.term_id
				WHERE tt.taxonomy = 'category' AND tt.count > 0
				ORDER BY RAND()
				LIMIT {$fc_count}
			");
		}else if($fc_type == 'custom'){
			if(isset($mow_fn_option['fixed_category_ids']) && $mow_fn_option['fixed_category_ids'] != ''){
				$fc_ids = preg_replace('/[^0-9,]+/', '', $mow_fn_option['fixed_category_ids']);
				$fc_ids = array_filter(explode(",", $fc_ids), 'strlen');
				$fc_ids = array_map('intval', $fc_ids);

				if (!empty($fc_ids)) {
					$placeholders = implode(',', array_fill(0, count($fc_ids), '%d'));
					$query = $wpdb->prepare("
						SELECT t.term_id, t.name 
						FROM {$wpdb->terms} t
						INNER JOIN {$wpdb->term_taxonomy} tt ON t.term_id = tt.term_id
						WHERE tt.taxonomy = 'category' AND tt.count > 0 AND t.term_id IN ($placeholders)
					", $fc_ids);

					$fc_categories = $wpdb->get_results($query);
					usort($fc_categories, function($a, $b) use ($fc_ids) {
						return array_search($a->term_id, $fc_ids) - array_search($b->term_id, $fc_ids);
					});
				}
			}
		}else{
			$fc_categories = $wpdb->get_results("
				SELECT t.term_id, t.name, tt.count
				FROM {$wpdb->terms} t
				INNER JOIN {$wpdb->term_taxonomy} tt ON t.term_id = tt.term_id
				WHERE tt.taxonomy = 'category' AND tt.count > 0
				ORDER BY tt.count DESC
				LIMIT {$fc_count}
			");
		}
		if(isset($fc_categories) && !empty($categories)){
			$cat_total = 0;
			$cat_list = '';
			foreach($fc_categories as $key => $cat){
				$cat_id 	= (int)$cat->term_id;
				$cat_name 	= $cat->name;
				$cat_url	= get_term_link($cat_id, 'category');
				$cat_img	= get_term_meta($cat_id, 'category-image-id', true);
				if ( $cat_img ) {
					$category_image_url = wp_get_attachment_url( $cat_img );
					$imageData = wp_get_attachment_image_src(attachment_url_to_postid($category_image_url), 'thumbnail');
					if($imageData){
						$cat_img = $imageData[0];
					}
				}
				if($cat_img){
					$cat_img = '<div class="img_holder"><img loading="lazy" src="'.$cat_img.'" alt=""></div>';
				}else{
					$cat_img = '<div class="img_space"></div>';
				}
				$cat_img .= '<div class="item_rank">0'.($key+1).'</div>';
				$cat_list .= '<li><a href="'.esc_url($cat_url).'" data-id="'.esc_attr($cat_id).'">'.$cat_img.'<span class="t_title"><span>'.$cat_name.'</span></span></a></li>';
				$cat_total++;
			} ?>
			<div class="mow_fn_fixed_posts" data-max="7" data-total="<?php echo esc_attr($cat_total); ?>">
				<?php if($fp_title_switcher){ ?>
				<div class="label">
					<span class="text"><?php echo esc_html($fp_title); ?></span>
					<span class="icon"><?php mow_fn_svg('svg__arrow_2', '', true); ?></span>
				</div>
				<?php } ?>
				<div class="posts">
					<ul><?php echo $cat_list; ?></ul>
					<div class="more_less">
						<a href="#" data-more="<?php esc_attr_e('Show More', 'mow'); ?>" data-less="<?php esc_attr_e('Show Less', 'mow'); ?>">
							<span class="t_title"><span><?php esc_html_e('Show More', 'mow'); ?></span></span>
						</a>
					</div>
				</div>
			</div><?php
		}
	}else{
		$fp_type = 'most_viewed';
		if(isset($mow_fn_option['fixed_posts_type'])){
			$fp_type = $mow_fn_option['fixed_posts_type'];
		}

		$fp_count = 7;

		if($fp_type == 'random'){
			$query_args = array(	
				'post_type' 			=> 'post',
				'post_status' 			=> 'publish',
				'ignore_sticky_posts' 	=> true,
				'posts_per_page' 		=> $fp_count,
				'orderby' 				=> 'rand',
			);
		}else if($fp_type == 'custom'){
			if(isset($mow_fn_option['fixed_posts_ids']) && $mow_fn_option['fixed_posts_ids'] != ''){
				$fp_ids = preg_replace('/[^0-9,]+/', '', $mow_fn_option['fixed_posts_ids']);
				$query_args = array(
					'post_type'             => 'post',
					'post_status'           => 'publish',
					'post__in'              => array_filter(explode (",", $fp_ids), 'strlen'),
					'orderby'               => 'post__in',
					'ignore_sticky_posts'   => true,
					'posts_per_page'        => $fp_count,
				);
			}
		}else if($fp_type == 'most_viewed'){
			$query_args = array(
				'post_type'             => 'post',
				'order'                 => 'DESC',
				'orderby'               => 'meta_value_num',
				'meta_key'              => 'frenify_post_views_count',
				'post_status'           => 'publish',
				'posts_per_page' 		=> $fp_count,
				'ignore_sticky_posts'   => true,
				'date_query'            => array(
					array(
						'after' => '365 days ago', // Only include posts from the last 365 days
					),
				),
				'meta_query'            => array(
					array(
						'key'       => 'frenify_post_views_count',
						'value'     => 0,
						'compare'   => '>',
						'type'      => 'NUMERIC'
					)
				)
			);
		}else if($fp_type == 'most_commented'){
			$query_args = array(
				'post_type'             => 'post',
				'post_status'           => 'publish',
				'ignore_sticky_posts'   => true,
				'posts_per_page'        => $fp_count,
				'orderby'               => 'comment_count',
				'order'                 => 'DESC',
			);
		}

		$cache_key = 'frenify_popular_posts_last_x_days_' . $fp_count;
		$loop = get_transient($cache_key);

		if (false === $loop) {
			$loop = new \WP_Query( $query_args );
			set_transient($cache_key, $loop, 0.1 * HOUR_IN_SECONDS); // Cache for 24 hours
		}

		

		if($loop->have_posts()){
?>
<div class="mow_fn_fixed_posts" data-max="7" data-total="<?php echo esc_attr($loop->post_count); ?>">
	<?php if($fp_title_switcher){ ?>
	<div class="label">
		<span class="text"><?php echo esc_html($fp_title); ?></span>
		<span class="icon"><?php mow_fn_svg('svg__arrow_2', '', true); ?></span>
	</div>
	<?php } ?>
	<div class="posts">
		<ul>
			<?php 
				$key = 0;
				while ($loop->have_posts()) : $loop->the_post(); $key++;
					$fp_item_image = get_the_post_thumbnail_url(get_the_ID(),'thumbnail');
					if($fp_item_image){
						$fp_item_image = '<div class="img_holder"><img loading="lazy" src="'.$fp_item_image.'" alt=""></div>';
					}else{
						$fp_item_image = '<div class="img_space"></div>';
					}
					$fp_item_image .= '<div class="item_rank">0'.$key.'</div>';
			?>
			<li>
				<a href="<?php the_permalink()?>" data-id="<?php the_ID(); ?>">
					<?php echo wp_kses($fp_item_image,'post'); ?>
					<span class="t_title"><span><?php the_title(); ?></span></span>
				</a>
			</li>
			<?php endwhile; wp_reset_postdata(); ?>
		</ul>
		<div class="more_less">
			<a href="#" data-more="<?php esc_attr_e('Show More', 'mow'); ?>" data-less="<?php esc_attr_e('Show Less', 'mow'); ?>">
				<span class="t_title"><span><?php esc_html_e('Show More', 'mow'); ?></span></span>
			</a>
		</div>
	</div>
</div>
<?php }}} ?>


<?php if($totop_switcher || $totop_mobile){ ?>
<div class="mow_fn_fixed_totop fn__link" data-dekstop="<?php echo esc_attr($totop_switcher); ?>" data-mobile="<?php echo esc_attr($totop_mobile); ?>">
	<span class="progress"><span></span></span>
	<span class="text"><?php echo esc_html($totop_text); ?></span>
</div>
<?php } ?>


<?php if($search_switcher){ ?>
<!-- Searchbox -->
<div class="mow_fn_searchbox" style="display: none;">
	<div class="search_wrap">
		<div class="container">
			<div class="search_content">
				<div class="search_header">
					<div class="fn__logo">
						<?php echo wp_kses($logo, 'post'); ?>
					</div>
					<a href="#" class="fn__popup_closer"><span></span></a>
				</div>
				<form class="main_form" action="<?php echo esc_url(home_url('/')); ?>" method="get" >
					<div class="input">
						<input type="text" placeholder="<?php esc_attr_e('Search Here...', 'mow');?>" name="s" autocomplete="off">
					</div>
					<div class="search">
						<input type="submit" class="pe-7s-search" value="<?php esc_attr_e('Search', 'mow');?>">
					</div>
				</form>
				<?php if($search_rc_switcher){ ?>
				<div class="popular_cats">
					<?php echo wp_kses($search_rc_label,'post'); ?>
					<div class="cats">
						<?php echo wp_kses($search_rc_list,'post'); ?>
					</div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>
<!-- !Searchbox -->
<?php } ?>

<?php if(has_nav_menu('offcanvas_menu')){ ?>
<div class="mow_fn_offcanvas_menu <?php if (is_active_sidebar('frenify_offcanvas_sidebar')) {?>right_enabled<?php }?>" style="display: none;">
	<a href="#" class="fn__popup_closer" aria-label="/"><span></span></a>
	<div class="offcv_wrapper">
		<div class="container">
			<div class="offcv_menu">
				<div class="offcv_menu_left">
					<?php wp_nav_menu(array( 'theme_location' => 'offcanvas_menu', 'menu_class' => 'mow_fn_offcanvas_nav', 'echo' => true, 'link_before' => '', 'link_after' => mow_fn_svg('svg__arrow_4'))); ?>
				</div>
				<?php if (is_active_sidebar('frenify_offcanvas_sidebar')) { ?>
					<div class="offcv_menu_right">
						<div class="offcv_menu_right_in">
							<?php dynamic_sidebar('frenify_offcanvas_sidebar'); ?>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>
<?php } ?>

<!-- Register Form -->
<?php mow_fn_get_register_form(); ?>
<!-- /Register Form -->

<!-- WooCommerce Bar -->
<?php get_template_part( 'inc/templates/woo-bar' ); ?>
<!-- !WooCommerce Bar -->


<?php if($adding__post == 'enable' || $adding__link == 'enable'){ mow_fn_new_post_popup($adding__link,$adding__post); }?>

<div class="frenify__copy_dialog"></div>