<?php 
	$mow_fn_option = mow_fn_theme_option();

	$logo_url = mow_fn_getLogo('mobile');

	$logo  = '<div class="fn__logo"><a href="'.esc_url(home_url('/')).'"><img loading="lazy" src="'.esc_url($logo_url[0]).'" width="'.esc_attr($logo_url[1]).'" height="'.esc_attr($logo_url[2]).'" alt="'.esc_html__('logo', 'mow').'"></a></div>';
	
	$search_switcher = true;
	if(isset($mow_fn_option['search_switcher'])){
		$search_switcher = $mow_fn_option['search_switcher'];
	}
	$suffix_mobile_nav = true;
	if(isset($mow_fn_option['suffix_mobile_nav'])){
		$suffix_mobile_nav = $mow_fn_option['suffix_mobile_nav'];
	}
	if($suffix_mobile_nav){
		$suffix = '<span class="suffix">//</span>';
	}else{
		$suffix = '';
	}
	if(has_nav_menu('mobile_menu')){
		$menu = wp_nav_menu( array(
			'theme_location'	=> 'mobile_menu',
			'menu_class'		=> 'mobile_menu',
			'echo'				=> false,
			'link_before'		=> '',
			'link_after'		=> $suffix.mow_fn_svg('svg__arrow_4'),
			'walker'			=> new mow_fn_walker_mobile
		) );
	}
	
	$switch_theme_mode = 'enable';
	if(isset($mow_fn_option['switch_theme_mode'])){
		$switch_theme_mode = $mow_fn_option['switch_theme_mode'];
	}

?>

<!-- Mobile Navigation -->
<div class="mow_fn_mobnav">
	<div class="mob_top">
		<div class="logo">
			<?php echo wp_kses($logo, 'post'); ?>
		</div>
		<div class="right__trigger">
			<a class="bar_opener" href="#" aria-label="/"><?php mow_fn_svg('baropener', '', true); ?></a>
			<?php if(has_nav_menu('mobile_menu')){ ?>
			<a class="mobmenu_opener" href="#" aria-label="/"><span></span></a>
			<?php } ?>
		</div>
	</div>
	
	<div class="mob_bot">
		<?php if($switch_theme_mode == 'enable'){ ?>
		<div class="mob_site_skin">
			<div class="fn__skin">
				<a href="#" class="light"><span class="text"><?php esc_html_e('Light', 'mow'); ?></span><?php mow_fn_svg('svg__sun','', true); ?></a>
				<a href="#" class="dark"><span class="text"><?php esc_html_e('Dark', 'mow'); ?></span><?php mow_fn_svg('svg__moon','', true); ?></a>
			</div>
		</div>
		<?php } ?>
		<?php 
			if(has_nav_menu('mobile_menu')){
				echo wp_kses($menu, 'post');
			}
		?>
	</div>
</div>
<!-- !Mobile Navigation -->