<?php
/*
	Template Name: Home Page
*/
get_header();

global $post;
$mow_fn_option = mow_fn_theme_option();
$pageID = get_the_ID();

// Blog List Layout
$layout = 'list';
if (function_exists('rwmb_meta')) {
    $meta_layout = get_post_meta($pageID, 'mow_fn_blogpage_layout', true);
    if ($meta_layout) {
        $layout = ($meta_layout === 'default' && isset($mow_fn_option['blog_layout'])) 
            ? $mow_fn_option['blog_layout'] 
            : $meta_layout;
    } elseif (isset($mow_fn_option['blog_layout'])) {
        $layout = $mow_fn_option['blog_layout'];
    }
}
// Secondary Sidebar
if(function_exists('rwmb_meta') && isset(get_post_meta($pageID)['mow_fn_blogpage_secondary_sidebar'])){
	$secondary_sidebar = get_post_meta($pageID, 'mow_fn_blogpage_secondary_sidebar', true);
}else{
	$secondary_sidebar = 'disable';
}
if($secondary_sidebar != 'disable' && !is_active_sidebar( 'secondary-sidebar')){$secondary_sidebar = 'disable';}

// Main Sidebar
if(function_exists('rwmb_meta') && isset(get_post_meta($pageID)['mow_fn_blogpage_main_sidebar'])){
	$main_sidebar = get_post_meta($pageID, 'mow_fn_blogpage_main_sidebar', true);
}else{
	$main_sidebar = 'wsr';
}
if($main_sidebar != 'full' && !mow_fn_if_has_sidebar()){ $main_sidebar = 'full';}


// Content Container
if(function_exists('rwmb_meta') && isset(get_post_meta($pageID)['mow_fn_page_style'])){
	$page_style = get_post_meta($pageID, 'mow_fn_page_style', true);
}else{
	$page_style = 'full';
}
if($page_style == 'full'){
	$container = 'no_container';
}else{
	$container = 'container';
}


// Check if page is password protected	
if(post_password_required($post)){
	mow_fn_protectedpage();
}else{ ?>

<div class="mow_fn_index" data-secondary-sidebar="<?php echo esc_attr($secondary_sidebar); ?>" data-main-sidebar="<?php echo esc_attr($main_sidebar) ?>" data-page="home">


	<div class="mow_fn_blog_content">
		<div class="<?php echo esc_attr($container); ?>">
			<div class="mow_fn_blog_in">
				<?php the_content(); ?>
			</div>
		</div>
	</div>
	
	
	
	<?php 
	if($main_sidebar == 'full' && $secondary_sidebar == 'disable'){ 
		mow_fn_get_page_title('home');
		get_template_part('inc/templates/blog','',array('layout' => $layout));
	}else if($main_sidebar == 'full' && $secondary_sidebar != 'disable'){ ?>
	<div class="mow_fn_ws">
		<div class="container">
			<div class="wspage_cols">
				<div class="wspage_col wspage_secondary">
					<div class="wspage_in">
						<?php dynamic_sidebar('secondary-sidebar'); ?>
					</div>
				</div>
				<div class="wspage_col wspage_list">
					<div class="wspage_in">
						<?php mow_fn_get_page_title('home'); ?>
						<?php get_template_part('inc/templates/blog','',array('layout' => $layout)); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php }else{ ?>
	<div class="mow_fn_ws">
		<div class="container">
			<div class="wspage_cols">
				<?php if($secondary_sidebar != 'disable'){ ?>
				<div class="wspage_col wspage_secondary">
					<div class="wspage_in">
						<?php dynamic_sidebar('secondary-sidebar'); ?>
					</div>
				</div>
				<?php } ?>
				<div class="wspage_col wspage_list">
					<div class="wspage_in">
						<?php mow_fn_get_page_title('home'); ?>
						<?php get_template_part('inc/templates/blog','',array('layout' => $layout)); ?>
					</div>
				</div>
				<div class="wspage_col wspage_bar">
					<div class="wspage_in">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>

</div>

<?php } ?>

<?php get_footer(); ?>  