<?php
/*
	Template Name: Redirect Page
*/
get_header();

global $post;

$mow_fn_option = mow_fn_theme_option();

$link = '';
if(isset($_GET['url'])){
	$link = esc_url($_GET['url']);
}
$title = '';
if(isset($_GET['title'])){
	$title = esc_html($_GET['title']);
}
$sec = 10;
if(isset($mow_fn_option['redirect_page_time'])){
	$sec = $mow_fn_option['redirect_page_time'];
}
$redirect_footer_text = 'enable';
if(isset($mow_fn_option['redirect_footer_text'])){
	$redirect_footer_text = $mow_fn_option['redirect_footer_text'];
}
?>
    <div class="mow_fn_redirectpage" data-url="<?php echo esc_url($link); ?>" data-sec="<?php echo esc_attr($sec); ?>">
		<div class="container">
			<div class="redirect_header">
				<div class="subtitle"><?php esc_html_e('Redirecting you to', 'mow'); ?></div>
				<h3 class="title"><?php echo esc_html($title); ?></h3>
				<div class="link"><?php echo esc_url($link); ?></div>
				<div class="countdown">
					<div class="item">
						<span class="in"><?php esc_html_e('In', 'mow'); ?></span>
						<div class="count"><?php echo esc_html($sec); ?></div>
						<span class="text"><?php esc_html_e('&#47; Seconds &#47;', 'mow'); ?></span>
					</div>
				</div>
			</div>
			<div class="redirect_content"><?php the_content(); ?></div>
			<?php if($redirect_footer_text == 'enable'){ ?>
			<div class="redirect_footer">
				<p class="direct"><?php printf( esc_html__('Please %1$sclick here%2$s if you have not been redirected automatically.', 'mow'), '<a href="'.$link.'">', '</a>' ); ?></p>
				<p class="copyright"><?php esc_html_e('This is a normal page, you can edit it in the same way as you do with other pages. If you consider adding an AD here, you will have to provide some content first. Some ads will not show up on pages with no valuable content (e.g. Google AdSense ads).', 'mow'); ?></p>
			</div>
			<?php } ?>
		</div>
    </div>


<?php get_footer(); ?>