<?php
/*
	Template Name: Relink Page
*/
get_header();

global $post;
$mow_fn_option = mow_fn_theme_option();

$args = array();
$orderby = $page__active = $popular_active = $trending_active = $hot_active = $new_active = $editor_active = $pending_active = '';

if(isset($_GET['type'])){
	$page__active = esc_html($_GET['type']);
}
$popular_filter = true;
if(isset($mow_fn_option['blog_filter_popular_switcher'])){
	$popular_filter = $mow_fn_option['blog_filter_popular_switcher'];
}
$trending_filter = true;
if(isset($mow_fn_option['blog_filter_trending_switcher'])){
	$trending_filter = $mow_fn_option['blog_filter_trending_switcher'];
}
$hot_filter = true;
if(isset($mow_fn_option['blog_filter_hot_switcher'])){
	$hot_filter = $mow_fn_option['blog_filter_hot_switcher'];
}
$editor_filter = false;
if(isset($mow_fn_option['blog_filter_editor_switcher'])){
	$editor_filter = $mow_fn_option['blog_filter_editor_switcher'];
}
if($editor_filter){
	if(isset($mow_fn_option['editors_pick_posts__id']) && $mow_fn_option['editors_pick_posts__id'] != ''){
		$custom_ids = $mow_fn_option['editors_pick_posts__id'];
		$custom_ids = preg_replace('/[^0-9,]+/', '', $custom_ids);
		$arr = explode (",", $custom_ids);
		$editor_posts = array_filter($arr, 'strlen');

		$count = count($editor_posts);
		if(!($count > 0 && is_array($editor_posts))){
			$editor_filter = false;
		}
	}else{
		$editor_filter = false;
	}
}
$current_user_id = get_current_user_id();
$pending_filter = false;
if ($current_user_id) {
	$pending_filter = true;
}
if($pending_filter){
	$pending_args = array(
		'author'         => $current_user_id,
		'post_status'    => 'pending',
		'post_type'      => 'post',
		'posts_per_page' => 1,
		'fields'         => 'ids',
	);
	$pending_query = new WP_Query($pending_args);
    if (!$pending_query->have_posts()) {
		$pending_filter = false;
	}
}



if($page__active == 'popular' && $popular_filter){
	$popular_active = 'active';
}else if($page__active == 'trending' && $trending_filter){
	$trending_active = 'active';
}else if($page__active == 'hot' && $hot_filter){
	$hot_active = 'active';
}else if($page__active == 'pending' && $pending_filter){
	$pending_active = 'active';
}else if($page__active == 'editor' && $editor_filter && isset($editor_posts)){
	$editor_active = 'active';
	$args['post__in'] = $editor_posts;
	$args['orderby'] = 'post__in';
}else{
	$new_active = 'active'; $page__active = 'new';
}

if(isset($_GET['sort'])){
	$orderby = esc_html($_GET['sort']);
}
$views_active = $points_active = $total_votes_active = $upvotes_active = $downvotes_active = $comments_active = $rating_active = $secondary__filter = $extra = '';
$views_filter = $points_filter = $total_votes_filter = $upvotes_filter = $downvotes_filter = $comments_filter = $rating_filter = false;
$secondary_filters = array(
	'views' => 'Views',
	'points' => 'Points',
	'total_votes' => 'Total Votes',
	'upvotes' => 'Upvotes',
	'downvotes' => 'Downvotes',
	'comments' => 'Comments',
);
if ( isset( $mow_fn_option['blog_filter_seconday']['enabled'] ) && !empty( $mow_fn_option['blog_filter_seconday']['enabled'] ) ) {
	$secondary_filters = $mow_fn_option['blog_filter_seconday']['enabled'];
}
$sf_count = 0;
$value_options = ['views', 'points', 'total_votes', 'upvotes', 'downvotes', 'comments', 'rating'];
$first_value = '';
foreach ( $secondary_filters as $key => $label ) {
	switch($key){
		case 'views': 			$views_filter = true; $sf_count++; break;
		case 'points': 			$points_filter = true; $sf_count++; break;
		case 'total_votes': 	$total_votes_filter = true; $sf_count++; break;
		case 'upvotes': 		$upvotes_filter = true; $sf_count++; break;
		case 'downvotes': 		$downvotes_filter = true; $sf_count++; break;
		case 'comments': 		$comments_filter = true; $sf_count++; break;
		case 'rating': 			$rating_filter = true; $sf_count++; break;
		default: break;
	}
}
foreach ( $secondary_filters as $key => $label ) {
	if (in_array($key, $value_options)) {
        $first_value = $key;
        break;
    }
}
if($orderby == 'points' && $points_filter){
	$points_active = 'active';
	$extra = '&sort=points';
}else if($orderby == 'rating' && $rating_filter){
	$rating_active = 'active';
	$extra = '&sort=rating';
}else if($orderby == 'total_votes' && $total_votes_filter){
	$total_votes_active = 'active';
	$extra = '&sort=total_votes';
}else if($orderby == 'upvotes' && $upvotes_filter){
	$upvotes_active = 'active';
	$extra = '&sort=upvotes';
}else if($orderby == 'downvotes' && $downvotes_filter){
	$downvotes_active = 'active';
	$extra = '&sort=downvotes';
}else if($orderby == 'views' && $views_filter){
	$views_active = 'active';
	$extra = '&sort=views';
}else if($orderby == 'comments' && $comments_filter){
	$comments_active = 'active';
	$extra = '&sort=comments';
}else{
	if($first_value == 'points'){
		$points_active = 'active';
		$extra = '&sort=points';
	}else if($first_value == 'rating'){
		$rating_active = 'active';
		$extra = '&sort=rating';
	}else if($first_value == 'total_votes'){
		$total_votes_active = 'active';
		$extra = '&sort=total_votes';
	}else if($first_value == 'upvotes'){
		$upvotes_active = 'active';
		$extra = '&sort=upvotes';
	}else if($first_value == 'downvotes'){
		$downvotes_active = 'active';
		$extra = '&sort=downvotes';
	}else if($first_value == 'views'){
		$views_active = 'active';
		$extra = '&sort=views';
	}else if($first_value == 'comments'){
		$comments_active = 'active';
		$extra = '&sort=comments';
	}else{
		$views_active = 'active';
		$extra = '&sort=views';
	}	
}
foreach ( $secondary_filters as $key => $label ) {
	if($key == 'views'){
		$secondary__filter .= '<a class="views '.esc_attr($views_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=views" aria-label="'.esc_attr__('Sort by views', 'mow').'">'.esc_html__('Views', 'mow').'</a>';
	}else if($key == 'points'){
		$secondary__filter .= '<a class="points '.esc_attr($points_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=points" aria-label="'.esc_attr__('Sort by points', 'mow').'">'.esc_html__('Points', 'mow').'</a>';
	}else if($key == 'total_votes'){
		$secondary__filter .= '<a class="total_votes '.esc_attr($total_votes_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=total_votes" aria-label="'.esc_attr__('Sort by votes', 'mow').'">'.esc_html__('Total Votes', 'mow').'</a>';
	}else if($key == 'upvotes'){
		$secondary__filter .= '<a class="upvotes '.esc_attr($upvotes_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=upvotes" aria-label="'.esc_attr__('Sort by upvotes', 'mow').'">'.esc_html__('Upvotes', 'mow').'</a>';
	}else if($key == 'downvotes'){
		$secondary__filter .= '<a class="downvotes '.esc_attr($downvotes_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=downvotes" aria-label="'.esc_attr__('Sort by downvotes', 'mow').'">'.esc_html__('Downvotes', 'mow').'</a>';
	}else if($key == 'comments'){
		$secondary__filter .= '<a class="comments '.esc_attr($comments_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=comments" aria-label="'.esc_attr__('Sort by comments', 'mow').'">'.esc_html__('Comments', 'mow').'</a>';
	}else if($key == 'rating'){
		$secondary__filter .= '<a class="rating '.esc_attr($rating_active).'" href="'.get_the_permalink().'?type='.esc_attr($page__active).'&sort=rating" aria-label="'.esc_attr__('Sort by rating', 'mow').'">'.esc_html__('Rating', 'mow').'</a>';
	}
}

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$per_page = get_option('posts_per_page');

// Only post format link
// 'tax_query' => array(
//     array(
//         'taxonomy' => 'post_format',
//         'field'    => 'slug',
//         'terms'    => 'post-format-link', // Specify the 'link' format
//         'operator' => 'IN',
//     ),
// ),
$args['post_type']			= 'post';
$args['post_status']		= 'publish';
$args['posts_per_page']		= $per_page;
$args['paged']				= $paged;

if($page__active != 'new' && $page__active != 'editor' && $page__active != 'pending'){
	$args['order'] = 'DESC';
	if($rating_filter && $orderby == 'rating'){
		$args['orderby'] = 'meta_value_num';
		$args['meta_key'] = '_fers_overall_rating';
		$args['meta_query'] = array(
			array(
				'key'       => '_fers_overall_rating',
				'value'     => 0,
				'compare'   => '>',
				'type'      => 'NUMERIC'
			)
		);
	}else if($total_votes_filter && $orderby == 'total_votes'){
		$args['orderby'] = 'meta_value_num';
		$args['meta_key'] = '_mow_fn_vote_total';
	}else if($points_filter && $orderby == 'points'){
		$args['orderby'] = 'meta_value_num';
		$args['meta_key'] = '_mow_fn_vote_diff';
	}else if($upvotes_filter && $orderby == 'upvotes'){
		$args['orderby'] = 'meta_value_num';
		$args['meta_key'] = '_mow_fn_vote_up';
	}else if($downvotes_filter && $orderby == 'downvotes'){
		$args['orderby'] = 'meta_value_num';
		$args['meta_key'] = '_mow_fn_vote_down';
	}else if($comments_filter && $orderby == 'comments'){
		$args['orderby'] = 'comment_count';
	}else{
		$args['orderby'] = 'meta_value_num';
		$args['meta_key'] = 'frenify_post_views_count';
	}
}
if($page__active == 'trending'){
	$args['order'] = 'DESC';
	$trending_period_count = 1;
	if(isset($mow_fn_option['trending_period_count'])){
		$trending_period_count = (int)$mow_fn_option['trending_period_count'];
	}
	$trending_period_type = 'month';
	if(isset($mow_fn_option['trending_period_type'])){
		$trending_period_type = $mow_fn_option['trending_period_type'];
	}
	$args['date_query'] = array(
		array(
			'after'   => '-'.$trending_period_count.' '.$trending_period_type,
		),
	);
}else if($page__active == 'hot'){
	$args['order'] = 'DESC';
	$hot_period_count = 3;
	if(isset($mow_fn_option['hot_period_count'])){
		$hot_period_count = (int)$mow_fn_option['hot_period_count'];
	}
	$hot_period_type = 'day';
	if(isset($mow_fn_option['hot_period_type'])){
		$hot_period_type = $mow_fn_option['hot_period_type'];
	}
	$args['date_query'] = array(
		array(
			'after'   => '-'.$hot_period_count.' '.$hot_period_type,
		),
	);
}
if($pending_active == 'active'){
	$args['author'] = $current_user_id;
	$args['post_status'] = 'pending';
}
$vote_key = mow_fn_votekey();
$layout = 'small_list_2';
if(isset($mow_fn_option['relink_posts_layout'])){
	$layout = $mow_fn_option['relink_posts_layout'];
}

$loop = new WP_Query( $args );



// Main Sidebar
if(function_exists('rwmb_meta') && isset(get_post_meta(get_the_ID())['mow_fn_blogpage_main_sidebar'])){
	$main_sidebar = get_post_meta(get_the_ID(), 'mow_fn_blogpage_main_sidebar', true);
}else{
	$main_sidebar = 'wsr';
}
if($main_sidebar != 'full' && !mow_fn_if_has_sidebar()){ $main_sidebar = 'full';}

// Check if page is password protected	
if(post_password_required($post)){
	mow_fn_protectedpage();
}else{ 
	$list = '';
	if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post();
	$list .= mow_fn_get_relink(array('post_layout' => $layout,'vote_key' => $vote_key));
	endwhile; endif; wp_reset_postdata();
	$list .= mow_fn_no_post();
	
?>

<div class="mow_fn_index mow_fn_relink" data-secondary-sidebar="disable" data-main-sidebar="<?php echo esc_attr($main_sidebar); ?>" data-page="blog" data-type="<?php echo esc_attr($page__active); ?>" data-sort="<?php echo esc_attr($orderby); ?>">

	<div class="fn__relink_content">
		<?php the_content(); ?>
	</div>

	<div class="fn__hotbox_wrapper">
		<div class="container">
			<div class="fn__hotbox">
				<a href="<?php the_permalink();?>?type=new" class="new <?php echo esc_attr($new_active); ?>" aria-label="<?php esc_attr_e('New Posts', 'mow'); ?>">
					<span class="icon"><?php mow_fn_svg('time', '', true); ?></span>
					<span class="text"><?php esc_html_e('New', 'mow'); ?></span>
				</a>
				<?php if($popular_filter){ ?>
				<a href="<?php the_permalink();?>?type=popular<?php echo esc_attr($extra);?>" class="popular <?php echo esc_attr($popular_active); ?>" aria-label="<?php esc_attr_e('Popular Posts', 'mow'); ?>">
					<span class="icon"><?php mow_fn_svg('popular', '', true); ?></span>
					<span class="text"><?php esc_html_e('Popular', 'mow'); ?></span>
				</a>
				<?php } ?>
				<?php if($trending_filter){ ?>
				<a href="<?php the_permalink();?>?type=trending<?php echo esc_attr($extra);?>" class="trending <?php echo esc_attr($trending_active); ?>" aria-label="<?php esc_attr_e('Trending Posts', 'mow'); ?>">
					<span class="icon"><?php mow_fn_svg('svg__trending', '', true); ?></span>
					<span class="text"><?php esc_html_e('Trending', 'mow'); ?></span>
				</a>
				<?php } ?>	
				<?php if($hot_filter){ ?>
				<a href="<?php the_permalink();?>?type=hot<?php echo esc_attr($extra);?>" class="hot <?php echo esc_attr($hot_active); ?>" aria-label="<?php esc_attr_e('Hot Posts', 'mow'); ?>">
					<span class="icon"><?php mow_fn_svg('hot', '', true); ?></span>
					<span class="text"><?php esc_html_e('Hot', 'mow'); ?></span>
				</a>
				<?php } ?>
				<?php if($editor_filter){ ?>
				<a href="<?php the_permalink();?>?type=editor" class="editor <?php echo esc_attr($editor_active); ?>" aria-label="<?php esc_attr_e('Editor\'s Posts', 'mow'); ?>">
					<span class="icon"><?php mow_fn_svg('svg__editor', '', true); ?></span>
					<span class="text"><?php esc_html_e('Editor\'s Pick', 'mow'); ?></span>
				</a>
				<?php } ?>
				<?php if($pending_filter){ ?>
				<a href="<?php the_permalink();?>?type=pending" class="pending <?php echo esc_attr($pending_active); ?>" aria-label="<?php esc_attr_e('Under Review / Pending Posts', 'mow'); ?>">
					<span class="icon"><?php mow_fn_svg('svg__sandclock', '', true); ?></span>
					<span class="text"><?php esc_html_e('Under Review', 'mow'); ?></span>
				</a>
				<?php } ?>
			</div>
			<?php if($page__active != 'new' && $page__active != 'editor' && $page__active != 'pending' && $sf_count > 0){ ?>
			<div class="fn__hot_sort">
				<div class="label"><?php esc_html_e('Sort By','mow'); ?></div>
				<div class="sorting">
					<?php echo wp_kses($secondary__filter, 'post'); ?>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>

	<?php 
	if($main_sidebar == 'full'){ ?>
		<div class="mow_fn_full">
			<div class="container">
				<div class="fn__relink__list">
					<div class="fn__relink__articles">
						<?php echo wp_kses($list, 'post'); ?>
					</div>
					<?php 
						if ( $loop->max_num_pages > $paged ) { ?>
						<div class="fn__relink_load_more">
							<input type="hidden" class="paged" value="<?php echo esc_attr($paged+1); ?>">
							<input type="hidden" class="layout" value="<?php echo esc_attr($layout); ?>">
							<a href="#" aria-label="<?php esc_attr_e('Load More Posts', 'mow'); ?>">
								<span class="text"><?php esc_html_e('Load More', 'mow'); ?></span>
								<span class="icon"></span>
							</a>
						</div>
						<script>
							var MowPostsFilterArgs = <?php echo json_encode($args); ?>;
						</script>
						<?php } 
					?>
				</div>
			</div>
		</div>
	<?php }else{ ?>
	<div class="mow_fn_ws">
		<div class="container">
			<div class="wspage_cols">
				<div class="wspage_col wspage_list">
					<div class="wspage_in">
						<div class="fn__relink__list">
							<div class="fn__relink__articles">
								<?php echo wp_kses($list, 'post'); ?>
							</div>
							<?php 
								if ( $loop->max_num_pages > $paged ) { ?>
								<div class="fn__relink_load_more">
									<input type="hidden" class="paged" value="<?php echo esc_attr($paged+1); ?>">
									<input type="hidden" class="layout" value="<?php echo esc_attr($layout); ?>">
									<a href="#" aria-label="<?php esc_attr_e('Load More Posts', 'mow'); ?>">
										<span class="text"><?php esc_html_e('Load More', 'mow'); ?></span>
										<span class="icon"></span>
									</a>
								</div>
								<script>
									var MowPostsFilterArgs = <?php echo json_encode($args); ?>;
								</script>
								<?php } 
							?>
						</div>
					</div>
				</div>
				<div class="wspage_col wspage_bar">
					<div class="wspage_in">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>

</div>

<?php } ?>

<?php get_footer(); ?>  