<?php

get_header();

$mow_fn_option 				= mow_fn_theme_option();

// SEO
$seo_404_not_found 			= 'h3';
if(isset($mow_fn_option['seo_404_not_found'])){
	$seo_404_not_found 		= $mow_fn_option['seo_404_not_found'];
}
$nothing_found				= esc_html__('Nothing found', 'mow');;
$seo_404_not_found__start 	= sprintf( '<%1$s class="fn__maintitle">', $seo_404_not_found );
$seo_404_not_found__end 	= sprintf( '</%1$s>', $seo_404_not_found );

$seo_404_desc 				= 'p';
if(isset($mow_fn_option['seo_404_desc'])){
	$seo_404_desc 			= $mow_fn_option['seo_404_desc'];
}
$seo_404_desc__start 		= sprintf( '<%1$s class="fn__desc">', $seo_404_desc );
$seo_404_desc__end 			= sprintf( '</%1$s>', $seo_404_desc );

?>
	
<div class="mow_fn_searchlist">
	
	
	

	<?php 
		if(have_posts()){
			mow_fn_get_page_title();
		}
	?>

	<div class="mow_fn_searchpagelist">
		<?php if(have_posts()){ ?>
		<div class="container">
		<?php } ?>
		<?php if(have_posts()){ ?>
			<div class="mow_fn_bloglist mow_fn_bloglist_classic">
				<?php get_template_part( 'inc/templates/posts', '', array('from_page' => 'search')  );?>
			</div>
			<?php mow_fn_pagination(); ?>
			<?php }else{ ?>
			<div class="mow_fn_protected">
				<div class="container">
					<div class="message_holder">
						<span class="icon">
							<?php mow_fn_svg('svg__browser','',true);?>
						</span>
						<?php 
							echo wp_kses($seo_404_not_found__start,'post');
							echo esc_html($nothing_found);
							echo wp_kses($seo_404_not_found__end,'post');
						?>
						<?php 
							echo wp_kses($seo_404_desc__start,'post');
							esc_html_e('Sorry, no content matched your criteria. Try searching for something else.', 'mow');
							echo wp_kses($seo_404_desc__end,'post');
						?>
						<form action="<?php echo esc_url(home_url('/')); ?>" method="get" >
							<input type="text" placeholder="<?php esc_attr_e('Search here...','mow');?>" name="s" autocomplete="off">
							<div class="search"><input type="submit" class="pe-7s-search" value="<?php esc_attr_e('Search','mow');?>"></div>
						</form>
					</div>
				</div>
			</div>
			<?php } ?>
		<?php if(have_posts()){ ?>
		</div>
		<?php } ?>
	</div>

	<?php wp_reset_postdata(); ?>
	
	
</div>
<!-- /SEARCH --> 
        
<?php get_footer(); ?>