<?php 

if (!defined('ABSPATH')) { exit; } 

// Variables 
$active = 'mow';
$max	= 6;
$URL	= MOW_PLUGIN_URL;
$ver	= MOW_PLUGIN_VERSION;
$site	= 'https://frenify.com/';
$ttext	= MOW_TEXT_DOMAIN;
$previewText = esc_html__('Preview', $ttext);
$smile	= $URL.'inc/settings/assets/img/smile.svg';
$logo	= $URL.'inc/settings/assets/img/frenify-logo.svg';
$about	= '<p><b>Frenify</b> was founded in 2017. The company began working with the first customers, giving them the opportunity to purchase high-quality HTML templates.</p><p>The company’s products began to grow in terms of complexity and aesthetics. Frenify currently has a wide range of HTML templates, WordPress themes, WordPress plugins, Photoshop projects; paid and absolutely free products.</p><p>Design projects are unique and aesthetically pleasing based on customer requirements. Visit our website to get acquainted with our products. Thank you so much for being with us.</p>';

// Functions

if( !function_exists('frenify__shuffle_assoc') ){
	function frenify__shuffle_assoc($list,$important = array()) { 
		if (!is_array($list)){ return $list; }
		$keys = array_keys($list);
		shuffle($keys);
		$random = array();
		if(!empty($important) && isset($important) && $important !== ''){
			foreach($important as $key){
				$random[$key] = $list[$key];
			}
		}
		$keys = array_diff($keys, $important);
		foreach ($keys as $key) { 
			$random[$key] = $list[$key]; 
		}
		return $random; 
	}
}

function mow_fn_set_theme_status(){
	
	$mow_fn_theme_st = mow_fn_theme_st();
	$html = '<div class="frenify__verification" data-status="'.$mow_fn_theme_st.'">
				<p class="refresh_hidden">A refresh is required. The page will automatically refresh in <span class="sec">3</span> seconds...</p>';
		$html .= '<div class="frenify__verification_form">
					<div class="fn__container">
						<div class="form_in">
							<div class="fn__notice"></div>
							<div class="fn__loading"></div>
							<div class="form_content">
								<form action="" autocomplete="off">
									<label for="frenify_mow_verify">Enter Your <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code" target="_blank">Purchase Code</a> to activate the theme</label>
									<div class="verify_form">
										<input id="frenify_mow_verify" type="text" class="fn__purchase_code" autocomplete="off">
										<a href="#" class="fn__verify">Activate</a>
									</div>
								</form>
							</div>

						</div>
					</div>
				</div>';
		$html .= '<div class="frenify__revoke">
					<div class="fn__container">
						<div class="revoke_in">
							<div class="revoke_content">
								<div class="fn__notice"></div>
								<div class="revoke_left">
									<p>Congratulations! Your theme is verified.</p>
									<div class="btn_holder"><a href="#" class="fn__revoke">Revoke Purchase Code</a></div>
								</div>
								<div class="revoke_right">
									<span class="success_icon">
										'.mow_fn_svg('check').'
									</span>
								</div>
							</div>
							<div class="fn__loading"></div>
						</div>

					</div>
				</div>';

	$html .= '</div>';
	
	echo $html;

}

// List
$list 	= [
	'vivaco' => [
		'title'	=> 'Vivaco',
		'name'	=> 'Multipurpose Creative WordPress Theme',
		'url'	=> 'https://themeforest.net/item/vivaco-multipurpose-creative-wordpress-theme/31688792',
		'image'	=> $URL.'inc/settings/assets/img//item-vivaco.jpg'
	],
	'becipe' => [
		'title'	=> 'Becipe',
		'name'	=> 'Recipe Blogging WordPress Theme',
		'url'	=> 'https://themeforest.net/item/becipe-recipe-blogging-wordpress-theme/29029917',
		'image'	=> $URL.'inc/settings/assets/img/item-becipe.jpg'
	],
	'artemiz' => [
		'title'	=> 'Artemiz',
		'name'	=> 'Blog & Podcast WordPress Theme',
		'url'	=> 'https://themeforest.net/item/artemiz-blog-podcast-wordpress-theme/28455063',
		'image'	=> $URL.'inc/settings/assets/img/item-artemiz.jpg'
	],
	'arlo' => [
		'title'	=> 'Arlo',
		'name'	=> 'Portfolio WordPress Theme',
		'url'	=> 'https://themeforest.net/item/arlo-portfolio-wordpress-theme/25172061',
		'image'	=> $URL.'inc/settings/assets/img/item-arlo.jpg'
	],
	'mobixo' => [
		'title'	=> 'Mobixo',
		'name'	=> 'Industry WordPress Theme',
		'url'	=> 'https://themeforest.net/item/mobixo-industry-wordpress-theme/24942315',
		'image'	=> $URL.'inc/settings/assets/img/item-mobixo.jpg'
	],
	'cron' => [
		'title'	=> 'Cron',
		'name'	=> 'Industry WordPress Theme',
		'url'	=> 'https://themeforest.net/item/cron-industry-wordpress-theme/24533803',
		'image'	=> $URL.'inc/settings/assets/img/item-cron.jpg'
	],
	'industify' => [
		'title'	=> 'Industify',
		'name'	=> 'Industry WordPress Theme',
		'url'	=> 'https://themeforest.net/item/industify-industry-wordpress-theme/22729865',
		'image'	=> $URL.'inc/settings/assets/img/item-industify.jpg'
	],
	'glax' => [
		'title'	=> 'Glax',
		'name'	=> 'Industry WordPress Theme',
		'url'	=> 'https://themeforest.net/item/glax-industry-wordpress-theme/22459403',
		'image'	=> $URL.'inc/settings/assets/img/item-glax.jpg'
	],
	'constructify' => [
		'title'	=> 'Constructify',
		'name'	=> 'Construction WordPress Theme',
		'url'	=> 'https://themeforest.net/item/constructify-construction-building-wordpress-theme/22328771',
		'image'	=> $URL.'inc/settings/assets/img/item-constructify.jpg'
	],
	'buildify' => [
		'title'	=> 'Buildify',
		'name'	=> 'Construction WordPress Theme',
		'url'	=> 'https://themeforest.net/item/buildify-construction-building-wordpress-theme/21742481',
		'image'	=> $URL.'inc/settings/assets/img/item-buildify.jpg'
	],
	'fotofly' => [
		'title'	=> 'Fotofly',
		'name'	=> 'Photography WordPress Theme',
		'url'	=> 'https://themeforest.net/item/fotofly-photography-wordpress-theme/21190239',
		'image'	=> $URL.'inc/settings/assets/img/item-fotofly.jpg'
	],
	'photobuddy' => [
		'title'	=> 'Photobuddy',
		'name'	=> 'Photography WordPress Theme',
		'url'	=> 'https://themeforest.net/item/photobuddy-photography-wordpress-theme/20432690',
		'image'	=> $URL.'inc/settings/assets/img/item-photobuddy.jpg'
	],
	'bookmify' => [
		'title'	=> 'Bookmify',
		'name'	=> 'Appointment Booking WordPress Plugin',
		'url'	=> 'https://codecanyon.net/item/bookmify-appointment-booking-wordpress-plugin/23837899',
		'image'	=> $URL.'inc/settings/assets/img/item-bookmify.jpg'
	],
	'modulify' => [
		'title'	=> 'Modulify',
		'name'	=> 'Modules Addon for Elementor Page Builder',
		'url'	=> 'https://codecanyon.net/item/modulify-modules-addon-for-elementor-page-builder/22595533',
		'image'	=> $URL.'inc/settings/assets/img/item-modulify.jpg'
	],
	'magazinify' => [
		'title'	=> 'Magazinify',
		'name'	=> 'News Addon for Elementor Page Builder',
		'url'	=> 'https://codecanyon.net/item/magazinify-news-addon-for-elementor-page-builder/22194326',
		'image'	=> $URL.'inc/settings/assets/img/item-magazinify.jpg'
	],
	'projectify' => [
		'title'	=> 'Projectify',
		'name'	=> 'Project Addon for Elementor Page Builder',
		'url'	=> 'https://codecanyon.net/item/projectify-project-addon-for-elementor-page-builder/21537292',
		'image'	=> $URL.'inc/settings/assets/img/item-projectify.jpg'
	],
	'categorify' => [
		'title'	=> 'Categorify',
		'name'	=> 'WordPress Media Library Category & File Manager',
		'url'	=> 'https://frenify.com/project/categorify/',
		'image'	=> $URL.'inc/settings/assets/img/item-categorify.jpg'
	],
	'waxon' => [
		'title'	=> 'Waxon',
		'name'	=> 'Personal & Portfolio WordPress Theme',
		'url'	=> 'https://themeforest.net/item/waxon-personal-portfolio-wordpress-theme/35292883',
		'image'	=> $URL.'inc/settings/assets/img/item-waxon.jpg'
	],
	'mow' => [
		'title'	=> 'Mow',
		'name'	=> 'Personal Blog & Magazine WordPress Theme',
		'url'	=> 'https://themeforest.net/item/mow-blog-magazine-wordpress-theme/42858298',
		'image'	=> $URL.'inc/settings/assets/img/item-mow.jpg'
	],
];
$important = [];



function mow_fn_display_php_config_table() {
    // Configuration checks
    $configurations = [
        [
            'name' => 'Memory Limit',
            'current' => ini_get('memory_limit'),
            'recommended' => '96M',
            'status' => intval(ini_get('memory_limit')) >= 96
        ],
        [
            'name' => 'Max Input Vars',
            'current' => ini_get('max_input_vars'),
            'recommended' => '3000',
            'status' => intval(ini_get('max_input_vars')) >= 3000
        ],
        [
            'name' => 'Max Execution Time',
            'current' => ini_get('max_execution_time') . ' seconds',
            'recommended' => '120 seconds',
            'status' => intval(ini_get('max_execution_time')) >= 120
        ],
        [
            'name' => 'Post Max Size',
            'current' => ini_get('post_max_size'),
            'recommended' => '32M',
            'status' => intval(ini_get('post_max_size')) >= 32
        ],
        [
            'name' => 'Upload Max Filesize',
            'current' => ini_get('upload_max_filesize'),
            'recommended' => '32M',
            'status' => intval(ini_get('upload_max_filesize')) >= 32
        ],
        [
            'name' => 'Allow URL Fopen',
            'current' => ini_get('allow_url_fopen') === '1' ? 'ON' : 'OFF',
            'recommended' => 'ON',
            'status' => ini_get('allow_url_fopen') === '1'
        ],
        [
            'name' => 'ASP Tags',
            'current' => ini_get('asp_tags') === '1' ? 'ON' : 'OFF',
            'recommended' => 'OFF',
            'status' => ini_get('asp_tags') !== '1'
        ],
    ];
    ?>
    <div class="server_info">
		<br><br>
        <h2>Server Configuration Check</h2>
        <table class="widefat fixed" style="max-width: 800px; margin-top: 20px;">
            <thead>
                <tr>
                    <th>Configuration Name</th>
                    <th>Current Value</th>
                    <th>Recommended Value</th>
                    <th>Status</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($configurations as $config) : ?>
                    <tr>
                        <td><?php echo esc_html($config['name']); ?></td>
                        <td><?php echo esc_html($config['current']); ?></td>
                        <td><?php echo esc_html($config['recommended']); ?></td>
                        <td>
                            <?php echo $config['status'] ? '✅' : '❌'; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <?php
}
?>

<div class="frenify__welcome">
	<?php mow_fn_set_theme_status(); ?>
	<div class="frenify__welcome_header">
		<div class="fn__container">
			<div class="header_v"><span><?php echo esc_html($ver);?></span></div>
			<div class="info_box">
				<div class="info_left">
					<h5 class="fn__subtitle">Thank you for choosing</h5>
					<h3 class="fn__title"><?php echo esc_html($active);?></h3>
					<a href="<?php echo esc_url($list[$active]['url']); ?>" class="fn__more" target="_blank">More Info</a>
				</div>
				<div class="info_right">
					<div class="smile_icon">
						<?php mow_fn_svg('smile','', true); ?>
					</div>
					<div class="img_box">
						<a href="<?php echo esc_url($site);?>" target="_blank"></a>
						<img class="frenify_logo" src="<?php echo esc_url($logo);?>" alt="">
						<div class="fn__tooltip">
							<?php echo wp_kses($about,'post');?>
						</div>
					</div>
					<div class="fn__desc">
						<p>This item has been developed by <a href="<?php echo esc_url($site);?>" target="_blank">Frenify</a></p>
					</div>
				</div>
			</div>

			<?php mow_fn_display_php_config_table(); ?>

			<h5 class="bottom_title">Our Other Works</h5>
		</div>
	</div>
	
	<?php if($active != 'categorify' && !in_array('waxon',$important)){ ?>
	<div class="frenify__welcome__categorify">
		<div class="fn__container">
			<div class="title_holder">
				<h3 class="fn__title">Categorify</h3>
				<p class="fn__desc">Categorify is a WordPress plugin that enables users to quickly organize all of their Media files into categories.</p>
				<a href="<?php echo esc_attr($list['categorify']['url']);?>" class="fn__more" target="_blank">More Info</a>
			</div>
			<div class="video_holder">
				<img src="<?php echo esc_attr($list['categorify']['image']);?>" alt="">
				<a href="https://www.youtube.com/watch?v=pmNkbjC3xkU" class="popup-youtube"></a>
			</div>
		</div>
	</div>
	<?php } ?>
	
	<div class="frenify__welcome_list">
		<ul>
			<?php 
				// remove active element
				unset($list[$active]);
				// remove categorify too
				unset($list['categorify']);
				// shuffle array
				$list 		= frenify__shuffle_assoc($list,$important);
				// leave only $max elements of the array
				$list 		= array_slice($list, 0, $max);
				$html		= '';
				foreach($list as $key => $item){
					$image 	= $item['image'];
					$url 	= $item['url'];
					$title	= $item['title'];
					$name	= $item['name'];
					
					$html  .= '<li>';
						$html  .= '<div class="item">';
					
							$html  .= '<div class="img_holder">';
								$html  .= '<a href="'.$url.'" target="_blank">';
									$html  .= '<img class="fn__img" src="'.$image.'" alt="" />';
									$html  .= '<div class="overlay">';
										$html  .= mow_fn_svg('arrow2');
										$html  .= '<span>'.$previewText.'</span>';
									$html  .= '</div>';
								$html  .= '</a>';
							$html  .= '</div>';
					
							$html  .= '<div class="title_holder">';
								$html  .= '<h3 class="fn__title"><a href="'.$url.'" target="_blank">'.$title.'</a></h3>';
								$html  .= '<p class="fn__desc">'.$name.'</p>';
							$html  .= '</div>';
					
						$html  .= '</div>';
					$html  .= '</li>';
				}
				echo wp_kses($html,'post');
			?>
		</ul>
		<a href="<?php echo esc_url($site); ?>" class="fn__more" target="_blank">See All Items</a>
	</div>
	
	
</div>