<?php

/**
 * Plugin Name: Donations Widget
 * Description: A widget that show donations icons
 * Version: 1.0
 * Author: Frenify
 * Author URI: http://themeforest.net/user/frenify
 *
 */


/**
 * Example Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 * @since 0.1
 */
class Mow_Donations extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function __construct() {
		parent::__construct(
			'mow_donations', // Base ID
			esc_html__( 'Frenify Donations', MOW_TEXT_DOMAIN ), // Name
		);
		
		add_action( 'widgets_init', function() {
            register_widget( 'Mow_Donations' );
        });
	}
	

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		global $post;
		
		$title					= '';
		
		$donation1_title		= '';
		$donation1_url			= '';
		$donation1_img_url		= '';
		
		$donation2_title		= '';
		$donation2_url			= '';
		$donation2_img_url		= '';
		
		$donation3_title		= '';
		$donation3_url			= '';
		$donation3_img_url		= '';
		
		$donation4_title		= '';
		$donation4_url			= '';
		$donation4_img_url		= '';
				
		
		/* Our variables from the widget settings. */
		if ( !empty( $instance[ 'title' ] ) ) { 
			$title = $instance[ 'title' ];
		}
		$title = apply_filters(esc_html__('Followers', MOW_TEXT_DOMAIN), $title );
		
		
		if ( !empty( $instance[ 'donation1_title' ] ) ) {$donation1_title		= $instance[ 'donation1_title' ];}
		if ( !empty( $instance[ 'donation1_url' ] ) ) {$donation1_url			= $instance[ 'donation1_url' ];}
		if ( !empty( $instance[ 'donation1_img_url' ] ) ) {$donation1_img_url	= $instance[ 'donation1_img_url' ];}
		
		if ( !empty( $instance[ 'donation2_title' ] ) ) {$donation2_title		= $instance[ 'donation2_title' ];}
		if ( !empty( $instance[ 'donation2_url' ] ) ) {$donation2_url			= $instance[ 'donation2_url' ];}
		if ( !empty( $instance[ 'donation2_img_url' ] ) ) {$donation2_img_url	= $instance[ 'donation2_img_url' ];}
		
		if ( !empty( $instance[ 'donation3_title' ] ) ) {$donation3_title		= $instance[ 'donation3_title' ];}
		if ( !empty( $instance[ 'donation3_url' ] ) ) {$donation3_url			= $instance[ 'donation3_url' ];}
		if ( !empty( $instance[ 'donation3_img_url' ] ) ) {$donation3_img_url	= $instance[ 'donation3_img_url' ];}
		
		if ( !empty( $instance[ 'donation4_title' ] ) ) {$donation4_title		= $instance[ 'donation4_title' ];}
		if ( !empty( $instance[ 'donation4_url' ] ) ) {$donation4_url			= $instance[ 'donation4_url' ];}
		if ( !empty( $instance[ 'donation4_img_url' ] ) ) {$donation4_img_url	= $instance[ 'donation4_img_url' ];}
		
		/* Before widget (defined by themes). */
		echo wp_kses_post($before_widget);
		if ( $title ) {
			echo wp_kses_post($before_title . $title . $after_title); 
		}
		?>
           	<div class="mow_fn_widget_donations">
				<ul>
					<?php
						if($donation1_url != '' && $donation1_title != ''){
							echo '<li><div class="item"><a href="'.esc_url($donation1_url).'" target="_blank" rel="nofollow"><span class="left_part"><img loading="lazy" src="'.esc_attr($donation1_img_url).'" alt=""></span><span class="right_part">'.$donation1_title.'</span></a></div></li>';
						}
					?>
					<?php
						if($donation2_url != '' && $donation2_title != ''){
							echo '<li><div class="item"><a href="'.esc_url($donation2_url).'" target="_blank" rel="nofollow"><span class="left_part"><img loading="lazy" src="'.esc_attr($donation2_img_url).'" alt=""></span><span class="right_part">'.$donation2_title.'</span></a></div></li>';
						}
					?>
					<?php
						if($donation3_url != '' && $donation3_title != ''){
							echo '<li><div class="item"><a href="'.esc_url($donation3_url).'" target="_blank" rel="nofollow"><span class="left_part"><img loading="lazy" src="'.esc_attr($donation3_img_url).'" alt=""></span><span class="right_part">'.$donation3_title.'</span></a></div></li>';
						}
					?>
					<?php
						if($donation4_url != '' && $donation4_title != ''){
							echo '<li><div class="item"><a href="'.esc_url($donation4_url).'" target="_blank" rel="nofollow"><span class="left_part"><img loading="lazy" src="'.esc_attr($donation4_img_url).'" alt=""></span><span class="right_part">'.$donation4_title.'</span></a></div></li>';
						}
					?>
				</ul>
            </div>
            
		<?php 
		/* After widget (defined by themes). */
		echo wp_kses_post($after_widget);
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		
		$instance = array();
 
        $instance['title']				= ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';


        $instance['donation1_title']	= ( !empty( $new_instance['donation1_title'] ) ) ? strip_tags( $new_instance['donation1_title'] ) : '';
        $instance['donation1_url']		= ( !empty( $new_instance['donation1_url'] ) ) ? strip_tags( $new_instance['donation1_url'] ) : '';
        $instance['donation1_img_url']	= ( !empty( $new_instance['donation1_img_url'] ) ) ? strip_tags( $new_instance['donation1_img_url'] ) : '';
 
        $instance['donation2_title']	= ( !empty( $new_instance['donation2_title'] ) ) ? strip_tags( $new_instance['donation2_title'] ) : '';
        $instance['donation2_url']		= ( !empty( $new_instance['donation2_url'] ) ) ? strip_tags( $new_instance['donation2_url'] ) : '';
        $instance['donation2_img_url']	= ( !empty( $new_instance['donation2_img_url'] ) ) ? strip_tags( $new_instance['donation2_img_url'] ) : '';
 
        $instance['donation3_title']	= ( !empty( $new_instance['donation3_title'] ) ) ? strip_tags( $new_instance['donation3_title'] ) : '';
        $instance['donation3_url']		= ( !empty( $new_instance['donation3_url'] ) ) ? strip_tags( $new_instance['donation3_url'] ) : '';
        $instance['donation3_img_url']	= ( !empty( $new_instance['donation3_img_url'] ) ) ? strip_tags( $new_instance['donation3_img_url'] ) : '';
 
        $instance['donation4_title']	= ( !empty( $new_instance['donation4_title'] ) ) ? strip_tags( $new_instance['donation4_title'] ) : '';
        $instance['donation4_url']		= ( !empty( $new_instance['donation4_url'] ) ) ? strip_tags( $new_instance['donation4_url'] ) : '';
        $instance['donation4_img_url']	= ( !empty( $new_instance['donation4_img_url'] ) ) ? strip_tags( $new_instance['donation4_img_url'] ) : '';
 
        return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {
		/* Set up some default widget settings. */
		$title 					= ! empty( $instance['title'] ) ? $instance['title'] : '';
		
		$donation1_title 		= ! empty( $instance['donation1_title'] ) ? $instance['donation1_title'] : '';
		$donation1_url 			= ! empty( $instance['donation1_url'] ) ? $instance['donation1_url'] : '';
		$donation1_img_url 		= ! empty( $instance['donation1_img_url'] ) ? $instance['donation1_img_url'] : '';
		
		$donation2_title 		= ! empty( $instance['donation2_title'] ) ? $instance['donation2_title'] : '';
		$donation2_url 			= ! empty( $instance['donation2_url'] ) ? $instance['donation2_url'] : '';
		$donation2_img_url 		= ! empty( $instance['donation2_img_url'] ) ? $instance['donation2_img_url'] : '';
		
		$donation3_title 		= ! empty( $instance['donation3_title'] ) ? $instance['donation3_title'] : '';
		$donation3_url 			= ! empty( $instance['donation3_url'] ) ? $instance['donation3_url'] : '';
		$donation3_img_url 		= ! empty( $instance['donation3_img_url'] ) ? $instance['donation3_img_url'] : '';
		
		$donation4_title 		= ! empty( $instance['donation4_title'] ) ? $instance['donation4_title'] : '';
		$donation4_url 			= ! empty( $instance['donation4_url'] ) ? $instance['donation4_url'] : '';
		$donation4_img_url 		= ! empty( $instance['donation4_img_url'] ) ? $instance['donation4_img_url'] : '';


		
		?>
		<p class="mow_widget_divider"></p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title:', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" class="mow_fn_width100">
		</p>
		
		
		<p class="mow_widget_divider"><?php esc_html_e('Donation #1', MOW_TEXT_DOMAIN); ?></p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation1_title' )); ?>"><?php esc_html_e('Title', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation1_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation1_title' )); ?>" value="<?php echo esc_attr($donation1_title); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation1_url' )); ?>"><?php esc_html_e('URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation1_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation1_url' )); ?>" value="<?php echo esc_attr($donation1_url); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation1_img_url' )); ?>"><?php esc_html_e('Image URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation1_img_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation1_img_url' )); ?>" value="<?php echo esc_attr($donation1_img_url); ?>" class="mow_fn_width100">
		</p>
		
		
		<p class="mow_widget_divider"><?php esc_html_e('Donation #2', MOW_TEXT_DOMAIN); ?></p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation2_title' )); ?>"><?php esc_html_e('Title', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation2_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation2_title' )); ?>" value="<?php echo esc_attr($donation2_title); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation2_url' )); ?>"><?php esc_html_e('URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation2_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation2_url' )); ?>" value="<?php echo esc_attr($donation2_url); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation2_img_url' )); ?>"><?php esc_html_e('Image URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation2_img_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation2_img_url' )); ?>" value="<?php echo esc_attr($donation2_img_url); ?>" class="mow_fn_width100">
		</p>
		
		
		<p class="mow_widget_divider"><?php esc_html_e('Donation #3', MOW_TEXT_DOMAIN); ?></p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation3_title' )); ?>"><?php esc_html_e('Title', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation3_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation3_title' )); ?>" value="<?php echo esc_attr($donation3_title); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation3_url' )); ?>"><?php esc_html_e('URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation3_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation3_url' )); ?>" value="<?php echo esc_attr($donation3_url); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation3_img_url' )); ?>"><?php esc_html_e('Image URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation3_img_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation3_img_url' )); ?>" value="<?php echo esc_attr($donation3_img_url); ?>" class="mow_fn_width100">
		</p>
		
		
		<p class="mow_widget_divider"><?php esc_html_e('Donation #4', MOW_TEXT_DOMAIN); ?></p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation4_title' )); ?>"><?php esc_html_e('Title', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation4_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation4_title' )); ?>" value="<?php echo esc_attr($donation4_title); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation4_url' )); ?>"><?php esc_html_e('URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation4_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation4_url' )); ?>" value="<?php echo esc_attr($donation4_url); ?>" class="mow_fn_width100">
		</p>
		<p class="mow_fn_followers_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'donation4_img_url' )); ?>"><?php esc_html_e('Image URL', MOW_TEXT_DOMAIN); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'donation4_img_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'donation4_img_url' )); ?>" value="<?php echo esc_attr($donation4_img_url); ?>" class="mow_fn_width100">
		</p>
		

	<?php
	}
}

$my_widget = new Mow_Donations();