<?php

/**
 * Plugin Name: Author
 * Description: A widget that show Author Information
 * Version: 1.0
 * Author: Frenify
 * Author URI: http://themeforest.net/user/frenify
 *
 */


/**
 * Example Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 * @since 0.1
 */
class Mow_Subscribe extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function __construct() {
		parent::__construct(
			'Mow_Subscribe', // Base ID
			esc_html__( 'Frenify Subscribe', MOW_TEXT_DOMAIN ), // Name
		);
		
		add_action( 'widgets_init', function() {
            register_widget( 'Mow_Subscribe' );
        });
	}
	

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		global $post;
		
		$title = $shortcode = '';
				
		
		/* Our variables from the widget settings. */
		if ( !empty( $instance[ 'title' ] ) ) { $title 	= $instance[ 'title' ]; }
		if ( !empty( $instance[ 'shortcode' ] ) ) {$shortcode = $instance[ 'shortcode' ];}
		
		$list = '';
		
		
		
		/* Before widget (defined by themes). */
		echo wp_kses_post($before_widget);

		$shortcode = do_shortcode( shortcode_unautop( $shortcode ) );
		$list .= '<div class="fn__widget_subscribe_block">';
		$list .= '<div class="sb_left"><h3>'.$title.'</h3></div>';
		$list .= '<div class="sb_right">'.$shortcode.'</div>';
		$list .= '<span class="sb_icon">'.mow_fn_svg('paperplane').'</span>';
		$list .= '</div>';
		
		
		
		?>
           	<div class="mow_fn_widget_subscribe">
				<?php echo wp_kses_post($list); ?>
            </div>
            
		<?php 
		/* After widget (defined by themes). */
		echo wp_kses_post($after_widget);
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		
		$instance = array();
 
        $instance['title'] 		= ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['shortcode'] 	= ( !empty( $new_instance['shortcode'] ) ) ? strip_tags( $new_instance['shortcode'] ) : '';
 
        return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {
		/* Set up some default widget settings. */
		$title 	= ! empty( $instance['title'] ) ? $instance['title'] : '';
		$shortcode = ! empty( $instance['shortcode'] ) ? $instance['shortcode'] : '';
		?>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title', MOW_TEXT_DOMAIN); ?></label>
			<textarea id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" class="mow_fn_width100"><?php echo esc_textarea($title); ?></textarea>
		</p>
		<p class="mow_fn_social_paragraph">
			<label for="<?php echo esc_attr($this->get_field_id( 'shortcode' )); ?>"><?php esc_html_e('Shortcode', MOW_TEXT_DOMAIN); ?></label>
			<textarea id="<?php echo esc_attr($this->get_field_id( 'shortcode' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'shortcode' )); ?>" class="mow_fn_width100"><?php echo esc_textarea($shortcode); ?></textarea>
		</p>


	<?php
	}
}

$my_widget = new Mow_Subscribe();