<?php
/*
Plugin Name: Mow Core
Plugin URI: https://themeforest.net/item/mow-blog-magazine-wordpress-theme/55485036
Description: Mow Core Plugin for Mow Theme
Version: 2.1.4
Author: Frenify
Author URI: https://themeforest.net/user/frenify
*/


define ( 'MOW_PLUGIN_URL', plugin_dir_url(__FILE__) );
define ( 'MOW_PLUGIN_VERSION', '2.1.4');
define ( 'MOW_PLUGIN_SUBVER', '1');
define ( 'MOW_ASSETS_URL', MOW_PLUGIN_URL . 'shortcode/assets/');
define ( 'MOW_TEXT_DOMAIN', 'mow-core' );



// Custom Meta tags for Sharing

add_action('wp_head', 'mow_fn_open_graph_meta');

function mow_fn_open_graph_meta(){
	global $post, $mow_fn_option;
	
	// enable or disable via theme options
	if(isset($mow_fn_option['open_graph_meta']) && $mow_fn_option['open_graph_meta'] == 'enable'){
	
		$image = '';
		if(isset($post)){
			if (has_post_thumbnail($post->ID)) {
				$thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full');
				if ($thumbnail_src) {
					$image = esc_attr($thumbnail_src[0]);
				}
			}
		}?>

		<meta property="og:title" content="<?php the_title(); ?>">
		<meta property="og:type" content="article">
		<meta property="og:url" content="<?php the_permalink(); ?>">
		<meta property="og:site_name" content="<?php echo esc_html(get_bloginfo( 'name' )); ?>">
		<meta property="og:description" content="<?php echo mow_fn_excerpt('',12); ?>">

		<?php if ( $image != '' ) { ?>
			<meta property="og:image" content="<?php echo esc_url($image); ?>">
		<?php }
	}
}
add_action( 'init', 'translation' );
// Load text domain
function translation() 
{
	load_plugin_textdomain( 'mow-core', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

/*----------------------------------------------------------------------------*
 * Plugins
 *----------------------------------------------------------------------------*/


// Load Theme Options Panel
include_once( plugin_dir_path( __FILE__ ) . 'shortcode/frel-core.php');
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-ad.php');					// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-donations.php');			// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-author.php');				// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-followers.php');			// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-social.php');				// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-subscribe.php');			// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-top-articles.php');			// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-custom-categories.php');	// Load Widgets
include_once( plugin_dir_path( __FILE__ ) . 'inc/widgets/widget-comments.php');				// Load Widgets


add_filter( 'plugin_row_meta', 'mow_core_fn_plugin_row_meta', 10, 2 );

function mow_core_fn_plugin_row_meta( $plugin_meta, $plugin_file ) {
	if ( 'mow-core/mow-core.php' === $plugin_file ) {
		$row_meta = [
			'docs' 		=> '<a href="https://frenify.com/work/envato/frenify/wp/mow/doc" target="_blank">Docs</a>',
		];

		$plugin_meta = array_merge( $plugin_meta, $row_meta );
	}
	return $plugin_meta;
}


add_action('plugins_loaded', 'mow_fn_plugin_setup', 15);

function mow_fn_plugin_setup(){

	// Load Meta Boxes
	include_once(plugin_dir_path( __FILE__ ) . 'inc/customfonts/customfonts.php');
	include_once(plugin_dir_path( __FILE__ ) . 'inc/meta-box/metabox-config.php');
	include_once(plugin_dir_path( __FILE__ ) . 'inc/settings/settings.php');

	if (function_exists('mow_fn_check_theme') && mow_fn_check_theme() == true) {
		if (!class_exists('OCDI_Plugin')) {
			include_once(plugin_dir_path(__FILE__) . 'inc/demoimport/one-click-demo-import.php');
		}
		include_once(plugin_dir_path( __FILE__ ) . 'inc/demoimport/demo-list.php');
	}
	if(function_exists('mow_fn_check_theme') && mow_fn_check_theme() == true){
		include_once(plugin_dir_path( __FILE__ ) . 'opt/config.php');
	}
	
	// Post Rating	
	include_once(plugin_dir_path( __FILE__ ) . 'inc/postrating/post-rating.php');

}