<?php
/*
Name: MowReactions
Description: Custom Reactions for Posts
Author: Frenify
Author URI: https://frenify.com/
*/


class MowReactions {
	
	 function __construct()   {	
        add_action('wp_ajax_mow_fn_reactions', array(&$this, 'ajax'));
		add_action('wp_ajax_nopriv_mow_fn_reactions', array(&$this, 'ajax'));
	}
	
	
	
	function ajax($post_id) {
		
		//  -- update
		if( isset($_POST['ID']) ) {
			$post_id 			= sanitize_text_field($_POST['ID']);
			$reaction_slug 		= '';
			if( isset($_POST['ajax_action']) ) {
				$reaction_slug 	= sanitize_text_field($_POST['ajax_action']);
			}
			echo wp_kses($this->actions($post_id, 'update', $reaction_slug), 'post');
		}
		
		//  -- get
		else {
			echo wp_kses($this->actions($post_id), 'post');
		}
		
		exit;
	}
	
	function is_active($post_id,$reaction_slug){
		$is_active = false;
		if(isset($_COOKIE['mow_fn_reaction_'.$reaction_slug.'_'.$post_id])){
			if($_COOKIE['mow_fn_reaction_'.$reaction_slug.'_'.$post_id] != 0){
				$is_active = true;
			}
		}
		return $is_active;
	}
	
	
	function actions($post_id, $action = 'get', $reaction_slug = '') 
	{
		if(!is_numeric($post_id)) return;
		
		if($reaction_slug != ''){
			$count = (int)get_post_meta($post_id, '_mow_fn_reaction_'.$reaction_slug, true);
			$is_active = $this->is_active($post_id,$reaction_slug);
			
			if($is_active){
				$count--;
				setcookie('mow_fn_reaction_'.$reaction_slug.'_'. $post_id, 0, time()*20, '/');
			}else{
				$count++;
				setcookie('mow_fn_reaction_'.$reaction_slug.'_'. $post_id, $post_id, time()*20, '/');
			}
			update_post_meta($post_id, '_mow_fn_reaction_'.$reaction_slug, $count);
		}
		
		$ajax_action = $is_active == true ? 'remove': 'add';

		$buffyArray = array(
			'count' 		=> $count,
			'reaction' 		=> $reaction_slug,
			'ajax_action' 	=> $ajax_action,
		);
		
		if ( 'update' === $action ){
			die(json_encode($buffyArray));
		}
	}

	
	function get_count($post_id, $reaction_slug){
		$count = get_post_meta($post_id, '_mow_fn_reaction_'.$reaction_slug, true);
		if( !$count ){
			add_post_meta($post_id, '_mow_fn_reaction_'.$reaction_slug, 0, true);
		}
		return (int)$count;
	}

	function add_reactions($post_id) {
		global $mow_fn_option;
		if(isset($mow_fn_option['reaction_switcher']) && $mow_fn_option['reaction_switcher'] == 'enable'){
			$list = '';

			if(isset($mow_fn_option['reactions_default'])){
				foreach($mow_fn_option['reactions_default'] as $reaction_slug => $position){
					if($position == 1){
						$count = $this->get_count($post_id,$reaction_slug);
						$is_active = $this->is_active($post_id,$reaction_slug) == true ? 'active' : '';

						$list .= '<a class="mow_fn_reaction_btn '.$is_active.'" data-action="'.$reaction_slug.'" href="#" data-id="'.$post_id.'">';
							$list .= '<span class="icon"><img loading="lazy" src="'.esc_url(MOW_ASSETS_URL).'svg/reactions/'.$reaction_slug.'.png" alt=""></span>';
							$list .= '<span class="count">'.$count.'</span>';
							$list .= '<span class="text">'.$mow_fn_option['reaction_'.$reaction_slug.'_text'].'</span>';
						$list .= '</a>';
					}
				}
			}

			if(isset($mow_fn_option['reactions_custom'])){
				foreach($mow_fn_option['reactions_custom'] as $item){
					$reaction_slug = $item['url'];
					if($reaction_slug != ''){
						$reaction_slug = preg_replace("/[^A-Za-z0-9_]/", "", $reaction_slug);
						$reaction_slug = 'custom__'.$reaction_slug;
						$count = $this->get_count($post_id,$reaction_slug);
						$is_active = $this->is_active($post_id,$reaction_slug) == true ? 'active' : '';

						$list .= '<a class="mow_fn_reaction_btn '.$is_active.'" data-action="'.$reaction_slug.'" href="#" data-id="'.$post_id.'">';
							$list .= '<span class="icon"><img loading="lazy" src="'.$item['image'].'" alt=""></span>';
							$list .= '<span class="count">'.$count.'</span>';
							$list .= '<span class="text">'.$item['title'].'</span>';
						$list .= '</a>';
					}
				}
			}



			$html = '<div class="mow_fn_reactions">';

				$html .= '<div class="reactions_list">';

					$html .= $list;

				$html .= '</div>';

			$html .= '</div>';

			return $html;
		}
		return '';
	}
	
}


global $mow_fn_reactions;
$mow_fn_reactions = new MowReactions();

// main function 
function mow_fn_reactions($post_id, $return = '') {
	global $mow_fn_reactions;
	
	if($return == 'return') {
		return wp_kses($mow_fn_reactions->add_reactions($post_id), 'post'); 
	} else {
		echo wp_kses($mow_fn_reactions->add_reactions($post_id), 'post'); 
	}
} 
?>
