<?php
/*
Name: MowVote
Description: Custom Vote for Posts
Author: Frenify
Author URI: http://themeforest.net/user/frenify
*/


class MowVote {
	
	 function __construct()   {	
        add_action('wp_ajax_mow_fn_vote', array(&$this, 'ajax'));
		add_action('wp_ajax_nopriv_mow_fn_vote', array(&$this, 'ajax'));
	}
	
	
	
	function ajax($post_id) {
		
		//  -- update
		if( isset($_POST['ID']) ) {
			$post_id 	= sanitize_text_field($_POST['ID']);
			$voteAction = '';
			$layout 	= '';
			$vote_key 	= '';
			if( isset($_POST['voteAction']) ) {
				$voteAction = sanitize_text_field($_POST['voteAction']);
			}
			if( isset($_POST['layout']) ) {
				$layout = sanitize_text_field($_POST['layout']);
			}
			if( isset($_POST['key']) ) {
				$vote_key = sanitize_text_field($_POST['key']);
			}
			echo wp_kses($this->actions($post_id, 'update', $voteAction, $layout, $vote_key), 'post');
		}
		
		//  -- get
		else {
			echo wp_kses($this->actions($post_id), 'post');
		}
		
		exit;
	}
	
	function has_up($post_id){
		$has_up = false;
		if(isset($_COOKIE['mow_fn_vote_up_'.$post_id])){
			if($_COOKIE['mow_fn_vote_up_'.$post_id] != 0){
				$has_up = true;
			}
		}
		return $has_up;
	}
	
	function has_down($post_id){
		$has_down = false;
		if(isset($_COOKIE['mow_fn_vote_down_'.$post_id])){
			if($_COOKIE['mow_fn_vote_down_'.$post_id] != 0){
				$has_down = true;
			}
		}
		return $has_down;
	}
	
	
	function actions($post_id, $action = 'get', $voteAction = '', $layout = '', $vote_key = '') 
	{
		if(!is_numeric($post_id)) return;
		if($voteAction == 'up'){ 
			$count__up 	= (int)get_post_meta($post_id, '_mow_fn_vote_up', true);
			$count__down = (int)get_post_meta($post_id, '_mow_fn_vote_down', true);
			
			$has_up = $this->has_up($post_id);
			$has_down = $this->has_down($post_id);
			
			
			if(!$has_down){
				if(!$has_up){
					$count__up++;
					$difference = '+1';
				}
			}else{
				$count__up++;
				$count__down--;
				$difference = '+2';
			}
			$count__diff = $count__up - $count__down;
			$count__total = $count__up + $count__down;
			setcookie('mow_fn_vote_up_'. $post_id, $post_id, time()*20, '/');
			setcookie('mow_fn_vote_down_'.$post_id, 0, time()*20, '/');
			update_post_meta($post_id, '_mow_fn_vote_up', $count__up);
			update_post_meta($post_id, '_mow_fn_vote_down', $count__down);
			update_post_meta($post_id, '_mow_fn_vote_diff', $count__diff);
			update_post_meta($post_id, '_mow_fn_vote_total', $count__total);
		}else if($voteAction == 'down'){
			$count__up 	= (int)get_post_meta($post_id, '_mow_fn_vote_up', true);
			$count__down = (int)get_post_meta($post_id, '_mow_fn_vote_down', true);
			
			$has_up = $this->has_up($post_id);
			$has_down = $this->has_down($post_id);
			
			if(!$has_up){
				if(!$has_down){
					$count__down++;
					$difference = '-1';
				}
			}else{
				$count__up--;
				$count__down++;
				$difference = '-2';
			}
			$count__diff = $count__up - $count__down;
			$count__total = $count__up + $count__down;
			setcookie('mow_fn_vote_down_'. $post_id, $post_id, time()*20, '/');
			setcookie('mow_fn_vote_up_'.$post_id, 0, time()*20, '/');
			update_post_meta($post_id, '_mow_fn_vote_down', $count__down);
			update_post_meta($post_id, '_mow_fn_vote_up', $count__up);
			update_post_meta($post_id, '_mow_fn_vote_diff', $count__diff);
			update_post_meta($post_id, '_mow_fn_vote_total', $count__total);
		}else{
			$count__up = get_post_meta($post_id, '_mow_fn_vote_up', true);
			if( !$count__up ){
				$count__up = 0;
				add_post_meta($post_id, '_mow_fn_vote_up', $count__up, true);
			}
			
			$count__down = get_post_meta($post_id, '_mow_fn_vote_down', true);
			if( !$count__down ){
				$count__down = 0;
				add_post_meta($post_id, '_mow_fn_vote_down', $count__down, true);
			}
			
			$count__up = (int)$count__up;
			$count__down = (int)$count__down;
			return array('up' => $count__up,'down' => $count__down);
		}
		
		$count__result = (int)($count__up-$count__down);
		$count__votes = (int)($count__down+$count__up);
		
		
		$result__text = sprintf( esc_html__('%1$d Votes: %2$d Upvotes, %3$d Downvotes (%4$d Points)', MOW_TEXT_DOMAIN), $count__votes, $count__up, $count__down, $count__result );
		if($vote_key == 'total'){
			$result_by_key = mow_fn_number_format_short($count__votes);
		}else if($vote_key == 'up'){
			$result_by_key = mow_fn_number_format_short($count__up);
		}else if($vote_key == 'down'){
			$result_by_key = mow_fn_number_format_short($count__down);
		}else{
			$result_by_key = mow_fn_number_format_short($count__result);
		}
		$buffyArray = array(
			'up' 				=> $count__up,
			'down' 				=> $count__down,
			'points' 			=> $count__result,
			'total' 			=> $count__votes,
			'result__text' 		=> $result__text,
			'count__result' 	=> $result_by_key,
			'difference' 		=> $difference,
		);
		
		if ( 'update' === $action ){
			die(json_encode($buffyArray));
		}
	}


	function add_like($post_id, $layout = 'horizontal', $vote_key = 'points') {
		global $mow_fn_option;
		if(isset($mow_fn_option['vote_switcher']) && $mow_fn_option['vote_switcher'] == 'enable'){
			$get_vars = $this->actions($post_id);
			$count__up = (int)$get_vars['up'];
			$count__down = (int)$get_vars['down'];


			$has_up = $this->has_up($post_id);
			$has_down = $this->has_down($post_id);

			$extra_class = '';
			if($has_up){$extra_class = 'up_action';}
			if($has_down){$extra_class = 'down_action';}

			$count__result = (int)($count__up-$count__down);
			$count__votes = (int)($count__down+$count__up);


			$result__text = sprintf( esc_html__('%1$d Votes: %2$d Upvotes, %3$d Downvotes (%4$d Points)', MOW_TEXT_DOMAIN), $count__votes, $count__up, $count__down, $count__result );

			$html = '';
			if($layout == 'horizontal'){
				$html .= '<div class="fn__votebox fn__vote_hor '.$extra_class.'" data-id="'.$post_id.'" data-layout="horizontal">';

				$html .= '<div class="vote_top">';
					$html .= '<a class="mow_fn_vote_up vote_up vote_btn" href="#"><span>'.esc_html__('Upvote',MOW_TEXT_DOMAIN).'</span></a>';
					$html .= '<span class="result_vote"><span class="vote_count">'.mow_fn_number_format_short($count__result).'</span><span class="text">'.esc_html__('Points',MOW_TEXT_DOMAIN).'</span><span class="action"></span></span>';
					$html .= '<a class="mow_fn_vote_down vote_down vote_btn" href="#"><span>'.esc_html__('Downvote',MOW_TEXT_DOMAIN).'</span></a>';
				$html .= '</div>';

				$html .= '<div class="vote_info vote_h_info"><p>'.$result__text.'</p></div>';

				$html .= '</div>';
			}else if($layout == 'vmodern'){
				$html .= '<div class="fn__votebox fn__vote_ver fn__vote_vmodern '.$extra_class.'" data-id="'.$post_id.'" data-layout="vmodern" data-key="'.$vote_key.'">';

				if($vote_key == 'total'){
					$result_by_key = mow_fn_number_format_short($count__votes);
					$text_by_key = esc_html__('Total',MOW_TEXT_DOMAIN);
				}else if($vote_key == 'up'){
					$result_by_key = mow_fn_number_format_short($count__up);
					$text_by_key = esc_html__('Upvotes',MOW_TEXT_DOMAIN);
				}else if($vote_key == 'down'){
					$result_by_key = mow_fn_number_format_short($count__down);
					$text_by_key = esc_html__('Downvotes',MOW_TEXT_DOMAIN);
				}else{
					$result_by_key = mow_fn_number_format_short($count__result);
					$text_by_key = esc_html__('Points',MOW_TEXT_DOMAIN);
				}

				$html .= '<div class="vote_vert">';
					$html .= '<a class="mow_fn_vote_up vote_up vote_btn" href="#"><span>'.esc_html__('Upvote',MOW_TEXT_DOMAIN).'</span></a>';
					$html .= '<span class="action"></span>';
					$html .= '<span class="decor"></span>';
					$html .= '<a class="mow_fn_vote_down vote_down vote_btn" href="#"><span>'.esc_html__('Downvote',MOW_TEXT_DOMAIN).'</span></a>';
				$html .= '</div>';

				$html .= '<span class="result_vote"><span class="vote_count">'.$result_by_key.'</span><span class="text">'.$text_by_key.'</span></span>';


				$html .= '<div class="vote_info vote_v_info">';
					$html .= '<div class="vi_header">';
						$html .= '<span class="points_count">'.$count__result.'</span>';
						$html .= '<span class="points_text"><span class="text"><span class="left_decor"><span></span></span><span class="right_decor"><span></span></span>'.esc_html__('Points',MOW_TEXT_DOMAIN).'</span></span>';
					$html .= '</div>';
					$html .= '<div class="vi_list">';
						$html .= '<div class="vi_item"><span class="label">'.esc_html__('Upvotes:',MOW_TEXT_DOMAIN).'</span><span class="value upvotes_count">'.$count__up.'</span></div>';
						$html .= '<div class="vi_item"><span class="label">'.esc_html__('Downvotes:',MOW_TEXT_DOMAIN).'</span><span class="value downvotes_count">'.$count__down.'</span></div>';
						$html .= '<div class="vi_item vi_total_item"><span class="label">'.esc_html__('Total Votes:',MOW_TEXT_DOMAIN).'</span><span class="value totalvotes_count">'.$count__votes.'</span></div>';
					$html .= '</div>';
				$html .= '</div>';

				$html .= '</div>';
			}else if($layout == 'vclassic'){
				$html .= '<div class="fn__votebox fn__vote_ver fn__vote_vclassic '.$extra_class.'" data-id="'.$post_id.'" data-layout="vclassic" data-key="'.$vote_key.'">';

				if($vote_key == 'total'){
					$result_by_key = mow_fn_number_format_short($count__votes);
					$text_by_key = esc_html__('Total',MOW_TEXT_DOMAIN);
				}else if($vote_key == 'up'){
					$result_by_key = mow_fn_number_format_short($count__up);
					$text_by_key = esc_html__('Upvotes',MOW_TEXT_DOMAIN);
				}else if($vote_key == 'down'){
					$result_by_key = mow_fn_number_format_short($count__down);
					$text_by_key = esc_html__('Downvotes',MOW_TEXT_DOMAIN);
				}else{
					$result_by_key = mow_fn_number_format_short($count__result);
					$text_by_key = esc_html__('Points',MOW_TEXT_DOMAIN);
				}

				$html .= '<a class="mow_fn_vote_up vote_up vote_btn" href="#"><span>'.esc_html__('Upvote',MOW_TEXT_DOMAIN).'</span></a>';
				$html .= '<span class="action"></span>';
				$html .= '<span class="result_vote"><span class="vote_count">'.$result_by_key.'</span><span class="text">'.$text_by_key.'</span></span>';
				$html .= '<div class="vote_info vote_v_info">';
					$html .= '<div class="vi_header">';
						$html .= '<span class="points_count">'.$count__result.'</span>';
						$html .= '<span class="points_text"><span class="text"><span class="left_decor"><span></span></span><span class="right_decor"><span></span></span>'.esc_html__('Points',MOW_TEXT_DOMAIN).'</span></span>';
					$html .= '</div>';
					$html .= '<div class="vi_list">';
						$html .= '<div class="vi_item"><span class="label">'.esc_html__('Upvotes:',MOW_TEXT_DOMAIN).'</span><span class="value upvotes_count">'.$count__up.'</span></div>';
						$html .= '<div class="vi_item"><span class="label">'.esc_html__('Downvotes:',MOW_TEXT_DOMAIN).'</span><span class="value downvotes_count">'.$count__down.'</span></div>';
						$html .= '<div class="vi_item vi_total_item"><span class="label">'.esc_html__('Total Votes:',MOW_TEXT_DOMAIN).'</span><span class="value totalvotes_count">'.$count__votes.'</span></div>';
					$html .= '</div>';
				$html .= '</div>';
				$html .= '<a class="mow_fn_vote_down vote_down vote_btn" href="#"><span>'.esc_html__('Downvote',MOW_TEXT_DOMAIN).'</span></a>';



				$html .= '</div>';
			}else if($layout =='number'){
				if($vote_key == 'total'){
					$html = $count__votes;
				}else if($vote_key == 'up'){
					$html = $count__up;
				}else if($vote_key == 'down'){
					$html = $count__down;
				}else{
					$html = $count__result;
				}
			}
			

			return $html;
		}
		return '';
	}
	
}


global $mow_fn_vote;
$mow_fn_vote = new MowVote();

// main function 
function mow_fn_vote($post_id, $return = '', $layout = 'horizontal', $vote_key = 'points') {
	global $mow_fn_vote;
	
	if($return == 'return') {
		return $mow_fn_vote->add_like($post_id, $layout, $vote_key); 
	} else {
		echo wp_kses($mow_fn_vote->add_like($post_id, $layout, $vote_key), 'post'); 
	}
} 
?>
