<?php
namespace Frel\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Core\Schemes\Color;
use Elementor\Core\Schemes\Typography;
use Elementor\Utils;
use Frel\Frel_Helper;


// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) { exit; }



class Frel_Subscribe extends Widget_Base {

	public function get_name() {
		return 'frel-subscribe';
	}

	public function get_title() {
		return __( 'Subscribe', MOW_TEXT_DOMAIN );
	}

	public function get_icon() {
		return 'eicon-mail frenifyicon-elementor';
	}

	public function get_categories() {
		return [ 'frel-elements' ];
	}
	
	public function get_keywords() {
        return [
            'frenify',
            MOW_TEXT_DOMAIN
        ];
    }

	protected function register_controls(): void {
		
		$this->start_controls_section(
			'section1',
			[
				'label' => __( 'Content', MOW_TEXT_DOMAIN ),
			]
		);


		$this->add_control(
			'title',
			[
				'label' => __( 'Title', MOW_TEXT_DOMAIN ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true
			]
		);

		$this->add_control(
			'shortcode',
			[
				'label' => __( 'Shortcode', MOW_TEXT_DOMAIN ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true
			]
		);
		
		$this->end_controls_section();
		
	}


	protected function render() {
		$settings 			= $this->get_settings();
		$html 				= Frel_Helper::frel_open_wrap();
		$title				= $settings['title'];
		$shortcode 			= do_shortcode( shortcode_unautop( $settings['shortcode'] ) );

		$output  = '<div class="fn__subscribe_block">';
		$output .= '<div class="sb_left"><h3>'.$title.'</h3></div>';
		$output .= '<div class="sb_right">'.$shortcode.'</div>';
		$output .= '<span class="sb_icon">'.mow_fn_svg('paperplane').'</span>';
		$output .= '</div>';

		$html .= '<div class="fn_cs_subscribe_wrapper"><div class="container">'.$output.'</div></div>';
		
		/***********************************************************************************/
		/* RENDER ENDS */
		$html .= Frel_Helper::frel_close_wrap();
		echo $html;
	}

}
